[VERSION] 41 - Initial Beta Release
[SECTION]
[NODOT] <CENTRE><SIZE:large> Build 41 是 Project Zomboid 有史以来最基础和最广泛的更新。 <BR><LINE> 我们希望它成为我们未来多年发展的稳定基础。 然而，出于这个原因，我们预计会有相当长的公开测试版，而社区测试人员向我们提出的所有各种问题都得到了重点关注和补救。 <LINE> 一些关键功能，主要是 MP，在 beta 版本中被禁用。 <LINE> 
<LEFT> 新的游戏风格：建造者、斗士和幸存者
更致命的"幸存者"（Survival）游戏平衡 - 玩家可以被部落拖下并大吃大喝等。
新的幸存者能力：坐着、偷偷摸摸、冲刺、慢跑、架子、重装、攀爬、跳栅栏、倒塌等等。
新战斗，新武器，新难度平衡。
新角色创造——许多不同的新服装选择，无论是在重生点上，还是在世界上作为战利品或僵尸身上都可以发现。
新的僵尸行为：吃最近的尸体，靠在墙上，从栅栏上摔下来等。
逐渐使幸存者和僵尸的身体和衣服流血的血液系统
新的伤害系统——受伤时移动和战斗明显受到阻碍。现在可能出现撕裂伤，这是一种介于咬伤和抓伤之间的损伤状态。
改进的枪战：绿色/红色瞄准轮廓，新枪，改进的货架和重新加载，增加枪支战利品产生。
僵尸死亡场景 - 在人们死亡的情况下发现的僵尸。祈祷会、体育观看派对、背着背包的幸存者等。
情景僵尸类型/服装和库存——警察局的警察、被烧毁的建筑物中的消防员、餐厅厨房的厨师、教堂婚礼上的新娘和新郎等。
服装防护：不同的服装提供不同程度的僵尸攻击防护。
明显撕裂和损坏的衣服。
新的模拟人生风格的剖面视觉系统。
车辆操控性改进、调整大小和外观调整。
更新、重新制作和改进了肯塔基主题配乐。原创音乐仍在轮播中，也可通过游戏选项访问。
新音效：武器、僵尸呻吟等。
新的水视觉效果——包括可见的流向。
大雨期间的新水坑系统。
碎玻璃和相关伤害。
车库门可能会打开/关闭并在撞击时摇晃。
新挑战地图：电影制片厂和金斯茅斯度假岛
3D Store Mannequins - 可以随心所欲地穿着
工作的洗衣机和烘干机
新游戏光标
新的升级音效和调整后的升级系统。
微弱的等距瞄准光标，显示您在 iso 空间中的瞄准位置。
新的战利品平衡和战利品平衡系统：房屋和商店现在有你在现实生活中所期望的容器中的战利品 - 而不是混乱。
两层战利品优先级——允许在更有价值的游戏物品中获得更逼真的"填充"战利品。
许多、许多一般性修复，包括针对以下问题的补救措施：浮动汽车、农业问题、听不见的房屋警报、侵蚀灌木阻挡车辆、脱敏幸存者被爬行者惊慌等等。
可见的背包！
 
[VERSION] 41.13
[SECTION]
使用静态链接的 c++ 库重建 jassimp64.dll（删除对 msvcp140.dll 的依赖）。
使用 2 键鼠标修复了 MouseState 中的异常。
使用爬过窗口上下文菜单命令修复了 lua 错误。
修复了 windowframes 旁边的 solidtrans 对象——没有窗口是实心的。
移除 3D 模型和 3D 尸体选项以修复隐形僵尸尸体。
移除了 AutoZombieManager.java，它会根据性能调整 3D 模型的数量。
修复了"新屋顶隐藏"的异常 = 没有导致外部黑屏的选项。
修复了"welcome to build 41"偏离中心的问题。
可能在 Mac OS 上修复了彩虹色的机身。
可能修复了使用土耳其语（可能还有其他）语言环境在 Windows 上加载 bob/bob_idle 动画失败的问题。
 
[VERSION] 41.14
[SECTION]
各种运动/旋转修复，希望是最终的土耳其语问题修复，各种其他错误修复以及工作 Brawler 和 Builder 模式
[SECTION]动画
现在将瞄准/扫射视为零动量状态，如空闲。
Turn180 现在使用 idleToRun180 而不是 runToTurn180 从 strafe -> 以相反的行进方向运行。
仅在 isTurningAround==false 时混合（与动画）到 defaultWalk/Run/Sprint
否则使用无动画过渡。这可以防止过渡动画与 turn180s 动画重叠。
ZNetFriends 在单人游戏中继续 ping，可能是 FPS 下降的原因之一
Run -> Strafe -> Run 现在保持直线行驶。过渡期间不再有奇怪的弧线运动
Strafe -> 运行转场现在仅在转角不超过 90 度时才使用转场动画。
当 isTurning90/Around 时，Strafe -> 移动过渡更新为正确的目标。
 
[SECTION] 平衡
在生存模式下将汽车轮胎的质量提高到至少 20-30%
 
[SECTION]修复
固定车辆在轮胎爆裂后立即停止
无法轮询设备垃圾邮件应该被隐藏，对于那些使用蓝牙或其他无线硬件的人来说，这可能是 FPS 下降的来源
修复了土耳其系统上缺少 bob/bob_idle 的问题。
修复了土耳其语言环境（"空闲"->"空闲"）的 AnimationSet 查找错误。
修复了 IsoSpriteInstance.get() 中的 EmptyStackException。
修复了 AReallyCDDAy 中没有衣服的播放器无法启动的问题。
修复了重新加载游戏后衣服和容器的自定义图标丢失的问题。
修复了用浴巾清洁血液的异常。
修复了异常装载霰弹枪（或任何没有弹匣的枪）。
GrabItemAction 一次传输多个项目，类似于 InventoryTransferAction。
修复了传输大量物品坦克 FPS 的问题。
修复了在制造锯断式霰弹枪时丢失弹药的问题。
修复了自定义角色屏幕的调整大小行为。
修复了源容器和目标容器不同时组合 InventoryTransferActions 的问题。
在某些使用 const 表达式中的函数的着色器中，将"版本 110"更改为"版本 120"。
修复 MainThread/GameThread 崩溃处理。
[NODOT]<INDENT:40> RenderThread 崩溃不再锁定游戏。
[NODOT]<INDENT:40> - 未捕获的错误现在被吸收、记录，并尝试保存保存数据。
[NODOT]<INDENT:40> 向 MainThread、GameThread 和我能找到的任何其他内部线程添加了未捕获的异常处理程序。
[NODOT]<INDENT:40> 为任何外部线程添加了默认的未捕获处理程序。
[NODOT]<INDENT:40> 为 MainThread 添加了自定义处理程序，设置 bGameThreadExited 并向 RenderThread 发出信号。
[NODOT]<INDENT:40> 为 RenderThread 添加了自定义处理程序，设置 m_isCloseRequested，删除所有等待队列，并等待 MainThread 保存和关闭。
[NODOT]<INDENT:40> - DebugOptions
[NODOT]<INDENT:40> 添加了 testThreadCrash 机制，用于从 AnimZed 远程按需触发崩溃。
修复了从步行 -> 扫射过渡期间的奇数圆弧转弯
修复了 Brawler 和 Builder 菜单中的游戏风格选项，以阻止他们错误地启动 Survivor
当 getVectorFromDirection 被赋予空向量时的崩溃修复。
 
[VERSION] 41.15
[SECTION]新增
为清晰起见重命名了游戏风格，并强调了他们应该如何玩的开发意图。斗士成为幸存者，幸存者成为天启。
为sneakerWalk -> strafe、sneakerRun -> strafe、sneakerWalkLow -> strafe 和sneakerRunLow -> strafe 添加了无动画过渡
[NODOT]<INDENT:40> - 在过渡到扫射时消除奇怪的转弯弧。
从 strafeSneak -> walk/run/etc 中移除 strafeToWalk 动画。
[NODOT]<INDENT:40> - 减少角色从 strafeSneak 过渡到上述状态时的跳跃量。
实施了 SFX 以降低冲击力的汽车碰撞
添加了坠落僵尸状态。
添加了用于打开/关闭窗帘以显示键盘和鼠标快捷键的上下文菜单工具提示。
将 VERSION=1 添加到 keys.ini。当 VERSION 不存在或小于 1 时，将 C 重新映射到 L。
增加了从弓步到僵尸坠落的状态转换。
添加了翻越栅栏过渡到坠落（当另一侧没有地板时）。
为水坑添加了高度贴图纹理。绘制水坑时，此纹理应该会提高性能。
添加了 Logs/ZombieSpawn.txt 以记录僵尸生成。应该记录在建筑物内生成的僵尸，而不是在外面。
 
[SECTION]平衡
在幸存者（前身为 Brawler）中降低了僵尸和僵尸的生成
减少了在玩家可以移动之前爬过窗户或越过栅栏后的延迟。
暂时禁用体温变化，帮助人们度过冬天
对击落僵尸的身体部位进行命中检测更加慷慨
多击中的空手现在最多可以推 3 个僵尸 - 在幸存者模式下（以前是 Brawler）
设置生成器 ConditionMax=100。
设置一些车辆部件ConditionMax=100。
 
[SECTION]动画和模型更改
调整了几个回合动画
颠倒的麦考伊面包车标志
 
[SECTION]修复
修复了推射范围内的第一个僵尸，而不是范围内最近的僵尸。
修复了环境钢琴的错误路径
尝试通过重建 Mac 'lighting' libLighting.dylib 修复 Mac 问题
修复了树木划痕造成的僵尸化。
修复了 RenderThread 作业有时在被调用之前报告为已完成的问题。
修复了自定义角色屏幕中重置玩家职业的"随机"按钮。
修复了燃烧弹和损坏的武器没有从玩家手中移除的问题。
当"双倍大小的纹理"=否时，地面上的固定项目图标是正常大小的两倍。
修复了将玩家保存到 Vehicles.db 数据库的问题。
动画/模型导入器不支持固定的 unicode 文件名。
修复了当玩家已经站在广场的正中心时无法通过上下文菜单打开/关闭窗口的问题。
阻止僵尸将上帝模式玩家拖至死亡。
降低了跑车的外部乘客位置（修复了摄像头故障）。
撕裂服装和工艺表绳适用于所有选定的项目（如果它们有效）。
删除了 PerformanceSettings.modelsEnabled 和 PerformanceSettings.support3D。
在具有 4 个或更少硬件线程的系统上，将资产加载线程的数量从 4 个降低到 2 个。即具有超线程的双核，或没有超线程的四核。
修复了使用土耳其语言环境时缺少的特征图标。（容易生病，文盲等）。任何带有大写字母 I 的东西。
双击新游戏屏幕中的教程和游戏风格标签进入下一个屏幕。
修复了在车辆中攻击的问题（无限弹药，无法推搡）。
尝试修复 ClimbThroughWindowState 中的异常。不要将 IsoWindow 或 IsoGridSquare 存储在 StateMachineParams 中，因为它们可能会由于地图滚动而变得无效（对于加载区域边缘的僵尸，而不是玩家）
修复了 DebugChunkStateUI 中的 lua 错误
修复了将 LMENU 显示为 LALT。将 RMENU 显示为 RALT。
修复了清除键绑定显示它没有名称而不是 NONE。
修复了靠近僵尸时快进取消的一些奇怪现象。
修复了从车辆内部掉落时漂浮在地面上的物品。
修复了使用"双手装备"后的倍增生成器。
修复了在刀卡在僵尸头部后将玩家的物品栏养育给僵尸的问题。
修复了空手不被算作最喜欢的武器，除了踩踏时。
修复了加载游戏后已经解开头发的"解开头发"选项。修复了玩家摔倒后没有正确死亡的问题。
 
[VERSION] 41.16
[SECTION]
- 增加了 64 位 zomboid 的内存分配，这可能会避免某些系统加载到游戏时崩溃。
修复了影响某些 GPU 的服装覆盖层和孔洞的着色器问题（游戏负载/离开重生室时挂起/崩溃的主要来源，并且可能与报告的某些 mac 问题的原因相同）
添加了用于战斗的 iso 光标的透明度/可见性选项。
- 渲染线程现在将抛出更好的错误消息来诊断未来的问题。
修复了僵尸有时在被刺伤（但不是被下巴刺伤）时播放死亡声音的问题。
[NODOT]<INDENT:40> 这发生在 bClos​​eKill=true 但 CriticalHit=false 时。
丧尸在被下巴刺伤后立即死亡，而不是在倒地后死亡。
[NODOT]<INDENT:40> KnifeDeath 动画在 falldown 状态下播放，而不是在 hitreaction 状态下播放。
[NODOT]<INDENT:40> KnifeDeath 命中反应现在不会发生，因为僵尸在倒下之前已经死了。
修复了生存中的僵尸数量问题
修复了当该方格在所有方向上都被阻挡时在同一个方格上移动时寻路失败的问题。
[NODOT]<INDENT:40> 这在 luautils.walkAdj() 更改为不调用 AdjacentFreeTileFinder.isTileOrAdjacent() 之前有效。
 
[VERSION] 41.17
[SECTION]新增
现在所有角色都以腰带开头 - 给他们一个"背部"插槽和两个腰带（左/右）腰带插槽。
您可以右键单击一个插槽，也可以将武器拖放到其中。或者，或者，单击库存中的武器以将其附加到快捷栏。
武器将显示在玩家身上。按下热键（从 1 到 5）将自动装备分配给每个插槽的武器。
添加了皮套。皮套有机会在警察/警察僵尸身上生成
将 ProjectZomboid.exe 重建为 gui 应用程序，不再有控制台窗口。现在应该可以与 Steam 远程播放一起使用了。
添加了玩家 Bob_VaultOverToFall 翻越栅栏时的动画。
为 walktoward 和 pathfind 状态添加了僵尸 Zombie_WalkTrees 动画。
僵尸弓步动画在树上以 50% 的速度播放。
 
[SECTION]平衡
 
提高木斧伤害、速度、扫射期间可以移动的时间，使其成为可行（但仍然很慢）的重伤武器
从水槽喝水/填充物品时强制站立。
缩小手枪模型尺寸（+枪口重做）
在制作长矛配方中添加了碎石。
当玩家在他们身后时使高高的栅栏透明
禁用忧郁症特质，直到可以完全重做
现在在剪辑中插入子弹（小机会）和重新加载（更大机会）时会给出重新加载 XP。
加入了长矛捕鱼。
现在在拿泥土/沙子时装备 2 只手铲。
加入干锅炒菜。
 
[SECTION]修复
 
修复了在玩家进入建筑物后很久才会在建筑物中生成僵尸的问题。
修复了双管霰弹枪问题。
[NODOT]<INDENT:40> 1) 缺少库存图标。
[NODOT]<INDENT:40> 2) 移除了允许装载 3 个炮弹的腔室。
[NODOT]<INDENT:40> 3) 不需要上架。
修复了生成时的 blob/手提箱 Zeds
修复了 64 位上的 FMOD 崩溃问题。
修复了僵尸爬过窗户后卡在空中的问题。
修复了重命名食物以在其中包含美元符号字符后的异常。
修复了从堆肥机中获取堆肥时的 lua 错误。
修复了通过左键单击与门/窗/等交互的僵尸玩家。
修复了新的铲子不能用于取土/砾石/沙子的问题。
修复了从袋子中倾倒泥土/砾石/沙子时的锤击动画。
固定 Logs.zip console.txts 在大多数崩溃期间仅限于所有 2 行
修复了在进入或退出车辆或切换座位时按下 Escape 的问题。
修复了玩家在跑过靠近墙壁的栅栏时穿过墙壁的问题。
已修复问题：SQLDB 在非 UTF8 环境中未处理的线程异常。
固定保护屏幕不能与控制器一起使用。
修复了信息头发/胡须按钮无法与控制器一起使用的问题。
修复了断电后衣物烘干机和洗衣机继续播放声音的问题。
修复了缩放级别更改时不更新的天气遮罩。
修复了天气遮罩不为分屏播放器渲染的问题。
修复了僵尸在翻过另一侧没有地板的栅栏后卡住的问题。
修复了一些通过垃圾收集关闭的文件。
蹲下键只影响玩家 0 修复分屏共享蹲下
固定的"坐在地上"上下文菜单选项在已经坐下时可用。
修复了使用控制器时"坐在地面上"上下文菜单选项不可用的问题。
修复了将冷冻食品添加到食谱中的问题。
修复了仍然存在的旧袜子。
 
[VERSION] 41.18
[SECTION]
为洗衣机/烘干机添加"完成"声音
循环激活时无法在洗衣机/干衣机中添加/移除衣服
更改 Moodle "轻伤，需要急救"
如果名称中包含"/"，则自定义沙盒设置不另存为已保存的预设
钓鱼音效未同步
服装合奏虫
填充破碎的平底锅虫
使用 TallFenceShader 修复了未初始化的统一索引。
在非调试模式下禁用 TerrainRenderTiles_UseShaders，设置 default=false。
每次开始游戏时都会重新创建固定的地板和墙壁着色器。
希望修复雨坑性能问题。
重新启用 fridehum/window/door/etc 环境声音。  
将 WaterDrip 声音更改为仅在带水的 IsoFlagType.waterPiped 精灵上播放（因此它们在水关闭后不会滴落，除非连接到水源）。
保存 hotbbar 位置以避免在装备皮套的情况下加载游戏时出现怪异。
调整了附加武器的一些模型位置。
增加了双管霰弹枪。（动画+生成）。
修复了枪支的一些奇怪之处。
现在在转移物品时重置战利品位置
现在可以捡起碎玻璃（警告，如果没有手套你可能会受伤）。
增加肥皂生成率。
减少肥皂用量 (*2)。
 
未来超级幸存者更新的各种兼容性更改。
清洁液现在可以用来洗自己/衣服（新的清洁液，以前的不起作用）。
清洁时间现在取决于衣服上的血液/污垢量。
衣服手洗后会湿透。
修复了洗袜子时的异常。
减少洗衣服的时间。
为枪支/枪支添加了各种后坐力动画，瞄准水平越高，你射击的速度越快+来自动画的后坐力越小。
为 M16 添加了开关 Single/Auto。
修复了快捷栏重量优先于装备物品重量的问题。
如果武器在快捷栏中，工具提示现在会显示正确的重量。
平衡突击步枪
固定：缩小水面会导致黑色方块而不是水
修复了为玩家渲染两次死后文本的问题。
修复了分屏中的雨溅渲染错误。
修复了 ISBaseObject.type 的错字。Capital-T 类型在几个地方使用。
修复了交换快捷栏项目时重置玩家模型的问题。
修复了交换快捷栏项目时角色信息头像不更新的问题。
在 update() 中调用 ISHotbar:refresh()。我之前的提交在 IsoGameCharacter.setAttachedItem() 中添加了对 triggerEvent("OnClothingUpdate") 的调用，这可能会导致在意外时间调用 refresh()。
将 IsoGameCharacter.attachedModels 移至 ModelSlot.attachedModels。
修复了当僵尸附加了多个项目时 ISAttachedItemsUI.lua 中的错误。
延迟重置角色的装备和连接模型，直到下一帧。
更改了 ISHotbar:update() 以处理 InventoryItem.getAttachedSlot() 由于某种原因变得无效。
修复了文本框不被破坏的错误
修复了将两条传送带中的第一条移动到容器后的快捷栏异常。
修复了将之前游戏的僵尸人口设置应用于新游戏的问题。
修复了 Survivor.lua 沙盒预设永远不会被加载的问题。
重建 Linux libPZPopMan64.so。
降低烧毁房屋的生成率。
修复了僵尸从窗户落下时被认为是在后面的问题。
现在可以不用肥皂清洗自己，但需要更长的时间。
限制洗衣服所需的时间。
添加了皮套图标。
 
[VERSION] 41.19
[SECTION]新增
将短跑僵尸重新添加到沙盒中。
某些头饰现在在攻击时有机会掉落（对僵尸和玩家）。帽子现在在世界上呈现为 3D 模型。
现在，当鼠标悬停在该槽位时，槽位标签会显示在快捷栏上方。这是为了修复比插槽长的标签。当插槽中没有物品时，会显示提供该插槽的物品（例如腰带）的褪色图标。
用于低冲击汽车碰撞的新 SFX
向沙盒选项屏幕添加了新的沙盒预设。更新了所有沙盒预设文件，使其包含所有选项的值。
添加了星标以显示快捷栏中物品的耐用性。
现在首先是左腰带，然后是右插槽，这只有在您取消装备/重新装备腰带时才会起作用。
更新了社区翻译
添加了 ProjectZomboidOpenGLDebug64.bat，它使用 lwjgl-debug.jar 而不是 lwjgl.jar 来启用扩展错误检查。除其他外，这会在每次 OpenGL 调用之后调用 glGetError()。
现在，在步行/慢跑时，潜行比正常步行/慢跑消耗更多的耐力。
装备物品/服装现在位于库存末尾，而不是顶部。
现在按 R 可以做很多事情：
[NODOT]<INDENT:40> - 如果弹匣在装备的枪中，卸下它，检查是否有新的弹匣插入。
[NODOT]<INDENT:40> - 如果没有找到其他弹匣，检查我们是否可以在一个弹匣中加载子弹，完成后自动重新加载/机架。
添加了一些关于退出和退出时保存游戏的调试信息
 
[SECTION]平衡
当僵尸在打开的门的另一侧时，将所有打开的门更改为透明以帮助战斗。
如果车辆在车库内，则车辆面积现在会略微减小 - 以帮助停车。
平衡的枪支统计数据。
增加在枪支中找到弹匣的机会。
改进的 M16 和自动火力武器。
调整了一些战利品生成
制作长矛时添加木工经验。
僵尸现在根据服装进行防御
现在吃冷冻食品会让人感到不快/无聊。
重新添加枪支以生成
降低 gigamart 生成率。
增加安全屋战利品。
将 Builder 的食物稀有度设置从"极其稀有"更改为"稀有"
当另一侧没有地板时，禁用自动越过栅栏。
添加了一个宽限期，在此期间"惊喜浴室僵尸"攻击不会造成任何伤害，以避免不公平的反击。
 
[SECTION]动画和模型更改
调整狩猎背心 x 文件和面具，以便它们更好地协同工作
调整后的婚礼夹克与套头衫搭配效果更好。
调整了 Huntingvest 面罩，使其更适合服装
 
 
[SECTION]修复
修复了玩家在使用控制器瞄准时走错方向的问题。
修复了分屏和调整游戏窗口大小后的快捷栏位置。
修复了丢失的窗口图标。
修复了疲倦的穆德尔不在计算枪支命中率的问题。
修复了精疲力竭的穆德尔不在计算跺脚的问题。
固定的僵尸推着僵尸坐在墙上。
固定手斧在正确连接皮带时旋转错误。
固定各种身体位置（防毒面具可以戴眼镜，一些完整的头盔等..）
固定衣物防护可显示100%以上。
修复了咬伤/防刮伤颜色的错误配色方案。
修复了重载大于 0 时不恢复耐力的问题。
修复了重载穆德尔 4 级对耐力再生没有任何作用的问题。
固定体能等级 10 让你跑得更快（现在只影响耐力）。
修复了丢失的撕裂服装 SFX。
修复了用石头制造长矛时石头不会丢失的问题。
用螺丝刀固定双创建矛。
修复了在矛配方中添加菜刀的问题。
修复了偶尔重复的汽车。
修复了加载部分地图后选择坐的地方时僵尸会通过墙壁传送的问题。
修复了僵尸永远不会靠在南墙或东墙的问题。IsoGridSquare.getWallType() 查找不存在的 WallS 和 WallE 属性。
修复了从尸体中掠夺快捷栏物品的 lua 错误。
修复了拆卸不强迫你站立的问题。
修复了从枪支中移除弹匣也会从弹夹中移除 1 颗子弹的问题。
修复了一些 lua 错误被打印到控制台而不显示红色错误框。
修复了汽车电池充电器有时不渲染的问题。
修复了 Vault Over 期间的一些混合问题。
修复了 VaultOverRun 结束时的突然暂停
修复了冲刺冲刺时的保险库。
修复了在动作中间停止的吃喝动画
修复了一些僵尸走得太快或太慢的问题
当实际设置用于 Survivor.lua aka Apocalypse 时，修复了最初在沙箱"已保存的预设"组合框中选择的 Builder 预设。
修复了玩家的视锥改变方向比模型转动更快的问题。
修正洗血后角色信息头像不更新的问题。
修复了僵尸在应该追赶玩家时有时会闲置的问题。
修复了当 Double-sized Textures = No 时 iso 光标以两倍大小渲染的问题。
修复了玩家在执行动作时并不总是面对他们应该面对的方向。
修复了玩家在关闭库存中的警报时走路的问题。
固定房屋警报不起作用。
 
[VERSION] 41.20
[SECTION]新增
为僵尸和幸存者角色添加了新纹理。
僵尸现在有 3 级衰减，它们会根据你的生存时间显示（在 apo 后 6 个月有很多衰减级别 3 等..）
更新了 Kingsmouth & Studio 地图，还更改了他们对占位符的描述并为他们添加了正确的 thumblr。
[SECTION]人物温度资料：
为 BodyDamage 添加了 Thermoregulator 来处理所有玩家的热量
添加了字符面板热水瓶 ui 和元素
由于体温调节状态，饥饿，口渴，疲劳可能成倍增加
重做冷/热伤害和惩罚
将伞的有效性更改为基于每个身体部位
改变了获得寒冷的机会来测量每个身体部位的皮肤温度 + 湿度，头部/颈部/胸部更重
改变户外活动者将感冒的几率降低到正常的 10%
为气候管理器添加适当的湿度
为计时动作、步行、战斗增加了体热生成值（也基于体重增加）
增加了每个身体部位的体湿，而不是整个身体的一个值
改变了衣服的干湿程度，增加了汗水和体热，从内到外使各层工作
为新服装添加了服装保温值，服装保温可设置为 0.0 到 1.0
增加服装防风，降低风寒效果，可设置为 0.0 到 1.0
添加衣服防水，1.0 完全停止渗透（例如雨披）较低的值会减慢它
当手/手臂很冷时，为定时动作增加了时间惩罚
将 bodypart 小部件添加到保护面板
更改 PlayerClimateDebug 以显示温度调节器的调试内容
添加 BodyPartContacts，可用于确定哪个身体部位连接到另一个
为 BodyPartType 添加了到核心的距离、皮肤表面百分比和伞模型
[SECTION]增加服装修复：
右键单击一个项目以添加/删除服装补丁。
在洞中添加补丁可以将其移除，否则只会为您提供防御加成（如果只是升级，则需要为它们添加更多绝缘）。
防守质量取决于使用的面料和剪裁技巧。
在接下来的几周内，将制作一个 UI 来检查服装，这样子菜单的点击率就会降低。
更改了撕裂衣服的工作方式，以便在添加新衣服时更容易更新。
现在可以撕开皮革/牛仔布的东西以获得条带（需要剪刀）。
提升整体线程生成率，在拆卸皮革物品（沙发等）时也可以获得皮革条
无论使用何种面料，补丁纹理目前都是相同的，它们是占位符纹理。
[SECTION]枪支改进：
调整了用枪击中的几率：现在应该更容易并且对瞄准水平有更"线性"的感觉。
[SECTION]改进的僵尸短跑运动员：
他们现在只有在有目标时才会冲刺，否则他们只会走路。
他们在冲刺时有机会绊倒和跌倒。
修复了僵尸在树上冲刺的问题。
短跑运动员在短跑时有更宽的转弯三角洲。
控制器 X 按钮现在将物品从玩家转移到战利品窗口中显示的任何容器，而不是地板。
[SECTION]保存和日志：
将 DebugLog.txt 文件添加到 logs.zip。此文件包含在存档的 /debug-log/ 目录中。
检查车辆.db 文件是否保存在 logs.zip 中。此文件包含在存档的 /save/ 目录中。
添加了游戏开始时的最后保存。这些文件包含在存档的 /save_old/ 目录中。
[SECTION]水质改善：
在 Westpoint 以北的码头和船库添加了 WaterZones，以修复使用水着色器进行的渲染。
[NODOT]<INDENT:40> 不是 100% 固定的；为码头提供厚度的瓷砖是不可见的，并且在码头与海岸相接的地方有一个 1 瓷砖故障。
[NODOT]<INDENT:40> 将水着色器代码更改为分两次渲染，首先是实心水砖，然后是普通砖，然后是海岸砖。
[NODOT]<INDENT:40> 修复了 Westpoint 以北的码头/船库和 Westpoint 以东的铁路桥上隐藏的一些瓷砖。以前你看不到铁路桥边缘的透明地板，因为水覆盖了它们。
[SECTION]一般
添加了一些食物模型（主要是蔬菜/水果）。
添加了从盘子动画中吃的东西
添加了裁缝特性/书籍。
修复了有时将生成房屋设置为路障的问题。
将被动技能移动到技能选项卡的顶部。
将物品转移 20 stakcs 现在仅适用于小物品（重量 <= 0.1），如钉子、子弹等。
更改了瞄准僵尸的轮廓颜色以使用较少的深红色。
更改了修复菜单上的一些文字。
添加 Bob_IdleEatingFromPlate.X 和 Bob_DrinkFromFloor.X
修复了水面上的水坑渲染（当不使用水着色器和动态水坑 = 全部时）。
修复了水坑数据渲染
[NODOT]<INDENT:40> 这是为了修复使用控制器打开/关闭门时的错误，水坑会短暂出现在门周围的 3x3 区域中。奇怪的是，使用"E"键时没有发生这种情况。
修复了在使用控制器时自动选择战利品窗口中的第二个容器而不是第一个容器的问题。
修复了 25,31 号牢房的一些车库门，后面有墙。
固定僵尸继承了一些其他房间分布，通过将僵尸引诱到特定房间来轻松种植一些物品。
删除了新玩家的教程弹出消息。
修复了进入车辆有时花费的时间比应有的时间更长的问题。这似乎发生在玩家播放转弯动画并进入车辆时。
修复了受旧圆形模板影响的墙藤渲染。
在 100% 不公平的即时突袭情况下，为僵尸"攻击"状态添加了攻击前延迟动画。动画持续 1/2 秒。这将替换上一个补丁的"宽限期"。
删除了僵尸攻击的开始和结束动画之间的混合时间。这似乎在僵尸的姿势中造成了障碍。
修复了玩家在转移物品时走到相邻容器的问题。
修复了如何将色调应用于模型与角色服装的差异。
修复了未在 7 月开始的幸存者和建造者模式。
修复了玩家在低血量时不会醒来的问题。
修复了如果僵尸摧毁房子里的东西（窗户、门、路障...），玩家不会醒来
修复了有时玩家在即将入睡时继续行走，使他逐步穿过墙壁等。
修复了在容器中加载可移动项目的纹理相关异常。
修复了睡眠结束过早的问题。
修复了玩家在抢劫时转身的问题，因为这样做可能会改变显示的容器。
修复了每次加载尸体时都会重新创建尸体纹理的问题。
修复了当库存中没有子弹时从弹匣中卸载子弹的 lua 错误。
修复了用喷灯拆除车辆的问题。
修复了重复单击角色创建屏幕中的"随机化"按钮后组合框会杀死 fps 的问题。
修复 ClothingSelectionDefinitions.lua 中的错字。
 
 
 
[VERSION] 41.21
[SECTION]新增
将剪裁子菜单替换为类似于健康面板的"检查服装 UI"。
在角色上添加了可见的绷带模型
更改了建造原木墙时的动画，并隐藏手模型，因为不需要工具。
为某些武器模型添加了"世界"附件，以便在它们在地面上时很好地定位和旋转它们。例如，这用于铲子和木板平放在地面上。
添加了"瞄准轮廓"显示选项。
当两个物品都在快捷栏中时，玩家现在在装备另一个物品之前先取消装备当前物品。
修复了检查服装 UI 的一些错误并添加了条件栏。
成品绷带模型（添加脏！）
删除了"新屋顶隐藏"选项。
保存游戏时捕获并记录所有 Throwable 错误。
添加了随机车辆生成事件 - 车祸等。
引入了新挑战的各个方面：僵尸现在在 Studio 中晚上活跃，白天不活跃，你从午夜的火炬开始。调整金斯茅斯沙盒选项。
改进了到动作动画的过渡以删除动画捕捉
 
 
[SECTION][绝缘系统变化]
修复了在条件适用时导致没有感冒几率的错误
减慢体热产生的增加/减少率
在热选项卡上添加了高级视图和应用文本更改
固定的四肢温度偏移更加明显
根据测试反馈更改了一些内部值，使抗寒变得更加困难，还包括：核心温度的下降现在会影响可能产生的总热量和身体保持抗寒的能力
过热/过冷时能量/流体消耗率略有增加
在产生大量热量时增加了能量消耗的小幅增加。
改变的皮肤温度在恢复到有利水平时移动得更快，因此再次预热不需要那么长时间。
修复了在加热期间由于绝缘而使皮肤过热过快的错误
固定了几件衣服的绝缘层
更改了在核心 35 而不是 33 的低温阶段 2
潜行时增加了下半身发热值。
添加了小的增量绝缘奖励，主要影响高绝缘服装
在较冷的温度下为服装添加了额外的低排汗率调节剂
为各种夹克、裤子、帽子和鞋类增加了防水性
 
 
[SECTION]平衡
增加了附在僵尸身上的少量武器生成。
增加园艺喷雾、剪刀、手套和黄油刀的生成率。
移除了可以切割的腰带。
增加了厨房的线程生成率。
力学窗口工具提示现在显示电池电量、油箱中的燃料量、轮胎中的空气量。
改进了日/夜循环僵尸沙盒选项的工作方式：激活时，它们会获得您的沙盒选项。当不活动时，他们真的很慢而且很弱，但他们仍然可以走路/攻击。
添加了缓慢的蹒跚者僵尸速度。
 
 
[SECTION]修复
可能修复了原地行走的僵尸。
修复了用双皮套替换皮套时快捷栏不更新的问题，反之亦然。
修复了食物和制作收音机的自定义重量没有被保存。
修复了"清除灰烬"不可用的问题。
允许使用 Shovel/Shovel2/SnowShovel/HandShovel 清除灰烬。
修复了 DebugChunkState 在 modData 中显示表的 lua 错误。
修复了"车辆有时会消失，直到您重新加载游戏"的错误。
修复了玩家在攀爬绳索时被卡住并且顶部被挡住的问题。玩家会自动爬下来。
修复了 37,22 号牢房中重叠的车库门和墙壁。
修复了裁缝技能书在阅读后消失的问题。
修复了燃烧瓷砖的污垢/覆盖物/等。
修复bug：-Dnosave 选项抛出一堆错误
固定的汽车电池有时会超过 100% 的电量。
修复了使用家具移动工具捡起碎玻璃时不会像使用上下文菜单那样切割手的问题。
修复了红色车库门无法打开的问题。
当其中一个项目是可移动（家具）项目时，固定转移全部不起作用。
修复了消毒绷带或制作热饮时有时使用冷水的问题。
修复了僵尸计数沙盒选项设置人口乘数不正确的问题（因为添加了非常高）。
修复了手持手枪时播放错误的爬过栅栏动画。
修复了快进后的 MEGA THUNDER 错误
修复了僵尸在翻过栅栏后被击中时会直立而不是被踩到的问题。
修复了当库存中没有子弹时尝试重新加载弹匣时的 lua 错误。
修复了需要将物品转移到主库存时制作时的 lua 错误。（将钉子装进多个盒子）。
修复了无法将工作服戴在头上的问题（交换了 FullSuit 和 FullSuitHead 的位置）。这应该会修复当僵尸死亡时焊接面罩消失的问题，如果他们穿着工作服的话。
修复了能够从太远的地方点击门来打开/关闭它们的问题。现在玩家必须在门附近的 2x3 或 3x2 方格中。
修复了穿过墙壁击中树木的问题。
修复了僵尸跑步者没有跑向声音的问题（打破窗户，电视..）
固定的僵尸跑步者在你周围跑来跑去。
 
[VERSION] 41.22
 
[SECTION]新增
产生车辆故事的新方法，现在使用块中的区域相交来非常准确。
添加了更多车辆故事。
在武器上下文菜单选项中的插入子弹上添加了武器名称
瞄准行走时添加了脚步声。
Moodles 现在会摇晃和闪烁以表示战斗受到影响
更新了一些车辆纹理。
修复了一些丢失的车辆损坏覆盖。
增加重型武器的上限战斗速度。
按下一个快捷键半秒现在会显示一个径向菜单，用于选择要在该插槽中装备的物品。
可以将治疗项目拖到"健康"面板上以治疗伤害。-为翻译人员转换的字符串
战利品窗口中的所有容器现在显示在玩家周围的 3x3 区域中。
[NODOT]<INDENT:40> 1) 这允许我们添加回"在抢劫时转向面向容器"，因为转向不会改变在战利品窗口中显示的容器。
[NODOT]<INDENT:40> 2) 修复了掠夺尸体的一些尴尬，因为玩家经常在视觉上站在尸体上，而不是面对尸体所在的方格。
[NODOT]<INDENT:40> 3) 玩家总是可以点击世界中的容器并在战利品窗口中显示它的内容，即使容器在玩家身后并且没有按钮战利品窗口。
更新了西班牙语、匈牙利语、日语和波兰语的翻译。
 
[SECTION]修复
修复了效果器中缺少的车辆生锈问题。
修复了玩家在瞄准时开始重新装载/架起枪支后被锁定在原地的问题。
修复了坐着和捶打的僵尸被其他僵尸推着的问题
在快捷栏中显示手持物品的"装备"图标。
添加了"退出桌面"主菜单选项。
玩家现在在尝试解锁时面对车门。
修复了玩家死亡后僵尸卡在动画中的问题。
修复了 State 未暴露给 lua 时的 DebugChunkState 错误。
修复了坐着的僵尸有时会面对错误的方向。
修复了物品栏窗口中"收藏夹"图标的位置（它被夹在上面的行中）。
修复了在右手没有打火机的情况下能够投掷燃烧弹，并且右手物品随后消失的问题。
修复了无法将多个砍树动作排队的问题。
修复了玩家死亡时继续按钮跳过职业屏幕的问题。
修复了快捷栏切换动画。
修复了更改玩家手中模型时玩家的方向捕捉问题。
修复了玩家转身时的卡顿问题
修复了将多个相同类型的治疗项目拖到健康 ui 上的问题。
修复了在一堆物品上点击"磨损"的问题
修复了能够打开无限 Inspect Clothing UI 的问题。
修复了右键单击需要相应枪的子弹才能在弹匣中插入子弹的问题。
修复了在库存中单击一次子弹会为每个项目带来"在弹匣中插入弹药"的问题。
修复了无法清洁脏皮革/牛仔布条的问题。
修复了一堆重叠的文本与用于翻译的服装 UI，现在所有内容都与各种字符串宽度相关联。
修复了加载保存的游戏时沙盒战利品设置重置为默认值的问题。
修复了当"日/夜活动"沙盒设置不是"两者"时僵尸不会攻击他们面前的玩家的问题。
如果我们将打火机用作光源，它不会耗尽燃料
修复了赤脚脚步声不比穿鞋时更柔软的问题
修复了在 1 级时钓到鱼的几率过高
修复了单击"随机"时职业服装（例如伐木工人衬衫）从组合中消失的问题
修复了大灯太容易砸坏的问题
未保存库存菜单的固定 Pin 状态
修复了无法恢复和修复长矛制造中使用的武器的问题
具有饮料选项的固定式烘干机
修复了绘画墙的 lua 错误
修复了使用具有不正确 sfx 的长矛钓鱼的问题
修复了门被摧毁时声音太大的问题
修复了不正确的高强度moodle描述
修复了树木/服装保护系统问题
修复了所有工具都没有 SFX 的 dig Graves 动作
固定车辆警报器错字
修复了由于不同的挖掘动作而导致的农业"挖掘"令人困惑 - 现在是"挖掘犁沟"等。
固定武器 SwingSound 不播放（例如棒球棒的嗖嗖声）。
修复了 HitVehiclePartWithWeapon 和 HitVehicleWindowWithWeapon 不播放的问题，并且它使用了僵尸声音。
修复了多次从复活的玩家僵尸身上掉落的帽子。
修复了在第一个玩家的屏幕上渲染分屏玩家的目标轮廓。
修复了不为分屏播放器渲染的天气效果。
修复了选择项目时在角色创建屏幕中显示错误的服装颜色。
固定乘客不允许在行驶的车辆中阅读书籍（司机仍然不能）。
固定车库门，在 22,33 和 27,33 号牢房后面有墙。
修复了 SmithingMag4 在读取时变成 SmithingMag3 的问题。
修复了 RVSCarCrashCorpse 可能的空指针。
修复了在进行动作时已经面向方向时再次转向的问题。
修复了打开 ISMultiStageBuild 时播放器动画捕捉的问题。
修复了当 fps 较低时车辆转向像弹球桨一样翻转的问题。
修复了导致"WalkTowardState 但 path2 != null"消息的寻路错误。
修复了在游戏加载过程中按下热键快捷键时的 lua 错误。
修复了 PolygonalMap2.intersectLineWithVehicle() 的异常。
修复了 ISRepairEngine 中的 lua 错误
禁止阅读太高级的技能书。玩家会读一会儿然后在说"我不明白..."等之后停下来。
修复了有时使用较小的 WItem_xxx 纹理的 IsoWorldInventoryObject。
固定汽车复制。
修复了车辆大灯在被破坏时不会被移除，在被破坏时会发光
 
[VERSION] 41.23
[SECTION]新增
单击非图标按钮以获取视觉反馈时更改它们的颜色。
添加了新的沙盒战利品选项：
[NODOT]<INDENT:40> - 罐头食品、医疗、机械、生存装备、远程武器、弹药、文学。
[NODOT]<INDENT:40> - 加载之前的游戏时，这些新的战利品修饰符将基于现有的（因此远程 wpn/ammo 将采用武器修饰符，其他将采用"其他"战利品修饰符）
从主菜单中删除了教程。
 
[SECTION]平衡
僵尸在夜间发现玩家的机会较小（它已经在那里，但只在真正漆黑的夜晚发生，降低了一点门槛）
将干扰枪支的几率减半
现在长头发需要 20 天而不是 30 天。
平衡一些衣服的重量。
防盗职业现在可以对车辆进行热线操作，并且在打开窗户时开锁的机会更少。
耳熟能详现在给出 4 分（从 2 分）。
将厚皮成本增加到 8 点（从 6 点）。
将 ThinSkinned 点数增加到 8（从 6 点）。
一些与体重相关的特征现在会降低健康度。
与体重相关的特征现在对攀爬大栅栏失败的几率有更大的影响。
Nightowl 已修复，现在可以正常工作。
现在，你的血液恐惧症和衣服上有血迹会慢慢增加恐慌。
自动越过栅栏时玩家面对的方向更加宽容。
 
 
[SECTION]修复
 
保存时金斯茅斯挂起的临时修复。该岛被水包围，使游戏无法找到任何重生僵尸的路径。
修复了森林之屋挑战中的假死僵尸。
固定墙在快进时闪烁。
修复了僵尸皮肤随机变化的问题。
固定带等在佩戴时不会随着时间的推移而变干。
修复了移动缓慢和冲刺僵尸丢失的僵尸脚步声。
修复了 IsoGameCharacter.DoFootstepSound(String) 体积被忽略的问题。
修复了短跑运动员僵尸全速穿过树木和灌木丛的问题。
修复了在分屏播放器上执行医疗操作时的动画和转动问题。
固定绷带模型出现在医生身上，而不是分屏中的病人身上。
修复了快速单击按钮忽略每秒单击的问题（按钮忽略双击）。
修复了平底锅模型在地面上的旋转问题。
修复了左轮手枪和 dbl 桶式霰弹枪被锤击的问题
固定隐形绷带（用于将绷带模型应用于玩家）权重为 1.0（现在为 0）。
修复了有时绷带模型没有被移除的问题（例如，当被咬时）。
修复了僵尸攻击时仍然转向面对玩家的问题。当玩家坐在车里时，这一点最为明显；僵尸会走到车辆的窗户，然后在它进行 90 度转弯时发起攻击。当打开一扇后面有僵尸的门，或者在拐角处走进僵尸时，也可能发生这种情况。
修复了库存上下文菜单命令"移动到 > 地板"将物品移动到玩家的库存但不会将它们掉落在地板上的问题。
修复了未加载相邻块时 IsoMovingObject.checkHitWall() 中的 NullPointerException。
修复了在离开车辆后播放玩家的撞击反应动画。看起来僵尸从车辆的另一侧击中了玩家。
修复了玩家在被拖到地上时有时会死亡两次的问题。
修复了僵尸在失去 LOS 后一段时间内知道玩家位置的多个问题
修复了僵尸一听到玩家的声音就会看到玩家身后的问题。现在他们在转过头之前是看不到玩家的。
修复了金属加工操作失败的问题，因为焊工面具不能再装备在手中。现在它穿了。
固定地面攻击击中门、树等。
修复了每帧阻塞主线程的一些调试代码。
如果项目已经在目标容器中，则修复 ISInventoryTransferAction 失败。这修复了当气罐一开始就在袋子中时无法将汽油放入车辆中的问题。
修复了涉及尸体的重复项目利用。
修复了当玩家当前方格为空时 ThunderStorm 中的 NullPointerException。
修复了玩家在远距离射击僵尸后身上沾满鲜血的问题。
修复了 VehiclesDB 未报告许多保存/加载错误的问题。现在它使用了小红盒的厄运。
修复了玩家/车辆数据库的多线程错误。车辆数据已损坏的现有文件将反复抛出异常。
修复了 BaseVehicle.load() 失败时 VehiclesDB 反复抛出异常的问题
修复了 IsoPuddlesGeometry 中的 NullPointerException。
修复了 VERSION=1 在某些情况下未写入 keys.ini 的问题
 
[VERSION] 41.24
 
[SECTION]新增
添加了僵尸转弯警报
当你爬过窗户，被僵尸挡住让你跌回屋里时，僵尸会发出声音，让你知道它就在那里。
现在可以在窗户上射击（如果在范围/方向上，它们会被高亮显示）。
游戏现在会检测僵尸何时在原地行走几秒钟，然后停止移动。
攻击车辆的僵尸群现在可以更好地协调，以避免他们无休止地走进他们无法到达的车辆。
为近战战斗添加了预测。如果你正在攻击一个向你冲过来的僵尸，我们实际上会增加武器的射程以检测攻击，这应该会在你真正击中僵尸时减少"未命中"动画的播放频率。
现在，当车辆倒车时，驾驶员会向后看。这修复了玩家在倒车到看不见的区域时无法看到他们所在的车辆。当车窗未打开时，驾驶员和乘客可以通过按住 Aim 键或控制器右摇杆环顾四周。
现在，当鼠标悬停在物品列表上时，控制鼠标滚轮会在物品栏和战利品窗口中的容器之间循环。
改善生活质量以获取泥土/砾石/沙子。
[NODOT]<INDENT:40> 1) 最满的包是从库存（和背包）中自动选择的，而不必从子菜单中选择一个。
[NODOT]<INDENT:40> 2) 显示一个光标，用于选择要从中提取的位置。这允许玩家连续点击四次来填满一个袋子，而不必右键点击并从上下文菜单中选择四次相同的动作。
改善倾倒泥土/砾石/沙子的生活质量。
[NODOT]<INDENT:40> 1) 光标显示绿色或红色轮廓以便于查看。
[NODOT]<INDENT:40> 2) 第一个非空包是从库存（和背包）中自动选择的，而不必从子菜单中选择一个。
如果玩家站在僵尸之上，僵尸现在不会站起来。
 
[SECTION]平衡
减少从 2 层窗户坠落造成的伤害。
修复了从 2 层窗户坠落和超重时体重过轻/体重过轻导致立即死亡的问题。
允许冲刺的僵尸爬过栅栏和窗户，而不是原地走进它们。
广场恐惧症/幽闭恐惧症现在是相互排斥的。
增加 5 分的恐惧症分数。
 
 
[SECTION]修复
 
修复了没有僵尸沙盒选项仍然在车辆故事中产生僵尸的问题。
修复了在不需要时进行各种操作（填充水瓶）时仍会转向某些物品的问题。
修复了僵尸重击车辆不吸引其他僵尸的问题（缺少 WorldSound）。
修复了 AttackState 清除 StateMachineParams（针对所有状态，而不仅仅是 AttackState）。
修复了两个多线程错误。
修复了使用控制器关闭地图后无法攻击的问题。
固定转移所有移动的快捷栏项目。
修复了在较高帧速率下增加更快的血恐惧症压力。
修复了玩家在钓鱼时执行其他操作会卡在钓鱼状态的问题。
即使放置了木地板，固定驾驶穿过森林也是颠簸的。
修复了房屋着火时 IsoGridSquare.RenderOpenDoorOnly() 中的 NullPointerException。
修复了删除最后一个存档后新游戏屏幕中被阻止的按钮。
修复了如果 Dynamic Skybox = 否，则无法从水坑中取水。
固定的管道水槽从水坑中取水。
固定锁定帧率 = Uncapped 未保存。
固定 BodyPart.RestoreToFullHealth() 不停止流血。
修复了在与其他玩家相同的位置生成分屏玩家时的隐形玩家和其他错误。
修复了 IsoPlayer.getJoypadAimVector() 和 IsoPlayer.getJoypadMoveVector() 执行 sqrt(x * x + y + y)。
修复了乘客在使用控制器时看到"B for Brake"提示的问题。
修复了选择新方块时 DebugChunkStateUI 不更新显示的问题。
创建新游戏时禁止使用现有目录的名称。
禁止在创建新游戏时在保存文件字段中输入各种无效字符。
修复了当输入无效的存档名称时能够双击生成位置以前进到下一个屏幕的问题。
修复了不会在房间内生成僵尸吃尸体的问题。
修复了在禁用僵尸生成时生成的僵尸在房间里吃尸体的问题。
修复了在尸体和僵尸之间有墙或门的僵尸吃尸体的问题。努力寻找在房间内生成尸体的地方，而不是总是选择中心。
修复了血溅导致灌木和树木沙沙作响的问题。
修复了在建造新楼梯后无法从各个方向离开地板的问题。
修复了房间内的尸体/物品/僵尸在楼梯后面无法进入的区域生成的问题（当该区域仅为 1x1 或 2x1 或 1x2 时）。
 
[VERSION] 41.25 and 41.26
[SECTION]新增
改造后的模组系统：
[NODOT]<INDENT:40> - 更新了模组界面。所选模组的模组描述显示在屏幕右侧，而不是模组列表中。其他详细信息，例如 ID、创意工坊 ID（如果有）、安装目录和任何海报都显示在右侧。
[NODOT]<INDENT:40> - mod.info 可以有多个 poster= 行来指定 Mods 屏幕中的多个图像。
[NODOT]<INDENT:40> - mod.info 可以有多个 description= 添加到总描述的行。
[NODOT]<INDENT:40> - 新游戏屏幕有一个按钮可以选择为新游戏启用哪些模组。
[NODOT]<INDENT:40> - 每个存档文件都有自己的模组列表，保存在名为 mods.txt 的文件中。mods.txt 还有一个地图文件夹列表，用于不同地图的部分相互重叠的情况。
[NODOT]<INDENT:40> - 加载游戏屏幕显示所选保存文件使用的地图文件夹和模组名称。由于旧存档文件没有 mods.txt 文件，因此在加载旧存档文件时会使用所有当前启用的模组。首次加载旧存档后，无法更改该存档的模组，除非编辑或删除 mods.txt。
旧的 Zomboid/mods/loaded.txt 文件已被 Zomboid/mods/default.txt 替换。此文件包含创建新游戏时将使用的默认启用模块集。在"新游戏"屏幕中创建新游戏时，可以覆盖默认模组。
default.txt 还包含以前保存在 options.ini 中的地图文件夹列表（用于处理重叠地图的旧"mapOrder"设置）。如果没有地图重叠冲突，则此地图文件夹列表为空。
添加了 bBeingSteppedOn IsoZombie GameVariable 以测试玩家（或僵尸）是否站在俯卧的僵尸上。本来我打算用这个来防止假死僵尸在玩家站在他们身上时翻身。如果另一个僵尸站在他们身上，俯卧的僵尸就不会站起来。
角色创建的变化：
[NODOT]<INDENT:40> - 现在可以保存/加载服装（服装、男/女、姓名）
[NODOT]<INDENT:40> - 现在可以在项目使用多个纹理但没有颜色时选择纹理（牛仔裤有 3 种颜色，但每次都选择随机一种）。
调整水槽洗衣服：
[NODOT]<INDENT:40> - 衣服一次洗一件。
[NODOT]<INDENT:40> - 选择清洗 > 全部时，按照从最少血到最多血的顺序清洗物品。
[NODOT]<INDENT:40> - 上下文菜单工具提示显示所需的肥皂和水量。
[NODOT]<INDENT:40> - 使用了正确数量的肥皂和水。
添加了一个显示选项，以指定与鼠标滚轮组合使用的修改键在库存和战利品窗口中的容器之间循环。默认值为 Shift。
"Walk To"上下文菜单命令显示一个光标以指定要步行到的位置。这允许玩家点击多次而无需再次选择"步行至"命令，从而使穿越森林的长途旅行更容易。
现在将物品放在地上时，物品会放置在相邻的非完整方块上。这是必需的，因为战利品窗口显示周围 3x3 方格的物品，每个方格只能容纳 50 重量。
添加了一个选项（在可访问性下），可以将物品放置在玩家站立的广场中心附近，而不是玩家站立的确切位置，以用于整洁的怪胎。
现在将物品从最轻转移到最重，以最大限度地增加将被转移的物品数量。
现在在主库存和装备包之间转移物品时会播放动画。
车头灯距离和强度是基于零件条件而不是在创建车辆时随机设置的。大灯宽度也取决于零件状况。删除了更改前灯宽度的 Focus Up 和 Focus Down 上下文菜单命令。
 
更新了社区翻译。
添加了一个 nag 面板，当用户第一次尝试访问 Mods 屏幕时会弹出该面板。
在厄运的红色小盒子中添加了"错误"一词。
僵尸现在可以在他们身上贴上随机绷带（血腥！），感谢澳大利亚队长在 reddit 上的想法！
覆盖更新
 
 
[SECTION]平衡
 
限制车辆在尸体上方行驶时施加的力，以防止升空。
向厨房战利品表添加了针线包（图标待定），其中包含针/线和一些用于固定衣服的条带。
在厨房随机分布中添加了捕鼠器。
禁止在没有连接围栏柱或铁丝网段的情况下建造铁丝网围栏。
角色创建时的调色板现在不再偏爱粉红色和绿色阴影。
燧石刀现在有制作配方
现在可以恢复和修复用于制造矛的武器
大腿/胫骨/足部骨折的跺脚现在会影响跺脚的准确性
当踩踏多个僵尸时，玩家现在选择头部最近的一个。之前没有考虑到丧尸的距离，只是在跺脚范围内。
允许玩家在移动时掉落物品，以避免不公平的死亡
更改螺丝重量以匹配钉子。
将 IsoGameCharacter.maxWeight 从 Integer 更改为 int。
减少了击中僵尸对车头灯的伤害。
为站立/地面僵尸检测添加了更多攻击预测。
将裁缝特权从生存主义者移至手工艺子类别。
将燧石刀更改为石刀（使用锋利的石头）。
增加了数字手表的生成率。
降低了一些头盔移除的机会。
现在可以将切肉刀连接到腰带上。
当汽车在zed故事（警察，消防员..）中产生时，可以在其中一个产生的僵尸上找到汽车的钥匙。
降低了房屋故事中汽车生成的一般条件。
重命名为室内钥匙。
房子钥匙现在可以在厨房柜台生成。
烧毁房屋故事中的消防员现在会生成一辆消防车。
添加了来自罐装动画的饮料。
现在可以在各种配方中使用石刀（切割动物、鱼、创建木桩...）
 
觅食 UI 的一些变化：
觅食现在不会关闭 UI。
觅食时在 UI 上添加进度条。
收集的物品将显示在右侧。
现在可以过滤"鱼饵"。
动物过滤器仍然会得到所有的鱼饵。
蠕虫现在可以在 0 级找到。
 
 
[SECTION][剪切修复]
 
Cutaways - [Bug] 无法透过某些物体看到角色
剖面图 - 无法通过面向右上角的窗户看到房屋内部
切口 - 尝试打开窗户时，即使不成功，切口的墙壁也会倒塌。
剖面图 - 当整个建筑物隐藏/透明时，隐藏屋顶上的屋檐
剖面图 - 当在 Z>0 上建造时，玩家制作的墙壁不会在北部和西部显示墙壁、窗框、门框。
Cutaways - 墙壁切割系统没有隐藏足够多的玩家制作的墙壁
切角 - 靠近窗户时的墙切出问题
 
 
[SECTION]修复
 
固定优势通过取消攻击（重要提示：如果您更喜欢在攻击 zed（风筝）时使用行走能力，那么可以通过在沙盒选项中禁用近战移动中断来实现）
 
修复了开枪后枪断时玩家动画锁定的问题。
修复了 McCoys 和监狱区域中的尸体。
修复了重复使用的僵尸动画与僵尸从世界中移除之前播放的前一个动画混合的问题。
修复了男性/女性交换后为僵尸播放错误的 HurtSound。
修复了在尸体上倒车不播放声音的问题。
修复了Fixing Generator中的一堆错误（特权不考虑计算，现在也提供电气经验。）
修复了由于在播放动画前等待转弯完成而导致的农耕动作捕捉
修复了玩家在休息、坐着或睡觉时受到重物伤害的问题。
修复了车辆每次装载时都会受到坠落伤害的问题。并非每次都发生这种情况，可能只有在两辆车接触时才会发生。
修复了瞄准窗户和通过窗户射击僵尸的问题。
修复了无法使用土耳其语加载文件名中带有大写字母 I 的模型。
为更多武器模型添加了"世界"附件，使它们在世界中居中并平放。
修复了距离超过 10 个方格的僵尸有负面机会发现玩家的问题。
修复了无法在一个方向上建造带刺铁丝网的问题。
修复了僵尸重击栅栏柱的问题。
修复了假死僵尸有时会在玩家靠近之前赤身裸体。
修复了在启动 ISBuryCorpse 之前无需等待转弯完成的问题。
修复了在动作完成后显示定时动作绿色突出显示的库存项目。
修复了玩家在睡觉时继续移动的问题。
修复了上次播放的存档文件被删除后单击继续后的 lua 错误。
修复了手电筒在制作柱上灯时不会从袋子或地面上消耗的问题。
修复了在车辆中安装无线电时未保留电池状态的问题。将可安装在车辆中的无线电项目的 ConditionMax 从 10 更改为 100。
修复了在库存中没有补丁材料的情况下无法移除衣服补丁的问题。
修复了在分屏中使用错误播放器的服装工具提示。
修复了未从 mods/default.txt 中删除的已删除 mod 的 mod ID，导致它们被添加到新游戏的 mods.txt 中。
修复了有时会影响滚动条和调试控制台的纹理过滤问题
修复了可以从洗衣机中喝水的问题
修复了没有铲子无法将尸体放入坟墓的问题
修复了由于某些无法解释的原因而具有负面无聊/幸福值的新鲜冷冻冰淇淋
修复了 char 库存中的帽子（未佩戴）也变湿/浸湿的问题
修复了加载游戏 ui 和死后文本中未使用的新游戏模式的翻译。
修复了由于其他僵尸站在僵尸玩家身上而不站起来的问题。
修复了一些地方没有使用游戏模式翻译。
禁止在地面以上挖掘坟墓。人们可以在屋顶上撒泥土，然后在屋顶上挖坟墓。
修复了将物品从包中拖到地板上时不会先打开包装的问题，就像单击"放置"按钮时所做的那样。
修复了面向南方或东方时可以攀爬的军事围栏。
修复了每次加载游戏时都会添加新的绷带项目，导致绷带模型不会被移除的问题。
修复了更高的发动机质量，降低了启动车辆的机会。
修复了较冷的天气增加了盯着车辆的机会。
固定车辆 engineQuality 有时小于零或大于 100。
修复了广场南侧或东侧的电灯开关、架子和其他物体的渲染。这也修复了与大多数其他门（例如 Westpoint Gigamart 和教堂中的双门）相反的门的渲染。
修复了将床单放置在与大多数其他门相反的门上
修复了没有窗户的窗框（例如木工窗框）的剖面轮廓。
修复了无法在玩家或僵尸站立的方格上建造门的问题。
固定金属制品不使用地面上的物品。
如果装备了空的喷灯，则修复了金属制品不装备非空喷灯的问题。
修复了在做木工时允许但不使用非空袋子的问题（例如制造雨桶）。
修复了在创建柱上灯时不允许在地面上放置火炬和绳索物品的问题。
修复了阻止鼠标在上下文菜单上移动的工具提示。
修复了一些电灯开关的属性（attachedE、attachedS）。
修复了 tiledefinitions_overlays.tiles 中某些叠加精灵的属性。
修复了僵尸和地面上的衣服在雨中不会变湿的问题。
修复了在查找 mod.info 文件时不必要地读取目录内容。这首次减慢了激活模组的速度。
修复了游戏暂停时的水效果动画。
修复了创建分屏播放器时的 lua 错误。
修复了玩家可以通过将堆肥箱设为solidtrans 来穿过它们的问题
通过使它们成为solidtrans来修复通过Lamp-on-pillar的角色寻路
修复了原木墙不像高栅栏那样透明的问题。（不是 LOS 透明度）
修复了播放后退出主菜单后保存文件图片不更新的问题。
修复了 DebugOptionsWindow 有时比屏幕高的问题。
修复了足部受伤时能够偷跑/偷跑低位的问题。
修复了制作木桩不给予木制品经验的问题。
修复了在汽车发动机运行时能够取出电池的问题。
固定从碗里喝。（锅动画饮料来了！）
修复了从爆米花中饮用有时间问题的问题。
修复了有时应用于僵尸的重复绷带模型和身体伤害模型。
修复了一个僵尸在爬过柜台后击中它后会直立的问题。如果僵尸还在柜台上被击中，它仍然会直立。
修复了 replaceOnUse/replaceOnDelete 不设置收藏夹是上一个收藏夹的问题。
修复了破坏没有卡路里修饰符的东西。
修复了河边车库丢失战利品表的问题。
 
[VERSION] 41.27
 
恢复（暂时）攻击取消修复，同时我们为下周的补丁制定更优雅的解决方案。
在沙盒选项中添加了缺少的近战移动中断选项。
 
[SECTION][对觅食用户界面的更改：]
 
修复了一些错别字。
觅食行动现在将继续，直到您停止它或该区域为空。
显示当前区域的战利品丰度
只能打开一个 UI 实例。
发现的石头数量减少。
您现在可以选择一个装备好的袋子直接将觅食的物品放入其中。如果袋子已满，它将进入主库存或地面。
 
修复了做木工时袋子里的物品不被使用的问题。
将"在正方形中心附近放置物品"的默认设置更改为 false，因此物品会像以前一样掉落在玩家的脚下。
修复了无法单击木工容器以在战利品窗口中显示其内容的问题，如果容器由于位于玩家面前而更加透明。
 
[VERSION] 41.28
 
[SECTION]新增
实验优化。这允许僵尸通过每个对象的游戏时间乘数每 X 帧更新一次，该乘数取决于玩家的接近度/可见性。它将僵尸的更新滴答传播到帧上，这意味着在大量人群中更高的 FPS。\
伴随上述内容，添加了"分层僵尸更新"选项（默认启用），它将更新远处/看不见的僵尸的频率更低，因此成群的 fps 会更好。
一些解决攻击取消的修复。让我们知道它是如何播放的。
添加了自动紧急广播电台频道
让雨水变得更柔和，在室内时将 alpha 减半
添加了完全禁用室内下雨的选项
为剩余可见无线电频道的文本添加了乘数选项
为 zomboid 收音机添加了计算机化扰频器
更新了社区翻译。
 
觅食 UI 的改进：
现在显示找到的物品列表及其材质。
用户界面更加透明。
取消按钮现在只取消当前操作。
添加了关闭按钮以关闭 UI。
 
钓鱼 UI 的改进
现在使用与觅食相同的 UI 模型
您可以选择杆/诱饵
可以选择将捕获的鱼放入的袋子（与觅食一样）。
 
[SECTION]平衡
在某些栅栏后面时增加潜行奖励
 
[SECTION]修复
修复了当物品在袋子中时按下"Craft All"按钮的 lua 错误。
修复了一个舍入错误，该错误会阻止重量为 0.1 的项目以倍数移动。
修复了营火进入建筑物时的 RuntimeException
修复了拿起电视时的 RuntimeException
修复了拾取正在燃烧的烧烤时的 InvocationTargetException（现在烧烤时无法再拾取，太热了）
修复了从 WestPoint 开车到 Muldraugh 后的 NullPointerException + 游戏崩溃 (RVSContructionSite)
修复了通过直升机快进事件导致持续几天的问题
修复了钓鱼时钓竿断裂时卡住的问题。
修复了未应用的夜间颜色
修复了不可见时打开的门切割天气面罩
修复了根据物品是从物品栏窗口拖动、通过上下文菜单或放置按钮放置还是自动放置（对于装备好的尸体）而导致的放置位置不一致的问题。
修复了有时尸体掉落时战利品窗口不更新的问题。
修复了放置在屏幕底部的库存和战利品窗口在重新加载后位于不同位置的问题，如果它们的大小调整为小于默认高度。
修复了如果选择了其他不需要剪刀的衣服，则可以撕开需要剪刀的衣服。
如果没有足够的墙壁来建造房间，则修复了屋顶不能让玩家保持干燥的问题。
修复了与服装项目查找相关的垃圾创建。
固定清除和钓鱼取消按钮在第一个动作完成后什么都不做。
使用不同大小的字体修复了清除和钓鱼布局。
 
[VERSION] 41.29
 
[SECTION]新增
 
ZOOM beta 合并 - 更清晰的视觉效果和改进的低规格系统性能
添加了一个光标以帮助选择要砍伐的树。
在调试中添加了部落管理器 UI
添加沙盒选项"车辆故事事件机会"
 
 
[SECTION]平衡
 
消除了在小树和灌木上行驶造成的伤害。
减少了在小树和灌木上行驶时的减速。（可能是我们漏掉的一两种类型）
小树苗不再让你在冲刺时摔倒。
更新了社区翻译。
降低了掉落的武器和帽子模型的照明亮度。
 
 
[SECTION]修复
 
修复了旧 Mac 与新型号的一些奇怪问题（Apple 工作人员！请报告！我们有你回来吗？）
修复了 NW 墙角上的切口失败的问题。
修复了剖面系统有时完全失败的问题。
修复了从被杀死的僵尸中获取密钥的 lua 错误。
修复了僵尸在被从世界上移除后得到更新的问题。
修复了如果附近有僵尸站在关闭的门后，则无法攻击俯卧的僵尸。
修复了有时不出现瞄准轮廓的问题。
修复了在 waitToStart() 期间操作被中断时调用的定时操作 stop() 方法。
修复了河滨餐厅丢失的露台地板。
修复了与树木和灌木的碰撞检测。
修复了一些错字（T 恤 -> T 恤）。
修复了多次删除补丁时的定制 XP 漏洞。
修复了"分层僵尸更新"选项不保存的问题。
修复了与服装项目查找相关的垃圾创建
固定清除和钓鱼取消按钮在第一个动作完成后什么都不做。
使用不同大小的字体修复了清除和钓鱼布局。
修复了西北角瓷砖不被切割的问题。
修复了偏离中心的砍树指示器图像。
修复了如果武器已经装备，ISEquipWeaponAction 不会立即完成的问题。
修复了在某些地方调用 AnimationPlayer.getRenderedAngle() 的渲染线程。添加了 AnimationPlayer 对象的池化。
修复了觅食和钓鱼用户界面中的控制器问题。
通过将用于保存车辆的 ByteBuffer 的大小从 64KB 增加到 128KB 来修复车辆保存问题。
修复了 IsoZombieGiblets 永远不会从它们所在的方格中移除的问题。
修复了从外面看不到的封闭窗帘。
修复了能够从太远的地方或有时在建筑物外点击窗帘来打开/关闭它们的问题。
修复了使用控制器时可见的 iso 光标。
修复了如果武器在攻击时断裂，玩家会卡在瞄准动画中的问题。
 
[VERSION] 41.30
 
[SECTION]新增
 
Spiffo的秘密特制酱汁。内容已编辑。
 
[SECTION] 缩放改进：
对非双倍大小的纹理使用与双倍大小的纹理相同的缩放级别。这主要是为了允许进一步放大非双倍大小的纹理。
修复了非钻石地板精灵的瓷砖接缝。
在 Zoom <= 1 时将填充微调为 0.5%，在缩小时为 0。
精灵塑造者的清理。
为一些拖车精灵添加了 WallOverlay 属性以修复接缝（未完全修复）。
为两个平坦的拖车屋顶瓦片添加了 is-floor 属性，以修复接缝和照明。
修复了几块地砖上缺失的旗帜，以修复接缝和照明。
修改了 Iso 精灵填充以减少重叠并最小化接缝。
更改了选择纹理过滤的方式，以在所有缩放级别上获得更好的美感，并在运动时减少视觉伪影。
当一直放大时，使用的滤镜是最近邻的，以获得清晰的像素化外观。
当缩放小于 100% 时，使用的过滤器是双线性的，以获得更平滑的外观并且没有视觉伪影
当缩小超过 100% 时，使用的过滤器是 TriLinear，也称为线性 MipMap，以获得更平滑的外观和更少的像素闪烁。
修复了海岸线上的边缘瓷砖接缝伪影。
 
[SECTION]剖面改进：
玩家制作的墙现在在 Z>0 上建造时会在北面和西面显示墙、窗框、门框。
计时器现在停止切角和其他可见性/隐藏效果闪烁
Z=1 关卡角色的东墙现在可以正常工作
 
[SECTION]在车辆上工作时的抛光动画：
修复了打开引擎盖时的角色角度捕捉问题。
在机械师窗口显示之前播放动画（在检查车辆时）。
添加/移除汽油时播放动画。使用时显示玩家手中的气罐模型。
安装/卸载部件时播放动画。
增加了安装/拆卸轮胎的时间。
在打碎窗户之前确保玩家面向车辆。
 
[SECTION]温度系统改进
在引入加热/冷却设备之前，将室温更改为更适合
修复了体热有时会阻止衣服在雨中弄湿的错误
恢复用于抗寒的食物消费，但影响严重下降
降低了疲劳和液体的其他消耗，但过热时液体仍然是一个重要因素
改变了能量对体温调节的影响，当能量仍然很高时不那么苛刻，但随着能量耗尽而恶化。
当趋势向设定点移动时，核心温度恢复更快
改变的体湿对热量获得/损失的影响稍强
当容量接近最大值时改变能量产生的容量权重因子更强，低时可忽略不计
对温度调节器的某些部分进行了返工和微调
消除了温度调节器的饥饿效应，有利于或增加卡路里摄入量。
 
[SECTION]车辆/玩家数据库
玩家现在与车辆分开保存。
玩家保存在名为 player.db 的文件中。车辆仍保存在车辆.db 中。
[NODOT]<BR>
应该修复进入地图未探索部分（创建新车辆时）时的搭便车问题。
添加了一个光标来选择方块以从中去除血液。
多阶段构建现在在构建时显示玩家手中的木板。
用喷壶添加浇水（例如用于农业）。
从油泵取燃料现在使用动画。
为无线电系统添加了调试面板，以监控所有频道、广播、脚本等，包括它们的设置
僵尸现在在攀爬高高的栅栏/墙壁时不能在半空中咬你，但可以让你摔倒。
添加了针线包纹理。
粉碎的瓶子现在是一种刺刀，不会再对门或树造成伤害。
更好地使架起步枪的声音和动作与动画同步。
在枪的工具提示中添加了一个注释，当它需要上膛来装弹时。
允许尸体面对任意角度，而不是被限制在 8 个不同角度之一。
改变了"洗自己"的动画。
现在可以恢复和修复用于制造矛的武器
当僵尸真的很近时，增加击中远程武器的机会。
Sprinter zed 攻击现在会减慢玩家的速度。
控制器 B 按钮可打开和关闭短跑。
增加一些伤口愈合的时间。
增加了去除街道裂缝上出现的草和风效果的能力
添加通知"需要关闭"。尝试拾取运行时无法拾取的可移动物品时（烧烤）
为模组添加了 DeviceData getEmitter
 
 
[SECTION]平衡
 
增加了在僵尸身上产生的香烟。
僵尸现在可以生成打火机、火柴和数字手表。
增加了各种金属加工相关物品的生成率。
增加捕鼠器、园艺喷雾的生成率。
Chainlink 栅栏是可拆卸的，提供 MetalBar 和 Wire 物品。
 
 
[SECTION]修复
 
修复了跑过玩家的短跑僵尸。
修复了由于 floorTile.frag 上未使用的包含无法正常播放而导致某些英特尔系统崩溃的问题
修复了衣物烘干机可以竖起的问题（移除了 waterPiped 属性）。
修复了启动游戏时导致异常的竞态条件。
修复了在最后一站挑战中没有弹匣的手枪生成问题。
修复了 lot_barn_03，它使用了一块旧的泥瓦 (floors_exterior_natural)，并且屋顶的平坦部分位于错误的水平面上。
修复了钓到东西时钓鱼线总是断的问题。
如果在该区域没有发现任何东西，则修复了觅食动作不会自动重复的问题。
修复了用泥铲取土/砾石/沙子时播放的动画。
修复了屏幕右下角没有被三个合作玩家涂成黑色的问题。
修复了在钓鱼时折断后残留在副手上的折断长矛。
修复了一些"要求 xyz 失败"的错误消息。
修复了与水相关的渲染异常。
修复了僵尸打破和爬过商场金属格栅覆盖的窗户的问题。
修复了地板血溅上的照明。
修复了耙子动画（用拖把清理血液时使用）仅影响上半身骨骼，而不是循环。
修复了仅影响上半身骨骼的草料动画。
修复了 AxeMan 特性在战斗或砍树时不影响动画速度的问题。
固定锯原木不推迟下骨。
修复了不使用任何动画的抓取项目（右键单击项目 -> 抓取）。
修复了当僵尸的衣服被玩家的攻击破坏时的 lua 异常。
修复了车辆前灯在车辆前方太远的问题。
修复了检查服装 ui 中的重叠文本。
修复了玩家和僵尸在翻越障碍物时穿过门/墙/窗/窗框的问题。
修复了僵尸卡在与他们攀爬过的物体相邻的物体内（他们只能翻过一个障碍物）。
修复了玩家通过窗户越过障碍物然后爬上水的问题。
与非木工窗框不同，当放置在木工窗框附近时，固定障碍物是实心的。
修复了河畔酒店游泳池边缘有沙子的问题。
修复了单元格 33,36 中缺少的停车位区域。
修复了一些 TownZone 不是单元格 33,36 中的导航区。
修复了（再次）玩家在武器断裂后卡住瞄准的问题。
修复了每帧渲染数十次的自定义对象工具提示（例如农场植物工具提示）。
修复了 StateMachine 中一些与 lambda 相关的垃圾创建问题。
修复了无法用受污染的水"清洁"脏绷带/抹布的问题
修复了三明治在使用仍然新鲜但会在不到 1 天 12 小时内变质的面包时极度无聊的问题
修复了衣服刚洗完就立刻变得"有点脏"的问题
修复了一些墙壁和汽车在偷偷溜到它们后面时给你 0% 的奖励。
修复了僵尸的 ClimbThroughWindowState 错误。
修复了如果攻击被取消，燃烧弹会消失的问题。
修复了翻越附近有火的栅栏时的异常。
修复了玩家在车内时着火的问题。
修复了如果没有子弹已经装弹，则无法用弹匣装枪。
修复了无法从车辆上重复发射步枪的问题。
固定机架手枪/左轮手枪/霰弹枪（添加 rackBullet 事件）
固定随机尸体总是面向同一个方向。
修复了一些基于故事的尸体与家具一起剪裁的问题。
固定透明地板阻挡视线到其他水平。
通过更改 Muldraugh 火车站建筑物修复了渲染问题，因此上层被视为房间（单元格 38,32、38,33 和 39,33）。
修复了无法使用控制器 A 和 B 按钮与玩家身后的门窗交互的问题，就像使用 E 键已经可以完成的那样。
修复了健康面板中重叠的调试文本。
修复了单元格 35,33 中 Muldraugh 足球场中不正确的泥土瓷砖。
修复了重新加载 lua 文件后未重新创建 VehicleType 静态表的问题。
修复了无法手动调整的自动广播生成频率
修复了应该禁用的尸体或僵尸（在车辆或房屋故事中）
修复了玩家在爬过窗户时向后跌倒后最终落入固体物体中的问题，而僵尸在另一边。
修复了硬编码使用"Zombies/Male Pain"FMOD 事件名称而不是使用脚本定义的声音。
修复了面向错误方向的人体模型。
在资产加载线程而不是渲染线程上创建纹理 mipmap 数据。
尝试减少第一次单击"单击继续"后的长时间延迟。
 
 
[VERSION] 41.31
 
[SECTION]动画
 
调整了扫射和一些近战状态的混合输入和输出（修复了奇怪的击球动画，如擀面杖）
 
 
[SECTION]修改
添加了无线电 OnDeviceText 传递父级 (IsoObject,Item,VehiclePart) 用于修改目的
 
[SECTION]修复
 
增加对栅栏造成的伤害。
修复了僵尸在死时推你的问题。
修复了僵尸在你击中它们后推搡的问题。
修复了僵尸撞墙的问题。
修复了在栅栏或窗户弓步攻击期间僵尸被认为没有"在地板上"的框架
修复了僵尸在进行窗户/栅栏弓步时能够以不同的 Z 水平攻击你的问题。
修复了监狱中囚犯服装中没有僵尸的问题。
固定（再次）斑点尸体。
固定木工不消耗材料。
修复了不能被车辆和僵尸破坏的短木工栅栏。
修复了牢房墙壁阻挡视线的问题。
修复空指针 bodydamage catchacolddelta
修复了物理调试渲染的多线程错误。
修复了当僵尸在里面时有毒建筑物抛出异常的问题。
修复了在建筑物中运行的车辆使其有毒直到再次被抛光的问题
 
[VERSION] 41.32
[SECTION]新增
现在可以使用 ESC 关闭地图和制作窗口
用长矛钓鱼有新的音效
州的变化现在尊重食物的部分消费
绳索现在可以用作绳索
瞄准系统现在更喜欢射击更接近玩家 z 水平的目标。
如果某些（但不是全部）车门已锁定，车辆仪表板中的门锁图标现在会显示为黄色。
将僵尸捶打动画与对门窗的捶击效果同步（除了没有影响的擦窗动画）。
将 Wire 与其他材料一起放置在金属制品菜单工具提示中，而不是低于所需的技能水平。
突出显示具有非默认值的沙盒选项
当你瞄准地面上的僵尸时添加瞄准地板（目前仅在静态时有效，扫射将相同）用于每种武器。
添加了对讲机对讲机静态模型。
增加了在腰带上附加对讲机的能力，因为它在 Planetalgol 的 mod 中是多么的棒。（看看他的东西！）
平衡了所有武器的射程/角度，一些武器缺少角度（意味着你可以从 90° 角度击中），一些射程太大了。
更好地掩蔽近战攻击的骨骼，现在将包括臀部，因此近战攻击感觉不那么奇怪。
现在可以在移动时上勾拳/过顶攻击。
僵尸现在会在警报器/警报开启的情况下敲打汽车，警报器最终会被敲打的僵尸摧毁。
在 SP 中添加了尸体移除默认设置：9 天后，尸体将消失或变成骷髅（骷髅将在 9 天后消失）。
如果你能击中僵尸，你就不会击中任何可重击的东西、门、窗等。
 
 
[SECTION]Zed 栅栏/窗口行为改进：
[NODOT]请注意这是改进的，但不是最终的 - 可能仍然存在一些问题
 
即使可以，僵尸也不会总是进行弓步攻击。
玩家不会 100% 倒在地上，而是根据统计数据掷骰子来检查他是否跌倒，如果没有，他们会稍微失去平衡。
修复了僵尸试图冲向不同 Z 级别的玩家的问题。
在计算中添加了丢失的重量，以便在某些动作期间有机会跌倒。
修复了僵尸栅栏弓步攻击有时射程过大的问题。
修复了从推到颠簸的缺失过渡。
修复了栅栏和窗户上的僵尸横向移动受到限制的问题。
 
 
 
[SECTION]削弱背刺：
以前背刺时用刀有 100% 暴击几率，现在只有在僵尸不警戒时才会发生
如果僵尸处于警戒状态，则背刺期间其他武器的暴击几率会降低，但如果僵尸不警戒，则会大大增加
[NODOT]<BR>
通过代码解决方案用草料区填充了许多块：
森林区域会自动添加，以允许在映射器尚未放置此类区域的区域进行清理。
[NODOT]<INDENT:40> 这些区域恰好覆盖了一大块。
[NODOT]<INDENT:40> 这些区域总是森林类型，而不是深森林。
[NODOT]<INDENT:40> 这些区域未保存。
[NODOT]<INDENT:40> 区块不能是导航区或城镇区，或现有森林或深林区的一部分。
[NODOT]<INDENT:40> 自动森林区域要求所有相邻区块都有树木
 
 
 
[SECTION]平衡
不用肥皂也可以洗衣服，但要花更长的时间
撕裂伤现在可以用脏抹布包扎
增加捕获的鱼的营养价值
缝纫盒中的更多战利品。
厨房里有更多的罐头设备（罐子/罐盖）
箱子里有更多的绘画材料。
增加无指手套的生成率。
在垃圾表中添加了更多战利品
厨房里更杂乱。
棚子里的更多战利品（机械材料，锯子等）
 
 
[SECTION][地图修复]
[NODOT] 修复：
卫生间相对的卫生间
将货架/柜台翻倍
意外的附加墙
缺少窗户
缺少门
缺少电灯开关
摆放不正确的家具
 
 
[SECTION]修复
固定防霉喷雾不能倒在地上
修复了高栅栏和原木墙不属于剖面系统的问题
从相交的墙上固定瓷砖，不会随着切口消失
修复了用斧头砍树的错误定时动作
固定在水面上的地板是隐形的。
修复了 z > 0.* 上水面上方的渲染地板，由 tim
修复了从模组加载 lua 文件的错误。
修复了放置在墙壁旁边的可跳跃座椅的问题 - 透明墙壁和可跳跃的墙壁
修复了在车辆中撞击玩家的栅栏僵尸
修复了"Choke Tube Full"导致霰弹枪无法使用的问题（它将 MinAngle 设置为 1.0）。
修复了沙袋和砾石袋精灵在燃烧时会变成燃烧墙的问题
修复 Character.Debug.Render.AimCone 渲染（角度错误）
修复了与英文 UI 标签不匹配的保存文件夹和游戏模式。
修复了金属制品工具提示中喷灯和焊条的顺序会根据可用性发生变化。
通过将 transparentN/transparentW 标志添加到所有窗口精灵来修复通过窗口的视觉
修复了玩家在攀爬时穿过高高的栅栏的问题。
修复了玩家从太远开始攀爬时不会越过高栅栏的问题。
修复了假死僵尸在用车辆碾过它们时不算"在地上"。
修复了当喊叫键与车辆喇叭键相同时按喇叭时玩家喊叫的问题。
修复了未在sounds_vehicle.txt 中定义的VehicleCrash1 和VehicleCrash2 声音。
修复了查看带注释的地图后某些键不起作用的问题。
修复了缺少的 Stash_MarchRidgeMap6_Text3 翻译。
修复了主菜单中的 JOIN 按钮没有变灰（由 Zac 更改）。
修复了无法通过透明木门（即链环门）攻击僵尸的问题。
修复了僵尸在敲打门窗时有时会面临奇怪的角度。
修复了瞄准地面僵尸时错误的角度计算。
修复了技能弹匣在用作烧烤和壁炉的燃料时不会从库存中移除的问题。
修复了将僵尸推倒在地 + 用践踏杀死 zed 后推动时的快速践踏问题。
固定栅栏门比栅栏更具抵抗力。
修复了僵尸在爬过窗户或越过栅栏后向玩家冲刺时爬过墙壁和栅栏的问题。N
修复了玩家死亡后僵尸卡在 AttackState 的宽限期（伸出双臂站立）的问题。
修复了上下文菜单有时被放置在离快捷栏太远的地方。
修复了僵尸人口渲染器未在右列和底行单元格中显示建筑物的问题。
修复了播放攻击动画时有时由于 bAimAtFloor 切换而导致玩家受到双重攻击的问题。
希望修复了 Wash'Bloooo' 错误。
修复了沙盒选项"攻击块移动"不起作用。
修复了一些武器（左轮手枪、dbl 桶式霰弹枪..）在不应该的情况下卡住的问题。
修复了 media/textures/patches/patchesmask.png 在错误的线程上加载的问题。
修复了无法掉落多部分家具物品（如床）的单个部分。
修复了僵尸在追你时进入房间时"口吃"的问题。
修复了袋子不是空的（里面有物品）被用来装泥土/沙子/砾石的问题。
修复了具有紫色的红色退伍军人衬衫。
修复了其中一件 zeds 的通用装备（一件带有长皮夹克的）总是有白色裤子。
 
[VERSION] 41.33 and 41.34
 
[SECTION]新增
为僵尸尸体添加了完全腐烂：他们从一个阶段到另一个阶段直到完全消失（他们可以在消失前变成骷髅）
调整近战动画。为 2 手、1 手和小刀增加了新的摆动时（仅在后退时）减速
在角色上添加了可见的伤口（尚未完成下半身部分）。
现在可以从健康面板调试菜单中移除可见的血液。
添加了新的车辆故事
为营火和其他燃料物品添加了燃料计时器
增加了绑头巾 RAMBO 样式的功能（很快也会添加撕开的床单）。
增加了使用头巾作为面具的能力
删除了长按 E 以从汽车点火装置中取出钥匙。
增加了撑伞的能力
增加了手持手电筒/手电筒的能力
添加了花园锯。
在调试上下文菜单中添加了一个战利品生成器 UI，以更好地跟踪战利品生成
添加巡航控制，按Shift + W启动/增加它，Shift = S降低它的速度，打破将停止巡航控制（Shift + W恢复到它的设定速度），加速不会打破它，你之后释放加速器速度将恢复设置巡航速度。
控制器 X 按钮可打开/关闭车辆巡航控制。
按住控制器 X 按钮并按下 D-pad 上/下可更改巡航控制速度。
添加了"字体大小"显示选项。
字体从 1x/ 2x/ 3x/ 和 4x/ media/fonts/XX/ 语言特定的子目录（如果存在）加载。
 
[SECTION]隐身改进：
增加了一些刀的颚刺范围。
如果足够接近下颌刺，玩家将举起左手。
从后面添加了颚刺（玩家和僵尸）。
 
[SECTION]染发剂：
添加染发剂（常规颜色会在浴室找到，其他一些在发廊）。
您可以分别染发和胡须，只需右键单击染发剂瓶。
 
[SECTION]平衡
调整了垃圾和杂乱的战利品（增加了它们，在那里添加了新的战利品）
增加止痛药的有效时间。
手电筒重量从 2 降低到 1。
添加了用完整的桶/烹饪锅和肥皂在库存中洗衣服的选项
武器弹匣现在受到远程武器沙盒战利品修改器选项的影响。
抛光当前手电筒，手电筒是当前手电筒的更轻版本。
电池现在重量为 0.1 而不是 0.6。
提高了手电筒/电池的生成率。
 
[SECTION]修复
修复了缺少贴花的情况
修复了白天/夜晚活跃的僵尸有时会在应该不活跃时冲刺。
修复了大型建筑（如商场）中的僵尸生成问题
修复了空手在非英语语言中被视为最喜欢的武器的问题。
修复了人体模型渲染错误（与天气 fx 蒙版有关）。
修复了随机生成的建筑物。
修复了 ReplaceOnRotten 指定的项目类型不存在时的异常。
修复了退出游戏时在极少数情况下未正确释放车辆数据库内存的问题。
修复了在跌倒动画期间能够转动的问题。
修复了僵尸在近距离被杀时自动转向玩家的问题。
固定（再次，AGAIIINNN）必须清洗"Blooo"它
修复了使用渔网陷阱进行的钓鱼不提供钓鱼技能经验的问题。
修复了离开 Winter is Coming 游戏重置 Winter 计时器的问题
固定金属地板需要 0/0 焊条和喷灯使用
修复了在人体模型上生成的职业服装
修复了建造栅栏时不使用废金属的问题
修复了掩盖女性角色头发的问题。
修复了针对挑战打开多击沙盒选项的问题。
修复了使用土耳其语言环境时未加载大写字母的模型。
修复了玩家在爬过他/她身后的窗户之前没有完成转身的问题。
修复了某些武器上缺少 BreakSound 的问题。
 
[VERSION] 41.35
[SECTION]新增
实验袋装。请反馈！
[NODOT]<BR>
[NODOT]添加妆容：
- 可用的化妆品将取决于您选择的类型。
- 您还需要在镜子前或库存中有镜子物品。
- 小丑、骷髅、勇敢的心、多种口红和眼影颜色...
[NODOT]<BR>
[NODOT]实验性灯光变化
[NODOT]请反馈！
视锥变暗 25%。
灯柱照明更亮以应对这种情况。
增加角色的照明以平衡较暗的视锥。
[NODOT]<BR>
更改了击中僵尸时造成汽车损坏的方式：
[NODOT]<INDENT:40> 之前低速几乎没有损坏 + 倒车时没有损坏。
[NODOT]<INDENT:40> 现在可以了，虽然它在低速时的伤害相当低，但快速击中链中的僵尸将开始增加造成的伤害。
[NODOT]<INDENT:40> 如果引擎盖被破坏，将对引擎造成一些损坏。
[NODOT]<INDENT:40> 轮胎现在也可以通过击中僵尸来击中。
[NODOT]<INDENT:40> 击中僵尸时对前灯造成的伤害增加（那些东西是无敌的！）。请反馈！
 
[NODOT]添加了污垢/污垢。
[NODOT]<INDENT:40>面具是为角色设计的，但我也用它来做衣服，让裙子/裙子没有很多污垢，我会要求 Mash 更新面具。
[NODOT]<INDENT:40>着色器可以使用更多的作品，特别是在服装上。
[NODOT]<INDENT:40>有点像血。
[NODOT]<INDENT:40>在 zed 创建时会添加随机污垢（天启后期会添加更多）。
对于性格：
[NODOT]<INDENT:40> 跑步或出汗会给你的角色增加污垢，慢慢地穿上你的衣服，你越脏。
[NODOT]<INDENT:40> 我还需要添加一些动作来添加更多的污垢（铲土、园艺...）
[NODOT]<INDENT:40> 在树上会直接在你的衣服上添加污垢。
[NODOT]<INDENT:40> 落下也会增加泥土。
 
[NODOT]<BR>
服装物品现在可以有超过 1 个额外选项。
所有头巾现在都可以按正常方式系结，兰博风格或戴在脸上。
添加了带有随机色调的头巾。
为僵尸服装添加了新的头巾。
 
添加了新的车辆故事：路上的土匪，几辆撞车，几具尸体和一些僵尸（土匪很可能附有枪支！）。仅在存活一个月后出现。
警察封锁汽车的故事有可能打开警报灯。
 
添加了平铺属性"IsMirror"并为游戏中的每种类型的镜子添加了它（用于化妆）。
更新了头发纹理。
更新了包的材质。
Nerfed 打碎的瓶子条件较低的机会。
开窗音效与动画同步效果更好，尽量避免重复音效。
玩家现在在按住控制器触发器时重复攻击，而不是在释放时一次。
现在可以右键单击左侧（主要或次要）的装备图标以调出上下文菜单。
 
 
[SECTION]平衡
油漆罐的使用次数从每罐 4 次增加到 10 次。
增加建造的金属墙的健康。
生成在僵尸身上的枪现在有更多机会拥有子弹/弹夹
增加杂志的生成率。
停止从推树中获得力量 xp（这不是我的世界哟）
 
[SECTION]修复
固定标签面板在某些情况下不显示左/右滚动按钮（即，在具有较大字体或许多标签的制作用户界面中）。
修复了鼠标滚轮不滚动选项 ui 中的选项卡的问题。
修复了健康面板并不总是足够宽以显示其中的所有文本。
修复了温度调试 ui 无法使用不同大小的字体垂直调整大小（需要进行水平调整大小）。
固定 model.offset、model.rotate 和 model.scale 不适用于车轮模型。
修复了沙盒不默认为天启而不是幸存者的问题。
修复了"后处理"显示选项的存在（着色器不再是可选的）
修复了新手电筒（又名手电筒）缺少的配方。
修复了非被动技能在可以获得多个级别时仅获得一个级别（由于沙盒 XP 乘数较高）。
修复了手持火炬/雨伞时有时无法攻击的问题。
固定角色在准备下巴刺伤时不举手。
使用与双木门相同的配方固定双金属门
修复了制作金属屋顶不消耗任何废金属的问题
修复了"灭火"导致营火燃料时间的小数点值
不需要使用丙烷火炬和焊条的固定金属屋顶
修复了某些地方未使用快捷栏插槽名称的翻译。
修复了检查服装 ui 的上下文菜单中缺少的一些翻译。
修复了在运行时添加的警察路障和交通锥不是交互式的（不能被汽车撞到或捡起）。
修复了"NeedMasking"变量的重置。
修复了带有不合适服装的人体模型
修复了女性角色没有头发生长的问题。
修复了有时会出现在角色物品栏中的"Blooo"项目。（Blooo回来了：'（）
修复了武器模型在连接到玩家的背部或腰带时丢失的血液纹理。
修复了角色信息头像面板中未出现胡须颜色的问题。
固定手袋在做动作时不会被隐藏。
修复了有时取消装备包不会将其从装备模型中移除的问题。
固定右手行李袋被视为左手。
修复了翻越栅栏后掉落时重复袋子的问题。
固定的拱顶围栏不会发生在每种类型的拱顶上。
固定妆容现在会在洗完自己后卸掉。
修复了拆卸手电筒时不显示手电筒模型的问题（以前是 CDPlayer）。
修复了在做动作时隐藏武器的问题。
修复了能够取消远程射击/攻击的问题。
修复了在射击时推搡时卡在瞄准的问题。
修复了装备包时的一些拖放怪异问题。
固定手臂在拿着袋子和跑步时摆动。
修复了将袋子放在地板上时不保存颜色的问题。
修复了上下文键总是掉落重物的问题。
修复了多个手提袋面罩混合/捕捉问题。
修复了背着包跑步时的卡嗒声和摇晃问题。
修复了在闲置时按下换档，在拿着袋子时移动手臂。
修复了跑步时按空间不立即注册推力，但仅在您停止跑步时才注册的问题。
修复了使用删除额外选项时新项目的图标（例如，头巾从未更改其图标）。
修复了一些不能化妆的镜子（它们是附加的精灵而不是新对象）。
修复了左臂受伤影响战斗速度的问题。
固定书店收银机里面有书而不是钱。
修复了不正确的雨伞图标。
修复了警察和其他一些特定装备没有附有武器的问题（例如警察身上的手枪）。
修复了坐在地上和打开窗户时看到袋子的问题。
修复了锁中断时 OpenWindowState.exit() 中的异常。
修复了 GameServer.SpawnRegions 未初始化的问题。
修复了服务器上的 ISWeatherChannel 错误。
修复了在客户端调用的旧 map_p.bin 保存文件代码。
固定房间灯可能比以前亮两倍。现在只有外部灯的亮度可能是原来的两倍。
修复了一些与手提袋混合的问题。
修复了统一僵尸分布不会将僵尸放置在生成图像中强度为零的位置的问题。
修复了在以某些语言（即俄语）查看地图后 UI 字体被缩放的问题。更改显示选项中的语言会在不在游戏中时重新加载 UI。
修复了两次修补洞后衣服上的洞消失的问题。
修复了 Lua 阅读技能书两次的错误。技能书应该可能使用 DisappearOnUse=FALSE 而不是通过 ReplaceOnUse 被替换为相同的项目。
修复了窗户上方的金属栅栏，当僵尸出现在广场对象列表中的窗口之前时，它们不会阻挡僵尸。
修复了尸体比僵尸更黑的问题。在提交 4216 中更改了模型照明。
修复了未更改显示语言时重新加载 Lua 文件的问题。
固定车辆模型被灯柱等从错误的方向点亮。
修复了使用 Model.Render.Lights 调试选项时有时会抛出异常（从渲染线程访问 IsoGridSquare）。
修复了 item-spawner 调试 ui 中的重叠文本。
固定音乐"戏剧"永远不会失败。
修复了每帧都会重新创建玩家纹理，从而降低帧速率的问题。
修复了玩家在爬过栏杆爬上楼梯时受到伤害并掉落装备好的物品的问题。
修复了玩家在绊倒或死亡后掉落手持物品的问题。
修复了物品栏和战利品窗口外的物品掉落被折叠窗口的隐藏部分阻挡的问题。
修复了每次加载 Last Stand Accumulator 玩家时都会增加一些玩家技能的问题
 
 
[SECTION]扎克的东西
 
为每个骨骼动画排序添加了优先级参数。组合现在按：层、优先级、权重排序
动画播放器
[NODOT]<INDENT:40>- 新字段，int[] m_animBlendPriorities。用于按优先级排序轨道的可重用数组。
[NODOT]<INDENT:40> - 更新了函数 updateMultiTrackBoneTransformsInternal 以在排序算法中包含优先级。
[NODOT]<INDENT:40>- 进行小的重构以提高可读性。
实时动画节点
[NODOT]<INDENT:40>- 新的实用函数可以访问源 AnimNode 值：
[NODOT]<INDENT:60> getPriority()
[NODOT]<INDENT:60> getDeferredBoneName()
[NODOT]<INDENT:60> getDeferredBoneAxis()
[NODOT]<INDENT:60> getSubStateBoneWeights()
[NODOT]<INDENT:60> findTransitionTo(...)
[NODOT]<INDENT:60> getSpeedScale(...)
动画节点
[NODOT]<INDENT:40> - 新变量 m_Priority
[NODOT]<INDENT:40> - 新函数 getPriority()
[NODOT]<INDENT:40> - 为各个字段添加了额外的 api 文档。
动画层
[NODOT]<INDENT:40> - updateNodeActiveFlags 更新为通过优先级值。
[NODOT]<INDENT:40> - 不再重复调用 LiveAnimNode.getSourceNode。改用新封装的实用程序函数。
[NODOT]<INDENT:40> - StartAnimTrackParameters
[NODOT]<INDENT:40> - 新变量，优先级。
等播放器
[NODOT]<INDENT:40> 删除了"AttackVariableX"的解决方法。0.01 和 0.99 的值现在是 0 和 1 的整数值。
高级动画师
[NODOT]<INDENT:40> 删除了未使用的函数：ensureEnoughLayers。
    
将 1HDefault.Priority 更新为 4 而不是 default(5)。
[NODOT]<INDENT:40>修复了手持雨伞从单手瞄准攻击转出时的奇怪卡顿问题。
 
修复了角色锁骨的错误骨骼重新绑定。
[NODOT]<INDENT:40>- 使用"Bip01_X_Clavicle"而不是"Bip_X_Clavicle"
如果骨骼重新绑定无效，则向控制台添加警告。
为 AnimBoneBinding、AnimBoneBindingPair 和 SkinningBone 添加了 toString 覆盖。
字符串实用程序
[NODOT]<INDENT:40>新增功能：缩进
[NODOT]<INDENT:60> - 缩进所提供文本中的所有行。
[NODOT]<INDENT:60> 允许我们指定缩进第一行的内容，
[NODOT]<INDENT:60> 用什么缩进所有非第一行，
[NODOT]<INDENT:60> 使用什么作为 newLine 字符串（例如"\n"、"\r\n"或其他任何内容，如"newLine:"）
[NODOT]<INDENT:40> 默认重载使用 System.lineSeparator，
[NODOT]<INDENT:60> 不缩进第一行，
[NODOT]<INDENT:60> 并使用制表符缩进所有非第一行。
 
添加了 AnimStateNameTable
[NODOT]<INDENT:40>- 新类：GenericNameTable、NameTableEntry 和 AnimStateNameTable。
[NODOT]<INDENT:40>- 通用表提供索引名称、名称索引表的所有功能。
[NODOT]<INDENT:40>- 线程安全，使用锁进行添加/删除/修改。
[NODOT]<INDENT:40>- NameTableEntries 有一个名称，并且可以有一个索引。除非另有说明，否则默认为 -1。
[NODOT]<INDENT:40>- NameTableEntries 在其名称/索引更改时通知其父表，保持表一致。
[NODOT]<INDENT:40>- 初始实现尚未连接到网络或 AnimStates。
 
AnimLayers 现在同步到它们的父级
[NODOT]<INDENT:40>- 每一层都保持同步节点和轨道缓存。
[NODOT]<INDENT:40>- 每个子层检查它们的父层是否有缓存的同步节点+轨道。
[NODOT]<INDENT:40>- 如果没有找到，则使用它自己的。
[NODOT]<INDENT:40>- 即。Bob_Anim_Bags 现在同步到根 Bob_Anim
  
  
[VERSION] 41.36
 
[SECTION]平衡
- 增加了角色的污垢。
 
[SECTION]修复
修复了一些无法使用新花园锯的食谱。
修复了由于缺少眼影纹理而导致的异常。
修复了化妆 ui 无法使用不同大小的字体的问题。
修复了化妆 ui 无法与控制器一起使用的问题。
修复了 Lua 调试器错误 ui 在一种情况下不显示异常的问题。
修复了右键单击 Windows 时偶尔出现的 Lua 错误。
修复了从手中掉落时袋子在地面上的奇怪位置。
通过使项目的默认 DisplayName 现在是该项目的 Module.Type 来修复 Blooo（再次再次），使其更易于调试。
修复了执行某些定时动作（进食、吸烟等）时的"踢腿"。
 
 
[VERSION] 41.37
[SECTION]新增
防止俯卧的僵尸头部穿过墙壁和障碍物：坠落和俯卧的僵尸现在会从墙壁上滑开。
添加了吉他箱/飞行箱
在垃圾桶/箱的"Loot all"按钮旁边添加了一个"Delete All"按钮，单击此按钮将从容器中永久删除项目（在删除它们之前有一个确认对话框）。
使许多以前不可移动的物体可移动：长凳、双层床、地毯、檐篷、spiffo 的桌子、酒吧凳子、柜台等。
添加了"定时操作完成后恢复正常速度"辅助功能选项。（一旦定时动作完成（读书、烹饪、制作...），它会自动取消快进。通过 ESC 取消定时动作将取消快进。）
添加了 CounterOverlays.lua，其中添加了 Mash 随机打开的橱柜门和文件柜抽屉。
使头盔掉落的攻击现在将阻止攻击
 
 
[SECTION]平衡
撕裂衣服现在有机会提供线（取决于剪裁技巧和物品的大小）。
现在可以合并线程（如果您有多个使用过的线程，请右键单击堆栈将它们合并在一起）
降低拥有厕纸屋的机会。（https://www.youtube.com/watch?v=1nPT64U6X40）
减少在没有引擎盖的情况下撞击僵尸时对汽车引擎造成的伤害。
在一些缺失的食谱中添加了砍刀（切片食物、制作长矛...）。
增加钓鱼线生成率。
 
[SECTION][控制器改进]
 
使用控制器时添加了战利品窗口上下文菜单命令：
[NODOT]<INDENT:40> 1) 打开/关闭微波炉和炉子。
[NODOT]<INDENT:40> 2) 显示微波炉和火炉的设置 ui。
[NODOT]<INDENT:40> 3) 打开/关闭干衣机和洗衣机。
[NODOT]<INDENT:40> 4) 从垃圾桶中删除项目。
 
更改了控制器肩部按钮以影响当前突出显示的库存或战利品窗口。
[NODOT]<INDENT:40>以前，左肩按钮会选择物品栏窗口中的下一个容器，而右肩按钮会选择战利品窗口中的下一个容器。
[NODOT]<INDENT:40> 现在左肩按钮选择当前突出显示窗口中的前一个容器。
 
[SECTION][包包改进（主要在引擎盖下）]
尝试在手上装备或不装备包时不创建新的库存物品。
将"masking"动画状态拆分为"maskingleft"和"maskingright"，以修复拿着包和手电筒的错误。
现在可以选择用左手或右手拿着包
当左手拿着一个包时，不再出现下颚刺伤 RaiseHand 动画。
当背包拿在手中时，固定在背部的武器就像背着背包一样放置。
从 maskingleft 和 maskingright 动画组中删除了过渡。
 
 
[SECTION]修复
修复了水上缺乏照明的问题。
修复了僵尸玩家的视锥角不更新的问题。
修复了玩家死亡后更新快捷栏的 lua 错误。
修复了定制 ui 和生成器信息 ui 中未翻译的字符串。在 MakeUp_EN.txt 中添加了化妆类别和类型的翻译。
修复了无法打开双门的问题。
固定应用化妆增加你的体重。
修复了天启中 30 天之前出现的强盗道路故事。
固定午餐盒被设置为"医疗"（仅用于战利品机会）。
修复了双"红色唇膏"选项。
修复了包外物品出现的"解包"问题。
修复了快进时能够摆动的问题。
修复了主手的爱丽丝包错误。
修复了玩家坐着时被僵尸击中时会站起来的问题。
修复了僵尸在咬他时推动玩家的问题。
修复了一些缺失的翻译（感谢 Narnika！）。
修复了生存指南中的错字。
修复了玩家的视锥在短视特性下变得更亮的问题。
修复了坐着时不播放的重新加载动画。
修复了 ISCharacterInfoWindow 有时会在窗口关闭后更新。
修复了在不单击应用的情况下关闭化妆 ui 时应用的化妆。
修复了僵尸重击短金属栅栏的问题。
修复了僵尸破坏已卸载块上的对象时的异常。
修复了觅食 ui 无法正确处理有组织和无组织特征的问题。
修复了显示某些窗口时截屏键不起作用的问题
修复了分屏玩家按下 X 按钮驾驶车辆时的 lua 错误。
修复了在分屏中显示（或不显示）某些操作的上下文菜单工具提示。
修复了无法使用的木材在烧烤添加燃料菜单中出现两次的问题。
修复了玩家在显示信息 ui 时不会转身面对烧烤的问题。
 
 
[VERSION] 41.38
[SECTION][新教程]
Xeonyx 更新和改进了森林地图中的小屋（如果你最终幸存下来，值得探索）
新的步骤和扩展的外部序列
主要涵盖移动和战斗- 将在以后扩展，并与游戏手柄兼容
 
添加了用于重新加载枪支和备用弹匣的径向菜单。
[NODOT]<INDENT:40> 按住 Reload 键（或控制器按钮）半秒后显示菜单。
[NODOT]<INDENT:40>"立即显示重新加载径向菜单"辅助功能选项更改了此行为，因此菜单立即显示。
 
在项目上下文菜单和重新加载径向菜单中添加了一个命令，以从非弹匣类型的枪支（如左轮手枪）中卸载所有子弹。
将非弹匣型枪的"机架"更改为"卸载轮"。
为 RadioMag、MechanicMag 和 BookMechanic 项目添加了 StaticModel。
重建瓷砖包 - 这应该包括更薄的原木墙以帮助切割，并希望去除一些瓷砖上的随机红点
酒吧水龙头现在可移动。
从之前放置的方块中取出泥土、砾石或沙子现在既可以移除它，也可以恢复之前的地板精灵。
添加了人字拖和腰包。后者可以戴在前面或后面。
装备有颜色的包现在在右侧面板（背包所在的位置）上有一个有色图标。
右侧面板上装备包的工具提示现在显示包的名称。
添加了公文包。
添加了 Mash 的新叠加精灵（冰箱、火炉、座椅等）。
在车辆径向菜单中添加了一个不同的图标，用于从加油站的泵加油。
从地上抓起尸体时播放动画。
 
 
[SECTION][新车辆材料]
 
内存优化：车辆使用相同的损坏和生锈纹理，带有第二个 UV 通道。
血液分别在车辆的正面、背面和侧面绘制，以应对不同位置的僵尸撞击。
血液强度从 0.0 变化到 1.0，而不是使用 2 种不同的血液质地。
在损坏纹理之前在车窗上画血，以避免血液覆盖窗户上的孔
击中僵尸时会在车辆的前后添加血液。
僵尸正在攻击的车窗中添加了血液。
更新了车辆血液纹理。
添加了"清洗车辆"上下文菜单命令以清除车辆上的血液。需要水。
在拆卸车辆时播放喷灯声音并使用喷灯动画。
 
 
[SECTION][堆肥]
 
在"[DEBUG] Objects"上下文菜单中添加了"Set Compost"命令，以设置堆肥机中的堆肥量。
添加了一个上下文菜单命令，用于将堆肥袋中的堆肥添加到堆肥机中。
部分堆肥可放入空袋和部分空堆肥袋中。以前，玩家一次只能吃满 10 个单位的堆肥。
 
 
[SECTION][修改]
 
启用了之前添加的 worldflares 系统
 
 
[SECTION][调整女模特]
 
调整了手臂周围的女性网眼
再出口女装
重新分配 Vest_BulletCivilian.xml 以指向正确的母网格
 
 
[SECTION][用户界面改进]
 
重命名为"退出""退出到菜单"。
将"退出到桌面"移动到"退出到菜单"下方，以匹配主菜单中按钮的顺序。
将"新角色"移至"退出菜单"上方。
将"显示"选项中的"是/否"组合框替换为复选框。
将删除按钮移动到 Last Stand 玩家选择 ui 中的新建和播放按钮的左侧，以匹配其他 ui。
在角色创建 ui 中按名称对胡须和发型进行排序。
将"是/否""胸毛"组合框更改为角色创建用户界面中的复选框。
 
 
[SECTION][控制器改进]
添加了一个可访问性选项，用于选择肩部按钮如何在库存和战利品窗口中切换容器。
 
 
[SECTION][社区翻译改进]
可以通过在与 description.txt 相同的文件夹中添加名为 title.txt 的文件来指定地图标题的翻译。
例如 media\lua\shared\Translate\FR\Muldraugh, KY\title.txt。该文件应包含带有已翻译地图名称的单行。
修复了缺失的 Last Stand 翻译。
改进和标准化的英语语言演示。
在角色创建 ui 中添加了"Type 1"等服装纹理选择的翻译。
添加了与 Tooltip_clothing_XXX 分开的 IGUI_ClothingName_XXX 翻译（脏、湿等）。
 
 
[SECTION]平衡
 
使技能杂志阅读时间为 10 分钟，相当于阅读 5 页技能书。
使短栅栏门可以跳动并且从不上锁。可以使用上下文菜单、按住 E 键或按下 B 控制器按钮来跳过它们。
如果有可用的空喷雾罐，RMC 防霉/杀虫剂喷雾（完整）会显示使苍蝇治愈的选项
如果库存中没有其他非空弹匣，则在按下重新加载键时会重新加载部分装载的枪弹匣。
一个完整的弹匣被弹出而无需重新加载。
多个瓶子等的"全部填充"选项
漂白剂在消耗时变成"空漂白剂瓶"（之前它消失了）。
添加了"装水的漂白剂瓶"，它的容量是汽水瓶的两倍（重量是汽水瓶的两倍）。
完全消耗后变成空物品的食物（例如橙子苏打水和漂白剂）会根据剩余量变轻。
降低角色的灯光。
 
 
[SECTION]修复
修复了 mod .pack 文件加载得太晚，导致缺少项目纹理的问题。
修复了 ModelManager.RenderSkyBox() 绑定错误的 FBO。
修复了更改显示语言时不会更改特权名称翻译的问题。
固定窗框在安装窗户后变得非交互式。例如，在装上窗户后，不可能在制作好的窗框上抹灰，直到重新加载游戏。
修复了 Lua 调试器错误窗口中未显示的解析错误。
修复了在游戏未完全放大时更新服装纹理时 1x1 NormalGlasses.png 纹理看起来透明的问题。
修复了 Texture.getUVScale() 每次调用分配一个新的 Vector2。
修复了当物品不在玩家的物品栏中时 Dye Hair 什么都不做的问题。
修复了退出主菜单后未重新加载的翻译。
修复了 lua 错误爬过高高的栅栏，在库存窗口中选择了一个袋子。
修复了短金属杆栅栏可以敲击的问题。
修复了 Bag_NormalHikingBag 模型未出现在玩家手中的问题。
修复了加载分屏时不使部分屏幕变黑的问题。
修复了使用控制器加载分屏游戏时不可见的玩家 1。
修复了玩家死亡时化妆和觅食用户界面不会被移除的问题。
修复了当"点击 E"足以爬过时显示"按住 E"的上下文菜单工具提示。
修复了玩家在冲刺穿过树木时绊倒时有时会播放错误的"起床"动画。
修复了有时在 Anim Monitor 调试 ui 中显示的错误节点名称。
当玩家前面有可用的车门时，修复了在玩家身后使用门或窗的问题。
修复了每次单击"全部删除"按钮时出现的新"清空垃圾箱"对话框。
修复了在裁缝 ui 已经可见时检查服装时的 lua 错误。
修复了能够旋转多瓷砖家具以使零件穿过墙壁和关闭的门的问题。
在尝试放置时将"警察标志"固定在适当的高度。
修复了应用天气干扰时无线电消息不显示行的最后一部分的问题。
修复了 propane-bbq-with-tank 精灵现在是可移动的，因此它可以显示信息面板。
修复了有关缺少 IGUI_SkinTemperature 转换的警告。
固定保持 E 不会爬过短的 IsoThumpable 栅栏门（它仅适用于 IsoDoor）。
修复了当窗户另一侧没有地板时，玩家在爬过窗户时被僵尸攻击时绊倒并爬起来而不是跌倒的问题。
修复了玩家在爬过窗户时被僵尸攻击时绊倒并站起来后播放命中反应动画的问题。
修复了僵尸有时会从远处吃尸体的问题。
修复了几个镜像精灵的平铺属性（它们缺少附加的 N/S/W/E 属性）。
固定台灯有时会挂在家具边缘。这是通过限制台灯朝向家具移动工具所需的相同方向来完成的。
修复了 IsoPlayer.updateDirt() 中的 NullPointerException。这发生在加载睡眠分屏播放器时。
修复了玩家在走进颠倒的车辆后卡住的问题。
修复了沙拉和维生素在食用时不显示模型的问题。
修复了两块烤箱的两半可以单独激活。
修复了车辆径向菜单"打开引擎盖"命令之后不显示机械用户界面的问题。
修复了通过径向菜单打开机械用户界面后车辆引擎盖不会自动关闭的问题。
修复了短跑僵尸有时会在绊倒后跳过起床动画。
修复了短跑僵尸在绊倒后不被视为"在地面上"的问题。
修复了无法修复新枪支的问题。
修复了没有弹膛的枪支（例如左轮手枪）在不存在的弹膛中产生 +1 发子弹的问题。
修复了由于未释放纹理内存导致的 OutOfMemoryError 错误。
修复了当 windSpeed 0 和缩放时雨变成水平的问题
固定车窗有时会在不被破坏的情况下保持 0 状态（InventoryItem 未设置为 null）。
固定车窗受到僵尸攻击两倍的伤害。
修复了僵尸只会损坏玩家坐在旁边的车窗的问题。
修复了在角色创建 ui 中切换男性和女性时玩家模型变成一团的问题。
修复了在不使用控制器时永久突出显示角色创建 ui 男性/女性组合框的问题。
修复了 DynamicRadio_EN.txt 中的一些错别字
修复了货车和皮卡的反向保险杠面罩颜色
修复了动画循环时有时会跳过动画事件的问题。
修复了重新加载技能不影响子弹插入或从弹匣中取出子弹的速度的问题。
修复了（可能）插入子弹和移除子弹的声音与弹匣重新加载/卸载动画不同步的问题。
修复了当勾选"过滤所有"复选框时，进化的配方不会显示在制作用户界面中的问题。
修复了当进化配方包含非食品成分时，制作用户界面中的 lua 错误。（例如，准备饮料使用糖）。
修复了在容器中保存多个相同类型的项目时的无限循环。（这发生在将两具尸体保存在容器中时。）
修复了在使用弹出弹匣上下文菜单命令后重新加载空弹匣并将其放回枪中的问题。将 ISLoadBulletsInMagazine.lua 的部分重构为 ISUnloadBulletsFromMagazine.lua。
修复了在计算玩家目标时使用错误的朝向。（这个错误的影响是，根据玩家用光标瞄准的方向，应该在瞄准锥中的僵尸有时会被错过。）
修复了在仍然转身时能够将僵尸推到玩家身后的问题。它正在使用 getForwardDirection()。
使用不存在的 containerItem Base.Duffelbag 项目修复了 StashDescriptions。
修复了僵尸通过门、墙和窗户吃尸体的问题。
修复了在从快捷栏上附加或分离物品时不重新显示玩家的物品栏的问题。
修复了有时在车辆机械师 UI 中显示的错误"工作类型"。
修复了栅栏隐藏逻辑的一些元素
修复了某些物品失去"最喜欢"状态的问题
修复了具有木质声音的破坏金属路障
固定古董炉没有燃油计时器
修复了存放在衣架上的非服装物品
固定靴子不能防止咬伤/划伤
修复了无法"撕开""长裙"的问题
固定 V 领毛衣背心保护前臂。
修复了不考虑部分食用食物的状态变化
修复了在游戏中发现的鱼片（熟）没有卡路里
固定捕获的动物重量不应有任何变化
修复了玩家在绘画时不面对物体的问题。
修复了无法使用控制器绘制非木工物体的问题。
修复了在使用控制器选择一个来绘制时突出显示堆叠的板条箱。
修复了绘制板条箱时玩家站立的位置。
修复了 ISCampingInfoAction 中无效的"require"语句。
修复了阅读文学作品时会增加无聊、压力和不快乐，从而减少这些统计数据。对于在沙盒游戏中玩较长时间的人来说，这一点已经改变。
修复了 popman/src/doJNI.bat 中使用的 Java 版本。
修复了无法翻译的新发型。
修复了角色创建用户界面中保存的服装的问题。
[NODOT]<INDENT:40> - 服装项目的翻译名称已保存，当显示语言更改时会中断。
[NODOT]<INDENT:40> - 未正确加载所选纹理（例如棒球帽的颜色）。
[NODOT]<INDENT:40> - 单击"随机化"按钮后保存了错误的肤色，但未从组合框中选择肤色。
修复了在取土/砾石/沙子或堆肥时使用装有物品的 EmptySandbag。堆肥袋现在在装备时使用空沙袋模型。
修复了在行驶时发动机关闭时无法转向或制动车辆的问题。
修复了在取土/砾石/沙子时双手装备铲子的问题。
修复了播放教程后等光标闪烁的问题。
修复了从枪支中卸下子弹时库存窗口中未翻译的字符串。
修复了湿毛巾在干衣机中不会更快干燥的问题。
修复了装备枪械时第一次按下重装键的 lua 错误。
修复了一些 IsoObject 字段在释放对象后未重置为默认值的问题。
修复了 HotDrink 项目缺少的 3D 模型。
通过添加用于主菜单中标题的 UIFont.Title 来修复标题问题。使用它来代替 UIFont.Cred2，因为某些语言无法使用 UIFont.Cred2 显示所有字符。对于这些语言，UIFont.Title 与 UIFont.Large 相同。
修复了读取 description.txt 和 title.txt 地图翻译文件时不跳过 UTF-8 字节顺序标记的问题。
修复了一些关于手电筒锥体宽度使用哪个装备物品的混乱等问题。如果双手都有活动灯，则右手物品具有优先权。这可以稍后修复以允许多个活动灯，而不仅仅是在手中，用于前照灯等。
修复了启用离屏渲染的 ui 外观与禁用离屏渲染时的外观不匹配的问题。一个长期存在的问题是两种方法之间的 alpha 值不一样。
修复了 SandboxVars.NatureAbundance 是 ISFishingAction.lua 的错误使用。
修复了某些地方浮点显示值的舍入问题。
[NODOT]<INDENT:40> 1) 服装保护 ui 中的咬伤和抓伤几率。
[NODOT]<INDENT:40> 2) 从电视广播中获得经验值时。
[NODOT]<INDENT:40> 3) 轮胎压力四舍五入到小数点后一位，而不是机械 ui 中的三位。
修复了在"光环"音符后面绘制的背景纹理与为玩家头顶上方的语音文本绘制的背景纹理不同的问题。
修复了爬行僵尸有时转得太快的问题。这是由于 WalkTowardState 调用 setForwardDirection() 时仍然需要做的。（由于在转弯动画中没有延迟旋转，转弯仍然很不稳定。爬行的僵尸在 PathFindState 中仍然"立即"转动，但在 WalkTowardState 中没有。）
修复了使用非英语语言在角色创建 ui 中保存角色服装的 lua 错误。
修复了家具移动和拆卸动作在袋子中找不到工具的问题。
修复了家具拆卸在手中装备焊接面罩而不是佩戴它的问题。
修复了使用喷灯拆卸家具时播放锤击声的问题。
修复了拆卸车辆时手持焊接面罩而不是佩戴它。
修复了物品栏窗口中的快捷栏物品与非快捷栏物品堆叠的问题。
修复了有时会在错误的位置绘制已装备和未装备物品之间的分隔线。
修复了种植农作物时没有从袋子中取出种子的问题。
修复了从水槽/等处取水后留在手中的已装备空水容器物品。
修复了有时战利品窗口中不显示载具容器的问题。
通过在种植农作物时从袋子中移动所有相同类型的种子来修复农业 lua 错误。
修复了双击扩展堆栈中的单个武器不装备或不装备它的问题。
修复了依次双击一组武器装备它们的问题。
修复了双击装备好的武器会立即解除装备并且不重新显示库存的问题。
 
 
[SECTION][动画系统修复]
 
还原了对 getSkinTransformData() 和 resetSkinTransforms() 的更改。
[NODOT]<INDENT:40>每个 AnimationPlayer 可以有多个活动的 SkinTransformData 对象（例如，每个服装模型一个）。
 
ModelInstance.reset() 不应调用"Pool.tryRelease(AnimPlayer)"，因为 AnimationPlayer 归 IsoGameCharacter 所有。
[NODOT]<INDENT:40>多个模型实例（例如服装模型）都指向同一个 AnimationPlayer。
 
当新数组小于被复制的数组时，修复了 PZArrayUtil.newInstance() 中的异常。
 
 
[VERSION] 41.39
[SECTION]新增
translationProblems.txt 列出了缺少的 ItemName_xxx 而不是旧的 DisplayName_xxx。
删除了 true|false 调试控制台垃圾邮件。
在调试菜单中添加了用于访问附件编辑器、块调试器和车辆编辑器的按钮。
添加了 DebugType.Mod 用于控制向控制台显示与 mod 相关的调试消息。
更新了最新的社区翻译
 
[SECTION]修复
使用 Docker 创建 libjassimp64.so 和 libLighting64.so 的 GCC 版本不会导致某些 Linux 设置出现问题
修复了车辆编辑器未在脚本组合框中选择正确车辆的问题。
修复了不使用双倍尺寸纹理时教程在放大/缩小阶段中断的问题。
修复了斗帽在地面上时的渲染错误。
修复了无法在某些系统上编译的车辆着色器。
修复了分辨率为 2 分钟而不是 1 分钟的 GameTime.getMinutesStamp()。
固定武器模型在武器连接到玩家时移除武器部件（瞄准镜等）后没有更新。
修复了 HuntingRifle (MSR788 Rifle) 瞄准镜未显示的问题。
修复了当多个活动模组使用相同的瓷砖定义文件编号时未检测到的问题。这些文件编号由 mod.info 文件中的"tiledef="指定。
修复了能够在不移除丙烷罐的情况下拿起丙烷烧烤的问题。
修复了动画编辑器在选择动画时未设置反向复选框的问题。
修复了从枪支中取出弹匣的动画。
修复了钓鱼和最后一次诱饵中断时的 lua 错误。
修复了教程中的错误说明：高栅栏
修复（希望）最后一个"瓷砖上的红点"问题
 
 
[VERSION] 41.40
[SECTION]新增
 
添加了可以佩戴在玩家身上的首饰：项链、耳环和手指上的戒指。
增加了补充饮水机的能力
可排出物品现在会根据它们的装满程度来改变它们的重量
更新的学分
为僵尸添加了手镯、手表、狗牌等。注意：不推荐使用旧手表。您将不得不寻找新手表。
添加了 SetMeleeDelay 动画事件，可用于设置攻击之间的延迟。这与 RecoilDelay 基本相同，用于设置枪械射击之间的延迟。
[NODOT]<BR>
recipes.txt 的新内容：
[NODOT]<INDENT:40> 通常，配方源包含硬编码项目类型的列表。
[NODOT]<INDENT:40> 这不适用于所有新服装。
[NODOT]<INDENT:40> 现在，"[function]"形式的配方源指定 Lua 函数的名称，该函数将被调用以获取可用作源项目的项目列表。
[NODOT]<INDENT:40> 示例参见 recipecode.lua 中的 DismantleDigitalWatch_GetItemTypes()。
[NODOT]<BR>
添加了上下文菜单工具提示，显示取水或转移水时含水物品的百分比。
[NODOT]<BR>
添加了 IsoRoofFixer.java 以防止从地图工具未放置的屋顶坠落
[NODOT]<INDENT:40> - 可以尝试为每个瓷砖或每个房间下方的每个房间空间修复掉落的玩家的屋顶，默认为后者
[NODOT]<INDENT:40> - 位置存储在元数据保存中，因此当玩家移除这些楼层时它不会尝试修复它两次（仅限每个房间模式）。
[NODOT]<INDENT:40> - 可以选择放置与屋顶样式相匹配的地板或隐形地板
[NODOT]<BR>
在控制台日志中添加了更多系统规格打印
[NODOT]<INDENT:40> 在"项目列表"调试 ui 中显示项目图标。
  
 
 
[SECTION]上下文菜单和热吧整理
添加了与上下文菜单交互的可选方式。
[NODOT]<INDENT:40> 不是在父菜单的左侧或右侧显示子菜单，而是隐藏父菜单并显示子菜单代替父菜单。
[NODOT]<INDENT:40> 在子菜单顶部添加了一个额外的菜单选项以返回父菜单。
[NODOT]<INDENT:40> 可以在辅助功能选项中为每个分屏播放器启用或禁用此行为。
[NODOT]<INDENT:40> 这适用于控制器。鼠标用户可能喜欢也可能不喜欢这种方法。
 
附加的物品（即快捷栏物品）可能会发光，而不仅仅是玩家手中的物品。目前游戏中没有可以进入快捷栏的发光物品，但是可以用来装备胸灯或头灯。
"装备/打开/关闭光源"键将切换快捷栏中的发光物品（如果存在），而不是装备玩家手中的物品。
如果可能，按下快捷栏插槽的键盘快捷键将激活或停用项目而不是装备它。
如果无法在该插槽中装备拖动的物品，则快捷栏插槽会以红色突出显示。
非武器物品可以拖到快捷栏。已经可以使用上下文菜单和径向菜单将非武器项目添加到快捷栏。
左侧 d-pad 径向菜单（以前只显示可装备的武器）现在也显示玩家库存中最好的发光项目。这可用于在使用控制器时装备和切换手电筒。
在使用鼠标时使用"单个上下文菜单"选项显示上下文菜单时，为上下文菜单添加了动画。使用控制器时已经有动画。
更喜欢在上下文菜单的右侧或左侧显示工具提示，而不是在它们的顶部。
当通过鼠标使用"单一上下文菜单"选项时，短子菜单位于鼠标下方而不是父级位置。
允许将物品拖到主要和次要插槽图标以装备它们。在两个图标之间拖动双手物品会装备双手物品。
在农业上下文菜单中显示所有已知的种子类型，因此模组不需要覆盖 ISFarmingMenu.lua。
显示在战利品窗口中选择的容器类型。这已经为袋子完成了，但现在也将显示衣物烘干机、洗衣机等的图标。
添加了径向菜单选项，可在车外时砸碎车窗。此选项已在右键单击上下文菜单中可用。
添加了"启用切换模型"键绑定，默认为 F3，因此人们可以更改在调试模式下隐藏/显示模型的键。
添加了"切换动画文本"键绑定，默认为 F6，因此人们可以在调试模式下更改隐藏/显示动画相关文本的键。
新的"穿着"子菜单，用于以不同方式穿着的服装：棒球帽、雨披、腰包、连帽衫等。
将"设置警报"对话框中的"开/关"按钮更改为复选框。
添加了通过点击瞄准键来打开和关闭瞄准的选项。按住 Aim 键超过 1/2 秒瞄准而不强制瞄准，因此松开 Aim 键时瞄准停止。跑步将关闭强制瞄准。
在物品栏窗口中点击一个物品时，如果该物品将替换现有物品，则用于将物品附加到快捷栏的"附加"菜单会添加"（替换 XYZ）"。
使用控制器时，用于锁定和解锁车门的车辆径向菜单选项也会锁定和解锁行李箱。
使用鼠标的玩家已经可以通过单击车辆仪表板中的后备箱图标来执行此操作。
附加菜单选项在工具提示中显示要替换的项目而不是选项名称，以匹配磨损菜单
在"吃"子菜单中添加了工具提示，以显示将改变多少饥饿/口渴/不快乐，并显示有关未煮过的食物和更热或更冷的食物的警告。
在"吃"子菜单工具提示中添加了"用微波炉烹制"警告。
不要在磨损项工具提示中包含长行（显示咬/抓奖励的那些）
 
 
 
[SECTION][教程]
为 Turbo 的新目标标记添加代码
添加归位标记目标标记
添加了改进的项目亮点
改进的 Spiffo 教程窗口放置
使用教程添加（不完整的）控制器工作
当玩家打开窗帘看到喂食兄弟时添加了僵尸警报
 
 
[SECTION][尸体和发电机整理]
 
填埋坟墓现在与埋葬第 5 具尸体是一个单独的动作。埋葬第五具尸体后，它仍然会自动发生。
埋葬尸体不再播放铲子动画。这是因为当尸体还在玩家手中时无法装备铁锹，所以铁锹可能会出现在玩家的手上和背上。
当装备手中的物品时，尸体和发电机会在一个单独的动作中首先掉落。一旦装备了物品，就会立即掉落尸体或发电机。
在捡起尸体或发电机之前，手中的物品会在一个单独的动作中解除。当装备的物品在快捷栏中时，这看起来更好。
右键单击装备好的尸体或发电机会说"放下"而不是"取消装备"。
修复了容器中的尸体堆显示"抓一个/抓一半/抓全部"的问题。
 
 
[SECTION][篝火和壁炉整理]
 
木炭可用作营火和壁炉的燃料。
每次使用木炭都会为烧烤/篝火/壁炉增加 30 分钟的燃料，而不是使用整个袋子。
木炭烧烤可以使用与营火和壁炉相同的燃料和启动方法。
只有定义了 FabricType 的衣服（可以撕裂的东西）才能用作烧烤/营火/壁炉的燃料。
新的"添加燃料"和"轻火"工具提示显示每个项目的燃烧时间。
停止下雨，营火燃料减少两倍的速度，因为它看起来像一个虫子。
 
 
 
 
[SECTION][修改和社区翻译]
 
添加了无线电改装的修复/功能，以允许对时间敏感的东西，如画外音改装。
WordZed 中的行现在可以以"${t:xx.xxx}"为前缀，其中 x 是秒数。这将覆盖无线电系统中的标准行触发限制，并在移动到下一行之前使用提供的数量秒。
 
 
删除了语言的硬编码列表，以便模组可以添加新语言。
[NODOT]<INDENT:40> 通过在 media/lua/shared/Translate 文件夹中查找游戏和任何活动模组来加载语言。
[NODOT]<INDENT:40> 在每个语言文件夹中，名为 language.txt 的新文件指定名称和字符编码。
[NODOT]<INDENT:40> 旧的"语言"枚举现在是一个类。这不应该破坏模组（除非他们正在调用未实现的方法）。
 
media/lua/shared/Translate/XX/language.txt 文件可能有一行"base = YY"，其中 YY 是在使用默认语言 EN 之前用于缺少翻译的另一种语言的名称。
[NODOT]<INDENT:40> 例如，想要覆盖某些法语翻译的模组可以使用以下 language.txt 文件：
[NODOT]<INDENT:40> 版本 = 1，
[NODOT]<INDENT:40> 文本 = 法语模组，
[NODOT]<INDENT:40> 字符集 = Cp1252，
[NODOT]<INDENT:40> 基数 = FR，
    
在 media/lua/shared/Translate/EN/<MAP>/ 文件夹中添加了地图 description.txt 和 title.txt 翻译文件。这些现在是为英语阅读的，因此它们可以被 mods 覆盖。
修复了不可翻译的文本"删除‘预设’？" 在沙盒选项 ui 中。
 
 
[SECTION]平衡
 
冷冻或解冻食物的工具提示显示冷冻时间。
冷冻食品不再显示烹饪时间（因为无法烹饪）。
添加了清空煎锅的配方。
将空油漆桶更改为储存水。
只有数字手表在时间显示中显示日期。
 
 
[SECTION]动画
 
为 1HDefault 和 SpearDefault 启用 EarlyTransitionOut。
 
调整了女性 bash 网格看起来更自然
调整了 2h 左右扫射的手部位置
为 Rachel 发型添加了样式选项并调整了一些其他样式选项。
在饮食动作中添加了面具，以改善上身和下身之间的融合
调整 Bob/Bob_StrafeAimSpear_Right.X 和 Bob/Bob_WalkBwdAim2H_Heavy.X 因为武器没有固定在手中
调整 2H_heavy 攻击以正确姿势结束
修复了导致武器在手中滑动的骨骼修复问题，在快进时最明显。
将 IsoLivingCharacter.bareHands 声明为"最终"，并修复了重复分配。
将各种刺伤武器的最小射程降低到 0.61，与其他刺伤武器相同。既然攻击考虑了僵尸的头部位置，头部通常更靠近玩家的身体，MinRange 不需要那么大。可以通过启用 Character.Debug.Render.AimCone 调试选项来查看范围。
修复了没有 CloseKillMove 定义的刺伤武器会受到下颚刺伤攻击的问题。
修复了当玩家开始或停止移动时重新启动的推搡动画。
修复了玩家撞到他们没有面对的车辆的问题。
修复了玩家的坐着动画永远循环的问题。
删除了zombie/walktoward/transitions.xml 中的重复过渡
 
更新了过渡和动画变量集和条件以使用 EarlyTransitionOut
[NODOT]<INDENT:40> 现在所有的过渡都在监听 ActiveAnimFinishing 而不是 ActiveAnimLooped。
[NODOT]<INDENT:60> 使用 <m_time>Start<m_time> 而不是 <m_timePc>0</m_timePc>
[NODOT]<INDENT:60> 使用 <m_time>End<m_time> 而不是 <m_timePc>1</m_timePc>
[NODOT]<INDENT:40> 这允许我们在 EarlyOut 点而不是在最后触发事件。
[NODOT]<INDENT:40> 防止因 100% 等待永远不会发生的事件而导致无限循环。
[NODOT]<INDENT:60> 这应该适用于所有现有动画状态，同时修复所有无限循环。
[NODOT]<INDENT:40> 要为节点启用 EarlyTransitionOut，只需添加 <m_EarlyTransitionOut>true</m_EarlyTransitionOut>
 
 
[SECTION][地图更新]
 
修复了金斯茅斯缺乏发电机的问题，并添加了新的"机库"房间定义
固定工作室上的非剖面墙
对两个挑战地图的总体改进
 
 
[SECTION]修复
 
如果栅栏近侧有俯卧僵尸，玩家将忽略站在栅栏另一侧的僵尸。
玩家可以瞄准俯卧僵尸的头部、腰部或脚部，而不仅仅是头部。瞄准头部仍然会造成最大的伤害。
 
固定武器有额外的 0.5 射程。
[NODOT]<INDENT:40> - 这个额外的范围只应该在攻击开始之前使用，看看是否应该击中俯卧的僵尸或冲刺的僵尸。
[NODOT]<INDENT:40> - 这不应该影响武器射程，因为现在检查站立僵尸头部的位置，当僵尸冲刺时，它往往在身体前方 0.5 个单位。
[NODOT]<INDENT：40> - 从理论上讲，这将在选择攻击站立僵尸而不是靠近俯卧的僵尸时将范围从0.5增加到1.0，而相对于身体的头部+0.5，+0.5，对于+0.5 "额外的弓步范围"。
 
修复了如果玩家携带过多，则无法从容器中装备尸体或发电机的问题。例如，这可以防止玩家从车辆中抓取发电机。必须先把它扔到地上。无论重量如何，玩家总是能够从地面装备尸体或发电机。
修复了使用农业上下文菜单播种的 lua 错误，而无需等待上一个操作完成。
修复了在安装或卸载车辆部件时，成功几率和损坏几率有时小于 0 或大于 100。
修复了底部看起来参差不齐的剖面围栏
修复了所有未切割的栅栏
修复了裁缝和电视节目 XP 增益产生浮动值的咬伤/划痕保护
修复了撕裂表应该被称为撕裂服装的情况
修复了中断的"将受污染的水"倒入空容器中导致饮用水的问题
修复了屠宰捕获的动物没有表现出一些体重和卡路里变化的问题
修复了许多无法撕开的衣物
固定食物的冷冻和解冻时间随着日长的增加而增加。我将时间设置为与默认 30 分钟一天的现有持续时间大致匹配：
[NODOT]<INDENT:40> 冷冻：- 4 小时。解冻：在烤箱中 15 分钟，在室温下 1.5 小时，在冰箱中 3.0 小时。
修复了用于切换家具移动模式的径向菜单不起作用。
修复了 ISContextMenu.lua 中不必要的选项计数。
修复了 ISMoveableInfoWindow 中由家具上的空覆盖精灵引起的 lua 错误。可以向叠加编辑器添加"无"精灵。
修复了玩家的模型照明有时会在装备或卸下物品后发生变化
修复了启用离屏渲染时 UI 有时会闪烁的问题。
修复了无法在 Linux 和 MacOS 上加载的语言。
修复了没有模组时模组 ui 的外观。
修复了木工材料在制作后不会从玩家手中移除的问题。
修复了游戏暂停时不触发 OnTickEvenPaused 事件。它正在检查 GameLoadingState.bDone=true，但在加载完成时设置为 false。
修复了拾取或放置家具后战利品窗口中的容器按钮未更新的问题。
修复了玩家在遇到僵尸后起床后的浮动运行动画。
修复了地面上没有阴影的尸体和僵尸。
修复了使用河流/泳池广场上的水坑水量的动作。
修复了新旧手表不显示时钟的问题。
修复了当移动到没有灯光的区域时接触到正方形的灯光列表没有被清除的问题。
修复了 CurrentCell.roomLights.contains(i) 而不是 contains(roomLight)。
修复了快进时阴影变得混乱的问题。
修复了能够从上面有农场植物的广场上拿走泥土的问题。
修复了能够在现有沟渠上挖沟的问题。已经有一个"删除"选项。
修复了能够在农场植物上放置泥土/砾石/沙子的问题。
修复了使用 2H 武器攻击时腿部抽搐的问题。攻击发生时，转弯状态没有退出方式。
修复了僵尸有时无法翻过栅栏或穿过窗户的问题。
修复了拆卸上下文菜单操作在手中装备焊接面罩而不是佩戴它的问题。
修复了僵尸在接近玩家时有时会慢慢走进墙壁的问题。
固定僵尸爬虫/hitreaction/Default.xml 动画被循环。
修复了点击木工墙后面的营火时丢失的"营火信息"选项。
修复了移动时无法开始包扎伤口的问题，即使开始后允许移动。
修复了库存窗口和战利品窗口选择随着定时操作移除项目而变化的问题。
可能修复了多个僵尸被一次攻击刺伤的问题。
修复了磨损子菜单不显示咬合和刮擦防御加成的问题。Wear 工具提示显示哪些项目将被替换，而不是上下文菜单文本是"用 Y 替换 X"。这样做是因为有时会更换几件物品，例如穿上 Spiffo 套装时。
修复了复制腰包和其他物品的问题。
可能修复了玩家在完成后退动画后进行攻击的问题。需要反馈。
修复了磨损工具提示中的咬伤和刮伤防御始终为绿色的问题。
Wear 工具提示显示了要穿戴的物品的咬合和刮擦防御以及 +/Change，与物品工具提示的方式相同。"咬防御：0 (-10)"例如。
修复了"在室内渲染雨"选项不可更改的问题。
修复了"拆解数字手表"配方不适用于新手表的问题。
添加了"工艺表绳"、"撕裂服装"和"撕裂床单"配方。
修复了当"过滤所有"复选框被选中时，可用的配方没有被排序到配方列表的顶部。
将 Stack 的一些用法更改为 ArrayList。堆栈是同步的，这有点慢。
将一些字段和类声明为"最终"。
移除 HandWeapon.direction
修复了一些与 lambda 相关的 gc
修复了由口罩导致的手表模型外观损坏。
修复了在使用较大的工具提示字体时反汇编上下文菜单工具提示中的文本重叠问题。
修复了不使用控制器时的教程 lua 错误。
每次显示工具提示时停止创建新的库存窗口工具提示，只需重复使用现有的。
修复了进化食谱工具提示中腐烂食物饥饿值的显示（小数点后数字过多）。
修复了使用"单一上下文菜单"选项时，当上下文菜单可见时，库存窗口工具提示不会隐藏的问题。
修复了不使用"单一上下文菜单"选项时上下文菜单的 lua 错误
修复了爬过家具的僵尸在被玩家击中时会直立。
修复了在游戏暂停时右键单击快捷栏中的项目的 lua 错误。游戏暂停时不再显示快捷栏上下文菜单。
重用 ISContextMenu 对象，而不是每次都创建新对象
修复了当恰好有 10 个源项目可能时配方工具提示中的"...还有 0 个"文本
在珠宝工具提示中隐藏"条件"（任何具有 Cosmetic=TRUE 的项目）。
修复了 RichText 面板和布局中调用 drawTextLeft 的错误。
修复了"撕裂衣服"配方不会从脏衣服中产生脏条的问题。
修复了不重复使用上下文菜单工具提示，而不是每次都创建新的提示。木工和金属制品菜单共同创造了 60 多个工具提示。
- 可能修复了退出主菜单后未呈现"游戏暂停"消息。
 
修复了僵尸爬过栅栏爬行攻击的一些问题。
[NODOT]<INDENT:40> - 僵尸的移动受到限制。
[NODOT]<INDENT:40> - 爬行的角度并不总是正确计算。
[NODOT]<INDENT:40> - 攻击命中的测试不太正确。
[NODOT]<INDENT:40> - 玩家对这些攻击的免疫没有处理不同的帧速率 (IsoGameCharacter.lungeFallTimer)。
 
修复了 item.RequireInHandOrInventory 在 ISInventoryPaneContextMenu.doEatOption() 中被视为 DisplayName 而不是项目类型的问题。
修复了 Necklace_Choker_Amber 和 Necklace_Choker_Diamond 的 DisplayName。
修复了"中号银色环形耳环"被命名为"金色"的问题。
重建 UI2.pack 以添加一些缺少的项目图标，以及在检查服装 ui 中显示的血液/洞/补丁纹理。
使用旧的 DisplayName 翻译修复了 Metalwork 菜单工具提示。
 
修复了在前一个动作完成之前从一堆物品中向烧烤/营火/壁炉添加燃料时出现的 Lua 错误。
[NODOT]<INDENT:40> 这是一个老问题，动作队列中的多个动作使用同一个项目。第一个操作完成后，该项目不再可供后续操作使用。可以通过使用新的 ISContextMenu.addActionsOption() 来避免此类问题，它将占位符操作添加到定时操作队列。当占位符动作开始时，它会调用一个函数来将实际动作添加到队列中。
[NODOT]<INDENT:40> 新动作在占位符动作之后立即插入队列。被调用的函数可以找到适当类型的可用项目，因此要使用的项目是在操作开始时确定的，而不是在上下文菜单首次显示时确定。
 
阻止隐形玩家攻击产生吸引僵尸的噪音。
当风使它们摇摆时，固定的草/植被显示在内墙上
 
通过在它们附近放置窗框使它们坚不可摧来修复陷阱。
[NODOT]<INDENT:40> - 不能再将陷阱放置在窗框/跳跃物附近
[NODOT]<INDENT:40> - 如果在先放置陷阱后在陷阱附近建造窗框，陷阱将消耗诱饵但不会捕获任何东西
 
固定化石标志无限拾取/充当电灯开关。这将在新世界中修复，但是由于保存的数据，现有世界仍然存在问题
修复了不必要地创建没有血液、污垢或孔洞的服装模型纹理副本的问题。这主要包括包包、帽子、珠宝和手表
修复了"僵尸惊讶玩家"声音不播放的问题。当我们在玩家进入房屋之前开始在房屋中生成僵尸时，这种情况就被打破了。玩家一打开房间的门，它们就会生成。
修复了对齐文本时不考虑字符信息 ui 中"头发"和"胡须"翻译的文本宽度。
修复了无法通过装备类似刀的武器推搡来击倒僵尸的问题。
 
 
[VERSION] 41.41
 
[SECTION]新增
 
在单人游戏中玩家死亡后启用"新角色"按钮，因此更清楚玩家可以使用新角色继续保存。此按钮已在分屏和多人游戏中可用。
添加了"尸体阴影"显示选项。尸体阴影被绘制为单独的通道（连同玩家、车辆和僵尸阴影），因此可能会影响大量尸体的性能。
添加了一个沙盒选项，用于在翻过栅栏后禁用僵尸冲刺（在僵尸传说中）。
当角色达到 4 级疲劳时，允许在任何地方睡觉。睡眠时间短，比"坏床"有更多的负面影响。
下雨时让玩家去户外睡觉。
添加了"简单服装纹理"选项以禁用服装纹理上的血液/污垢/破洞/补丁。血液/污垢/破洞/补丁仍然在衣服上，但没有被画出来。打开它可以节省纹理内存，并可能提高低规格硬件的性能。
添加了"简单的武器纹理"，它禁止在武器上吸取血液。打开它可以节省纹理内存，并可能提高低规格硬件的性能（但不如简单服装纹理）。
允许同时打开多个地图窗口。
添加了 UIElement:onKeyPress()、onKeyRepeat() 和 onKeyRelease() 方法，因此顶级 UIElements 可以拦截按键，而无需使用 Events.OnKeyPressed 或 Events.OnCustomUIKey 等事件。
 
 
[SECTION]平衡
 
略微降低了僵尸手表的生成率
略微降低了手表上预设闹钟的几率
重新平衡的 M14 单发突击步枪。
[NODOT]<INDENT:40> 更改模型
[NODOT]<INDENT:60> - 现在使用正确的弹药 (.308) 而不是 5.56。
[NODOT]<INDENT:60> - 弹匣尺寸设置为 20
[NODOT]<INDENT:60> - 已平衡伤害以使其与其他步枪保持一致
将木斧的伤害从 3.6 分钟和 4.6 最大值降低至 1.3 分钟和 3 最大值。以前的损坏值是过去错误的解决方法，当所述错误被修复时，该错误最终被压倒了。
为一些僵尸服装添加了连帽衫。
大型金属架子现在需要金属制品才能拆卸，还提供金属条和金属板（以前只有螺丝）。
增加腰包的生成率。
步枪重量增加。
降低最小推角以停止推向远处的僵尸
当玩家推搡时，随着范围"扩大"而降低最大推搡范围（身体前倾，范围也是如此）
当玩家超出范围时，陷阱可能会被摧毁
[NODOT]<INDENT:40>- 当被摧毁时，一个 destroyItem 代替陷阱，默认情况下这是"不可用的木头"，但可以在陷阱定义中设置
"放入容器"库存上下文菜单选项现在显示容器的名称（如果有）。希望这可以更清楚地表明该物品不会进入装备好的包中。
将玩家更喜欢瞄准冲刺僵尸而不是俯卧僵尸的范围从 0.5 增加到 1.0
 
 
[SECTION]动画
调整了 2 手未命中动画以在未命中动画期间将武器留在左手
坐在地上时禁止钓鱼，因为此时所述动作没有可播放的动画。如果首先打开 UI，然后玩家在开始钓鱼之前坐下，则会执行 forceGetUp。
从"僵尸从后面站起来"动画中删除了多余的帧
调整"僵尸起床"的混合设置
 
 
[SECTION]修复
修复了通过完整或设置路障的窗户刺入下巴的僵尸。
修复了下巴刺动画播放但角色丢失的问题
修复了在玩家和僵尸之间击中窗户时溅出的鲜血和播放武器撞击声音的问题。
修复了取消将项目附加到快捷栏的问题，使模型在播放器上可见但不在快捷栏中。
修复了启用 GameTime.Speed.XXX 调试选项时 UI 更新速度变慢的问题。
修复了 IsoZombie AnimationPlayer 被释放，然后在死后重新创建的问题。
修复了从渲染线程访问 AnimationPlayer 的模型渲染调试代码。这是渲染角色骨架和其他东西的代码。
修复了 JOML Matrix4f 类中的一个错误。
删除了一些旧的未使用的类。
修复了游戏暂停时不明显的分屏渲染问题。
修复了当生成位置超出范围时部落管理器 ui 的 lua 错误。
修复了僵尸模型在第一次可见时展开的问题。
修复了 NullPointerException 在没有窗口的情况下爬过窗框的问题。
修复了使用控制器时关闭窗口动画不播放的问题。
修复了能够在移动的汽车中睡觉的问题。
修复了可移动光标无法从西/北侧拾取办公室隔间墙的问题，也使它们可以跳跃。
通过查找库存项目拆卸配方，为任何作为 Iso 和库存（例如无线电）存在的对象添加了功能，以使其 IsoObject 形式可拆卸/可伸缩。为此，必须将 spriteproperties 设置为"CanScrap"，并为废代码定义至少一种虚拟材料以将其识别为有效的可报废材料，返回的实际材料将来自配方
当后者打开时，固定在同一个瓷砖重叠门上的墙壁。
添加了一项检查，以确保门索引始终在最后一堵墙之后，并且墙索引始终在门之前。
为不是墙壁但应在索引中处理的对象（例如淋浴玻璃窗格）添加了 tileproperty TreatAsWallOrder
FPS 乘数现在上限为 5 (6fps->30fps)。这可能会修复楼梯死亡以及其他可能因延迟相关的暂停而导致的突然死亡，因为在这样的暂停期间时间不会显着流逝。
修复了一些 lambda 垃圾回收
修复了重复的 Keyframe.BoneName 字符串（Bip01 等）
修复了使用"新角色"按钮创建新玩家后死亡音乐不会停止的问题。
可能修复了将行走的僵尸视为仍然被击倒的错误，从而在攻击受影响的僵尸时导致错误的目标优先级。
修复了播放单手暴击动画时玩家移动停止的问题。
通过隐藏腕戴物品来固定腕戴物品穿过长袖衣服。
修复了在加载没有胡须的预设时未选择角色创建胡须类型"无"的问题。
修复了某些缩放级别的模糊
修复了在装备或取消装备快捷栏武器模型时不会暂时抽血的问题。
修复了使用"新角色"按钮创建新玩家后影响死亡玩家的各种调试面板。
当结果项目与源项目具有相同类型时，修复了配方不保留项目的"最喜欢"状态。
修复了僵尸在从背部翻转到正面时被击中时最终仰卧的问题。
修复了在关闭的路障窗口上按下 E 键时播放的"关闭窗口"动画。
修复了在连发或单发模式下杀死僵尸的空突击步枪。
修复了衣服被弄湿后不会沾上血液和污垢的问题。这包括腰带、珠宝和手表。
修复了 SleepingEvent 在分屏中无法正常工作的问题。
修复了在楼梯下绘制尸体的问题。如果它们与较低的楼梯瓷砖重叠，它们仍然会被剪掉。
修复了在楼梯下绘制的假帽子
修复了一些空容器看起来像是里面有物品的情况。
修复了战利品生成表中的一些无效项目类型。
当战利品生成表中有无效的项目类型时，向控制台打印警告。
修复了一些带有物品生成的 gc。
ProceduralDistributions Lua 表在启动期间解析一次，而不是每次生成项目时
修复了玩家在攻击开始前被撞到后快捷键不起作用的问题
 
 
[VERSION] 41.42
 
[SECTION]新增
添加了表情轮，您当前按Q打开它。
[NODOT]<INDENT:40> - 表情轮子默认绑定到 Q。
[NODOT]<INDENT:40> - 表情轮现在长按可以调出。
[NODOT]<INDENT:40> - 如果你处于隐身状态，表情轮包括不同的表情
[NODOT]<INDENT:40> - 蹲下时按 Q（喊）现在会有不同的文字和更小的声音半径。
[NODOT]<INDENT:40> - 在空中挥舞你的武器（不击中任何东西）不会再吸引僵尸了。
 
为用长矛钓鱼添加了新的动画集。
[NODOT]<INDENT:40> - 现在可以坐在地上用钓鱼竿钓鱼。
更新了 MacOS 应用程序图标。
允许将医疗物品拖到健康 ui 中的受伤身体部位列表中。以前项目只能拖到身体的图像上。
通过检查项目图标是否在鼠标指针的一定距离内，使右键单击地面上的项目更加可靠。以前，仅检测到正方形上被点击的项目。如果该项目靠近正方形的角落，则用户必须四处寻找正确的点击位置。
更新地图以包括最近的修复和本的小屋
 
 
[SECTION][调试]
 
在 lua 调试器文件列表中添加了一个重新加载按钮。它出现在鼠标悬停的项目的文件名旁边。
添加了一个在调试模式下通过 CTRL+F7 访问的游戏内动画剪辑查看器。
 
 
[SECTION][教程]
 
生活质量的改变和修复
更新了 Binky 的新控制器图标
 
 
[SECTION][修改]
 
将用于单击窗帘、门和电灯开关的代码从 Java 移至 ISObjectClickHandler.lua，以便模组制作者可以更改此行为。
向 IsoPlayer.removeSaveFile() 添加了返回代码以删除 map_pN.bin 保存文件，以帮助 Nolan 进行 SuperSurvivors 和其他小改动，让他的生活更轻松
添加了一个名为标签的新项目属性。标签是一个字符串列表，可用于指定项目的用途。
[NODOT]<INDENT:40> 游戏可以检查带有特定标签的物品，而不是检查物品类型列表，例如 Hammer/HammerStone 或 Saw/GardenSaw。这些标签是：ChopTree、ClearAshes、CutPlant、DigGrave、DigPlow、Hammer、Saw、TakeDirt。此外，数字手表具有数字标签，它会影响时钟的显示方式。
将 recipecode.lua 函数移动到名为 Recipe 的全局表中。
[NODOT]<INDENT:40>这些函数被组织成子表Recipe.OnCreate、Recipe.OnGiveXP 和Recipe.OnTest。
[NODOT]<INDENT:40>这类似于车辆脚本 lua 函数的工作方式。
[NODOT]<INDENT:40>例如，CutFish_TestIsValid 现在是 Recipe.OnTest.CutFish。
[NODOT]<INDENT:40>旧的函数名称仍然可用以避免破坏模组。
如果任何配方的 OnCreate、OnGiveXP 或 OnTest 方法未定义，则会在加载游戏时将错误消息打印到控制台。
 
 
[SECTION]平衡
 
减少了刀的暴击几率。
关闭或打开车门时，请忽略受伤、负面情绪等造成的减速。
减少了可以点击电灯开关的距离。
球头锤现在可以用于木工等。
用于钓鱼的长矛在损坏时会失去状态，并且不会从玩家的库存中消失。
如果你要在僵尸攻击时禁止近身刀杀（下颚刺） - 但你的替代普通攻击会造成更多伤害。当您具有较高的小刀片技能时，这可以避免不必要的下颚刺伤的风险。
当等级低于 5 时，增加重新加载/瞄准 XP 增益。
M14 的最小伤害从 1 增加到 1.2。
 
 
[SECTION]动画
 
重新装填枪支时隐藏左手物品。
砍树时隐藏任何左侧物品。
调整普通眼镜紫外线，使武器显示，男性和女性版本。
调整饮酒动画，使其更自然一些。
调整枪的后坐力、装载和机架混合以消除一些爆裂声。
稍微调整了手枪和步枪的后坐力。
调整 Trousers.xml、Trousers_Black.xml 和 Trousers_NavyBlue.xml 掩码以避免剪裁。
调整 Shorts_ShortFormal.xml 以避免剪辑。
 
 
[SECTION]修复
 
修复了非空容器有时看起来像是没有物品的问题（在随机装满卫生纸的建筑物中）。
修复了极度疲倦且没有点击床/椅子时"休息"上下文菜单选项的 lua 错误。
修复了能够从无限距离钓鱼的问题，您现在需要用一根杆在距水体最多 6 格的位置和使用长矛的 2 格。
修复了可移动物品的各种问题 - 主要是金属物品。
修复了在车辆仍在移动时发动机关闭后车辆不会与僵尸发生碰撞的问题。
修复了僵尸有时会攻击而不是播放他们的命中反应动画。
修复了动画事件垃圾收集。
修复了在同一 AnimSet 中启动新节点后每一帧都会发生的 ActiveAnimXXX 事件。
修复了启动期间创建的两个 DebugLog.txt 文件。其中一个文件是通过垃圾收集关闭的，这在过去曾在 Linux 上引起过问题。
修复了在僵尸播放 Zombie_DoorClaw 动画时无法从背后刺伤僵尸的问题。
固定动作动画（如阅读）在尝试坐着攻击后坐在地上时不播放。
修复了在按下移动键后从坐着起身时继续进行的定时动作。
修复了有时通过上方图层中的孔看不到衣服的部分。
修复了僵尸在杀死玩家后播放他们的攻击声音的问题。在吃身体的声音中它一直在播放。
修复了当玩家被僵尸杀死时，有时会播放多个死亡尖叫声。
修复了僵尸有时会在将玩家拖到地上后再次播放它们的咬人动画的问题。
修复了播放器信息头像在较高帧速率下动画更慢的问题。
修复了动画剪辑查看器动画在较高帧速率下运行更慢的问题。
修复了无法与地图制作者放置的帐篷互动的问题。
修复了当电灯开关打开时房间有时会出现不亮的问题。这发生在加载带有房间灯开关但没有灯或门廊灯的地图的一部分时。
修复了当这些物品名称相同但底层类型不同（如夹克）时，将每件衣服叠穿。
修复了用于营火燃料的收藏物品。
修复了重复使用僵尸的错误，该错误可能导致僵尸试图走向它在从世界上移除之前听到的声音。
修复了当帽子和眼镜从玩家身上取下时玩家信息头像不更新的问题。
修复了战利品窗口没有更新以显示帽子和眼镜从玩家身上掉下来的问题。
修复了游戏暂停时播放器信息头像动画的问题。
修复了木工菜单门子菜单在可以建造门框时显示为禁用的问题。
修复了冰箱/冰柜中袋子中的食物不冷却或冷冻的问题。
修复了大车库门/窗在切口处显示为两倍正常尺寸的门/窗。
修复了在"冬天来了"挑战（和其他）重置计时器时注销和重新登录的问题。
修复了一些物品重量差异。
修复了无法使用除纸以外的任何其他材料开始烧烤的问题。
修复了允许将无限糖添加到饮料中的问题。
固定储物柜没有正确切割。
修复了即使在天启很长一段时间内，午餐盒也总是会产生新鲜食物。
修复了从瓶子倒水到瓶子不保留空瓶子最喜欢的状态。
固定填充损坏的平底锅修复它。
固定沙盒选项"感染死亡率"设置为"从不"不起作用。
修复了从复制诱饵的陷阱中放置和移除诱饵的问题。
修复了制作用户界面"名称过滤器"条目和"过滤所有"复选框在每个选项卡中显示不同值的问题。
修复了钓鱼 ui 有时不够高以显示捕获的物品。
 
 
[VERSION] 41.43
 
[SECTION]新增
使用垫子玩游戏时在游戏屏幕上更新了新的控制器图标
当玩家开始瞄准时，物品栏和战利品窗口会立即折叠，除非它们被固定。
 
如果玩家正在关闭窗户，则打断僵尸爬过窗户。
[NODOT]<INDENT:40> 这适用于僵尸开始爬过窗户并且没有越过窗台的情况。
如果僵尸正在爬过窗户，则阻止玩家关闭窗户。如果僵尸在窗台上，玩家会播放"挣扎"动画。
 
添加了"口渴时自动喝水"可访问性选项。默认开启。口渴时右键单击水瓶会显示一个新选项"止渴"。食物（如易拉罐）不显示此选项，仅水容器显示。一如既往，每单位的水可以消除 10% 的口渴。因此，饮酒后可能会残留低于 10% 的口渴感。
 
添加了"在点火中留下钥匙"可访问性选项。启用后，当发动机关闭时，钥匙仍保留在车辆的点火装置中。
 
 
[SECTION][性能]
 
改进的池化对象，这反过来应该会提高僵尸密度高的区域的性能。
[NODOT]<INDENT:40>（在 6 个月后的设置中，例如，游戏在从世界上移除一个僵尸时需要超过 6 毫秒来释放 AnimationPlayer。这个时间现在已经降低到大约 0.01 毫秒 - 0.03 毫秒）。
 
 
[SECTION]平衡
 
移除了为取消下颚刺伤而进行的攻击
添加了更多的地板藏匿处，包括一些异国情调的藏匿处。
增加找到注释地图的机会
增加找到幸存者 Zed 的机会
用枪械瞄准 zed 时改进了轮廓颜色 - 现在在更有可能获得好射击的机会时出现绿色
增加了在枪支中或旁边发现夹子的机会。
改变了嗜睡和清醒的睡眠时间
添加了在流媒体世界中被摧毁的陷阱，返回的物品与在"屏幕外模拟"中被摧毁时相同
 
 
[SECTION][模型/动画更改]
 
调整了多个袋子和围裙网，因此它们不会相互夹住
制作电焊面罩代替帽子，反之亦然（不能同时佩戴）
这样做的目的是使耳环不会夹在头巾上
 
 
[SECTION]修复
 
修复了爬行僵尸在进行栅栏/窗户爬行攻击时会击中车辆中的玩家的问题。
修复了在控制器处于活动状态的情况下加载游戏后控制器焦点位于加载游戏屏幕上的问题。
修复了在拖动项目时有时会清除库存和战利品窗口选择的问题。这导致拖动的项目没有被渲染。
修复了在车辆内隐藏用户界面后车辆仪表板仍然隐藏的问题。
修复了阻止所有按键事件的工艺、地图和机制 UI。
修复了尸体被移除前"尸体移除前的时间"的倍数。
固定尸体腐烂时从男性变为女性的移动和变化。
如果所有 Lua 文件都因 mods 而重新加载，则在加载挑战时修复了 Lua 错误。
修复了播放多个玩家死亡声音的问题。
修复了检查服装 ui 显示错误的防咬/防刮保护值的项目的eckProtectionModifier < 1。
修复了在颈部保护修饰符 < 1 的衣服上降低颈部咬伤/抓伤防御加成的问题。
修复了从上午 9 点开始将沙盒开始时间设置为上午 5 点的问题。
修复了组合线程时在物品栏窗口中显示"倾注"的问题。
修复了隐藏的木板不起作用（容器"隐藏"在地板中）。
修复了控制器用户显示的快捷栏
修复了物品栏和战利品窗口中的 CTRL+A 导致玩家转向的问题。
修复了"xxx 未为 null 中的操作数定义"异常消息中缺少的函数名称。
修复了使用径向菜单时不从包中取出子弹来重新加载弹匣的问题。使用上下文菜单时采取了袋中的子弹。
修复了能够将污垢倒在水砖上的问题
修复了通过调用 addfloor 的某些操作（倒/取土、建造地板）移除地毯/地毯的问题
修复了一些针对不同朝向需要不同工具的长凳
修复了在倒塌的墙"下方/后面"时无法单击或添加到上下文菜单的对象
修复了在瓷砖（沙子/砾石/泥土）上多次倒出相同类型的相同东西
固定公园护林员没有让他/她穿过树木正常工作
 
 
[VERSION] 41.44
 
[SECTION]新增
重复使用库存和战利品窗口中的容器按钮，而不是在每次更新窗口时创建新按钮。
在草料 ui 中使用单选按钮而不是复选框来获取可用袋子。
现在可以清洗带血和脏的背包。
从角色信息面板中删除了"年龄"统计数据
按下退出到桌面后添加是/否提示
当分辨率发生变化时，更好地安排选项屏幕控件。
重新启用 FPS 计数器 - 默认显示为 K。现在应该可以正常工作了。
DPad-down 显示表情径向菜单。当显示子菜单时，突出显示一个表情并再次按下 DPad-down 将其选中。
如果游戏暂停，当玩家瞄准时，允许折叠的库存和战利品窗口展开。
添加了新发型 - 中分、侧分等
添加了罐子 3D 模型 - 蛋黄酱等。（用勺子吃或直接喝！哇。）
添加了汽油罐 3D 模型（现在也可以将汽油罐拿在手中）
禁止在警车前后座位之间切换，因为它们之间有分隔线。
在 switch-seat ui 中直观地指示无法从当前座位到达的座位。
添加了装备和取消装备物品和服装的动画。
添加了执行定时动作时使用的新坐姿动画。
使用时，允许从袋子中取出鱼竿、长矛和诱饵。
允许在移动时停止响铃和库存中的手表。
更新了翻译。
 
 
[SECTION][战斗修复]
 
为了解决玩家攻击倒地僵尸而不是来袭威胁的问题，现在有一个固定值 1.5 用于忽略俯卧僵尸。当玩家前方 1.5 格内有僵尸站立时，不会发生对地攻击。无论使用哪种武器（包括徒手），该值都是相同的。
站在玩家身后的僵尸不会阻止地面攻击。
与往常一样，如果武器射程内有站立的僵尸（可能大于 1.5），则俯卧的僵尸将被忽略。
 
在地面上的两个僵尸之间进行选择：
[NODOT]<INDENT:40> 1) 给正在起床的僵尸更高的优先级。
[NODOT]<INDENT:40> 2) 给爬行僵尸更高的优先级（但比正在爬起来的僵尸低）。
 
修复了一个可能会选择俯卧僵尸而不是起床的错误。这是由于僵尸在起床动画中途从俯卧状态切换到站立状态。
修复了 RackAfterShoot 枪支的无限弹药利用问题。
改进了僵尸周围瞄准轮廓的外观并改进了颜色。
将"瞄准轮廓"选项更改为三个选项："无"、"远程武器"和"任何武器"。
[NODOT]<INDENT:40> "任何武器"应该可以减少一些不知道可能会击中哪个僵尸的人的挫败感。
 
 
 
[SECTION][健身]
[NODOT]（仍然需要平衡，下个补丁会放在温度等旁边的健康面板中）
右键单击任意位置以调出健身 UI。
选择一个练习（有些需要项目，如哑铃），选择多少时间，然后单击确定。
运动结束后约 12 小时会诱发运动疲劳。
工具提示解释了僵硬的作用（做俯卧撑会导致手臂/胸部疼痛，使战斗变慢等。）
你锻炼得越多，你获得的"规律性"就越多，这意味着你从这个练习中得到的僵硬就越少（每个练习都有自己的规律性）。
系统考虑了疲劳对运动结果、营养等的影响。
包括针对低健身水平角色的"苦苦挣扎"版本的练习。
某些职业在某些练习中存在规律性（健身教练、消防员..）
 
 
[SECTION][水整理]
将含水物品的"止渴"改回"饮用"。
将这些对象上下文菜单选项的工具提示中的"剩余：百分比"更改为"水：当前/最大值"：雨桶信息、饮水机信息
将这些项目上下文菜单选项的工具提示中的"百分比满"更改为"水：当前/最大值"：从项目中添加水、饮用（从项目中）、填充（从对象中取水到项目中）、倒入
添加了从水槽或其他物体饮用时显示"水：当前/最大值"的工具提示，以及水是否被污染。
在水关闭之前从水槽或河流中饮用会显示"水：无限"。
始终显示从对象中喝水的"喝"上下文菜单选项。
从物品和物体中喝水会将口渴减少到零，而不是可能留下一些小于 0.1 的分数。
 
 
 
[SECTION]平衡
 
在不使用径向菜单的情况下按下重新加载键时，子弹会从包中取出。
修复了在添加或移除子弹时未调整武器重量的几个地方。
现在显示手电筒上的装备重量。
将烤蔬菜重命名为烤
现在拆卸汽车残骸时会产生废金属
将".44 Magnum Magazine"重命名为".44 Magazine"。Magnum 是左轮手枪，所以不带杂志。.44 弹匣进入 DE 手枪。
在汽车后退时击中僵尸现在会损坏油箱。
被摧毁的陷阱可以返回多个物品，使用麻线的会返回全部麻线成本
暴风雨现在在白天变得不那么黑暗了
古董炉现在可以在任何仓库的板条箱中生成（非常罕见）
修复了房间类型"露营"中出现的错误项目
修复了房间类型"面包店"中出现的错误项目
将房间类型"campingstorage"添加到列表中：与露营相同的战利品清单，更好的卷，板条箱（纸板箱？）只有。
EggCarton 生成几率增加。在冰箱里找到两个鸡蛋盒的几率很小。
增加了房屋中的地板藏匿处和其中的物品数量。
增加了在 zeds 上的袋子中生成东西的几率
 
 
[SECTION][福克斯的切角抛光]
 
如果没有窗户，玩家建造的围墙不会再倒塌
修复了角色一踏上楼梯就开始的剖面图
修复了切角加载问题
修复了栅栏和墙壁的切面开始有点太晚了。
固定仓库中的垃圾箱永远不会停止被切掉或有锯齿状边缘
通过封闭的车库可以看到固定的汽车
修复了缺少瓷砖属性的剖面图
 
 
 
[SECTION][修改和翻译]
 
添加了 EvolvedRecipeName_EN.txt 翻译文件。这用于项目的 EvolvedRecipeName 属性。
[NODOT]<INDENT:40> 以前，它使用旧的 DisplayName_XXX 翻译。
添加了 ContextMenu_CarBatteryCharger_RemoveBattery 翻译。
在翻译中添加了 %-substitutions：
[NODOT]<INDENT:40> ContextMenu_Add_Ingredient
[NODOT]<INDENT:40> ContextMenu_Create_From_Ingredient
[NODOT]<INDENT:40> ContextMenu_From_Ingredient。
添加了"从 %1 卸载 1 发子弹"翻译，用于从左轮手枪（而不是机架）中移除单发子弹。
在螺丝刀中添加了"标签 = 螺丝刀"。
将使用螺丝刀的配方更改为使用带有 Tags=Screwdriver 的任何项目。
将使用螺丝刀的配方更改为使用带有 Tags=Screwdriver 的任何项目。
将 Tags=CanOpener 添加到 TinOpener。
调整了使用 TinOpener 的配方以使用带有 Tags=CanOpener 的任何项目
为钓竿和长矛添加了 Tags=FishingRod 和 Tags=FishingSpear。
 
 
 
[SECTION][动画更改]
 
裁剪 Bob_RunStumble.X
调整 xmls 以更顺畅地从争夺中起床
封顶 Bob_JacketLong.X、Kate_Jacket.X 和 Kate_JacketLong.X
统一 Bob_WeddingJacket.X 法线
created ShortSleeveShirt Body Location
将一些衬衫服装项目 Body Location 更改为 ShortSleeveShirt，这样它们就不会隐藏手表
隐藏带有某些衣物的腰包
从服装 Waiter_Diner 中移除 ApronTEXTURE
盖上一些男女衣服
调整了跑步和冲刺之间的过渡和混合。潜行版本也完成了。
 
 
 
[SECTION][UI 整理]
 
当退出桌面对话框可见时隐藏死后文本。
在死后文本下方绘制一个矩形，以便在浅色背景上更容易看到。
修复了不同字体大小的某些内容的布局。
 
 
 
[SECTION][优化]
 
优化 PropertyContainer 对 IsoFlagType 的处理。这是对 PZ 代码的基本元素的优化，它应该对游戏的许多元素有一个小的提升，因为属性容器/isoflagtype 的东西在整个过程中都被使用了——尤其是地图渲染、游戏逻辑等。我们已经看到了收益像西点这样的建成区。
声明了很多类和字段'final'。
 
 
[SECTION]修复
修复了 DebugScenarios.lua 调用 Events.LoadGridsquare.Add() 即使在非调试模式下。
固定救护车门面罩以纠正左右
修复了尸体上的一些透明衣服
修复了玩家在双手拿着包时免疫正面攻击的问题。
固定糖没有营养价值
固定石斧重量超过组装它所需的元素
固定煮熟的米饭和意大利面永远不会腐烂
修复了在将栅栏建造到墙上时，它连接到墙壁的部分没有被切割
修复了玩家通过键盘瞄准或平移相机时扩展库存和战利品窗口的能力。
修复了由于一年中的时间和/或技能水平而无法找到无法找到的东西时奖励觅食经验值的问题。玩家可以轻松升级觅食技能，而不会降低该区域的丰度。
修复了 IsoCell.CullFullyOccludedSquares() 中的异常。
修复了动画时钟运行速度低于预期的问题，并调整了全局动画速度以适应
修复了导致不允许倾倒多种类型（沙子/砾石/泥土）不起作用的小错误
修复了构建光标位于空方格（高于地面）时的 lua 错误
修复了悬停无效瓷砖时构建光标不会变红的问题，例如在地面以上时
修复了能够在内部挖坟墓的问题
修复了能够在带有倾倒泥土但下面没有天然地板的瓷砖上挖掘坟墓的问题
固定陷阱生成物品时定期移除它（非破坏）
修复了由于快速冷却导致无线电交互丢失线路（快速前进错过了 XP 错误）
修复了每次射击后没有架起一些武器的问题。
修复了枪支和弹匣重量的问题。
修复了枪口闪光纹理在第一次射击时不可见的问题。
修复了当车辆与玩家在同一个房间内时附近的车辆不会被渲染的问题。
修复了除非时钟可见，否则不会渲染调试 FPSGraph。
固定尸体被绘制在铁轨和坟墓下。
修复了右键单击枪支时"插入杂志"的 Lua 错误。
修复了当角色具有没有纹理的特征时，特征工具提示不会显示在角色信息 ui 中的问题。
修复了 SmallCar 范围与物理底盘形状不匹配的问题。
修复了吸烟时打火机或火柴不从袋子中转移的问题。这也适用于使用 RequireInHandOrInventory 吃任何物品时。
修复了带有表情的动画锁定。
修复了 ZombieSurprisePlayer 声音播放过于频繁的问题。每当玩家看到僵尸时，计时器就会重置。
修复了速度 > 1 时震耳欲聋的多个雷声
如果找到一种以上的项目，则在清理时修复了异常。
修复未从包中取出的物品所需的固定物品。
修复了使用控制器时不显示"用手挖沟"的问题。
修复了使用控制器为分屏玩家显示的快捷栏。
修复了僵尸在被踩到或在车辆下方时从后向前翻转成为爬行者的问题。
修复了修复车辆部件的 lua 错误。
修复了玩家在幽灵模式下被树绊倒的问题。
修复了在发送 unload-magazine 命令时获得免费弹药的问题。
修复了僵尸有时从后面被推后倒下的问题。这发生在 hitForce <= 0.1 时。
修复了可排出物品在用于配方后清空时失去其收藏状态的问题。
修复了不使用"Plumb XYZ"上下文菜单选项的可移动对象名称的翻译。
修复了死后退出到桌面对话框重叠按钮在屏幕底部的问题。
固定的衣服有时在应该的时候没有破洞。
固定短跑运动员追逐碰撞
修复了许多缺失的剖面属性。
修复了长出来的绑头发仍然有"解开"选项的问题
固定远距离钓鱼
固定手枪和左轮手枪上"枪口"附件的位置（用于显示枪口闪光精灵）。
修复了馅饼店中缺失的叠加层
修复了侵蚀系统减缓和刮伤玩家生长的树苗
修复了各种映射错误
修复了将物品放到容器按钮上时物品不会从最轻到最重的问题。
修复了"放入容器"上下文菜单选项在右键单击装备的主要或次要图标时不起作用，除非显示玩家的库存（不是包）。
修复了在未配备燃气罐时向发电机添加燃气的 NullPointerException。
 
 
[VERSION] 41.45
[SECTION]新增
允许使用撬棍移除木路障，并为其使用动画
添加了上下文菜单命令，用于将所有燃料物品和特定类型的所有燃料物品添加到烧烤、营火和壁炉中。
温暖的双手现在可以与壁炉一起使用。
为霰弹枪模型添加了"世界"附件。
添加了一大堆新的男性名字、女性名字和姓氏，取自 1994 年美国人口普查，所以其他所有角色都不叫 Marina Hodgetts。（感谢 Jam 将这些放在一起。）
如果需要，inspect-clothing 命令会将物品转移到玩家的库存中。
充气车辆轮胎将停止在最大压力，而不是总是增加 5。不得不在正确的时间取消动作很烦人。
在衣服上添加补丁和移除补丁时播放"工艺"动画。
更新了翻译。
未选择床时，在上下文菜单中显示"在地面上睡觉"而不是"睡觉"。
"睡眠"工具提示显示床的质量，可以是差、一般或好。
添加了冷却器（可以戴在手中）。
添加了挎包（3 种款式，可背戴或手拿）。
添加了公文包生成
增加了手枪盒。
更新了包的一些纹理。
 
允许玩家在用武器攻击后更快地推（和踩）。
制作 ui 显示玩家对具有所需技能的配方的技能等级（例如制作陷阱盒）。
如果玩家的等级低于所需等级，所需技能会以红色文字显示。
添加了方法 Recipe.getRequiredSkillCount() 和 Recipe.getRequiredSkill()。
Recipe.getRequiredSkill(int index) 使用 getPerk() 和 getLevel() 方法返回一个 RequiredSkill 对象。
 
 
 
[SECTION][改进的雾系统]
现在添加了全新的真棒雾
添加了新雾的显示选项，可以在高质量、中等质量和旧版之间切换（build 40）
改变了雾的生成，现在根据日平均温度改变持续时间。
为风暴增加了灰色雾效果的机会。
为热带风暴添加了保证强烈的有色雾效果，现在非常独特。
修改了暴风雪效果以与新的雾一起很好地工作。
在调试菜单中添加了新的雾控制面板。
 
 
[SECTION][健身]
 
从练习中获得的经验现在可以不同了。
规律性直到锻炼后 24 小时才会下降。
修复了一些健身动画的怪异问题。
上车时移除健身 UI。
修复了 Fitness.decreaseRegularity() 中的 NullPointerException。
修复了 Fitness.load() 中的异常。
将健身移动到健康面板（新按钮）而不是右键菜单。
 
 
[SECTION]平衡
 
允许从水槽等清洁水源清洗脏绷带。
如果手电筒中有电池，则允许拆卸手电筒配方。
将两件夹克重命名为皮夹克。它们已经是皮革了。
古董炉的重量从 20.0 增加到 40.0。
园艺喷雾能力下降
僵尸目标轮廓的大小减少了 20%。
重新装填枪支将在袋子中寻找弹匣，而不仅仅是主要库存。
卫生纸现在可以像纸巾一样使用（装备在主手或副手上以减少咳嗽噪音）。
卫生纸现在可以用来生火/烧烤。
潜行技能略有提升（当在视线范围内时，会降低 zed 视野/脚步声量）
MSR700/MSR788 现在不需要弹匣。
 
 
[SECTION][优化]
优化 ScriptModule.getRecipe()。
声明 SpriteRenderer.instance 和 SpriteRenderer.ringBuffer 'final'。
避免一些与字符串相关的带有切角的 gc（解析精灵名称）。
对剖面渲染的大优化 - 将 TallHoppableW、WallWTrans、TallHoppableN 和 WallNTrans 的测试移至 IsoFlagTypes，因为它们进行了大量的字符串比较并减慢了渲染速度
 
 
[SECTION][模型和动画更改]
调整几何形状，使防毒面具更适合戴帽子。
向 BodyLocations.lua (MaskFull) 添加了另一个身体位置
将焊接面罩部分制作成面罩全身位置
将咳嗽/打喷嚏/烦躁的动画（"ext"状态）更改为"idle"状态的子状态。
重新出口的 TShirt_white 没有扣好前面
 
 
[SECTION]修复
修复了戴上棒球帽时播放错误的动画。
修复了 IsoGridSquare.getPuddlesDir() 中的 NullPointerException。这发生在壁炉上。
修复了一些丢失的翻译文件
修复了瞄准时无法装备和卸下​​物品的问题。
修复了僵尸栅栏翻牌爬行攻击通过关闭的门击中玩家。
修复了没有所需技能的食谱不起作用。
修复了装备光源时不会从包中取出物品的问题。
修复了在将物品拖到主要/次要图标上时，当它看起来应该是双手装备时，一只手装备一个物品。
修复了有时能够爬过关闭的窗户的问题。
修复了瞄准时无法重新加载空弹匣的问题。
修复了坐在地上时的枪声和枪口闪光效果。
修复了用燃气点燃烧烤或壁炉时的异常。
修复了在播放暖手动画时定时动作不起作用的问题。
修复了火熄灭后可能会持续很长时间的暖手动画。
修复了能够用长矛远距离钓鱼的问题。（还有一个问题是如果你只有一根长矛并打开 UI，它被认为是一根钓鱼竿！）
修复了从站立到坐在地上不播放的过渡动画。
修复了使用控制器时可用的快捷栏插槽未更新的问题。
修复了瞄准车辆时不开始的定时动作。
修复了玩家在瞄准时退出车辆时卡住的问题。
固定切换瞄准开/关在车辆中不起作用。
修复了玩家死亡后瞄准辅助光标不会消失的问题。
修复了延伸到制作和切换车辆座椅窗口之外的长文本行。
修复了车辆座椅上的物品自动移动而不移动物品，如果它使用了座位上的所有剩余空间。
如果健身教练/消防员重新初始化固定规律图。
修复了显示错误值的规律性进度条（它永远不会达到 100%！）
修复了进入上一个或下一个屏幕时职业/特质 ui 中的信息弹出窗口没有隐藏的问题。
修复了容量为 3 或更少的容器无法从 Organized 特性中获得额外容量的问题。这影响了腰包。
修复了受有组织和无组织特性影响的尸体库存容量。玩家的库存容量从未受到这些特性的影响（仅包）。
修复了右键单击墙后的营火后"营火信息"命令的问题。
修复了能够以倒档向前驾驶车辆的问题。
修复了在车窗关闭时按住鼠标右键无法环顾四周的问题。这在按住 Aim 键时有效，但在按住鼠标右键时无效。
修复了"全部全部"未将所有木炭添加到烧烤、营火和壁炉的问题。它将一次添加一个单位的木炭（30 分钟），直到用完为止。
修复了僵尸有时会在翻过栅栏后穿过墙壁的问题。这在西点警察局以北快进时很容易重现。
修复了咳嗽/打喷嚏/坐立不安的动画以更高的帧速率更频繁地播放。
修复了最新版本 Translatoid 的上下文菜单烹饪翻译
修复了在翻转帽子、向上/向下放置引擎盖等时丢失服装模组数据的问题。
修复了通过上下文菜单锁定和解锁门时不面向门的问题。
修复了在进行一些健身锻炼时不仅获得力量而且没有获得健身经验的问题。
修复了能够打开多个健身 UI。
修复了双门和棍子陷阱的回报比他们制作时更多的问题。
修复了不影响角色睡眠时间的睡眠特征
修复了无法拆卸大型金属架子的问题
修复了不安分的睡眠者无法消除疲劳的问题
修复了在调试气候绘图仪中未正确显示正面强度的问题
 
 
[VERSION] 41.46
[SECTION][持久的 ZED 服装]
 
僵尸外观现在大部分在重新加载时保留。
添加了 Zombie.Outfit.Random 调试选项以禁用持久服装并在加载僵尸时选择随机服装。
添加了 AttachedWeaponDefinitions 类以避免每次僵尸生成时解析 Lua 表。
重写 ZombiesZon​​eDefinition 以避免每次生成僵尸时解析 Lua 表。
修复了警察路障车辆故事没有正确检查足够宽的区域，从而阻止它们生成。
DebugChunkState 显示一个位置的所有区域。
将客户端/定义移至共享/定义。server/recipecode.lua 使用 ClothingRecipesDefinitions。
 
 
[SECTION][添加预告片]
1) 如果在调试中使用 addVehicle("Base.Trailer") 生成预告片。
2) 停放车辆，使其后端靠近拖车的前部。
3) 查看车辆或拖车，使用车辆径向菜单并选择"附加拖车"（加号图标）。
[NODOT]<BR>
车辆应有一个名为"拖车"的附件，该附件与拖车本身的相同附件对齐。
没有此附件的车辆将连接到车辆后部的某处。
在车辆上编辑附件是车辆编辑器中的一项新功能。
[NODOT]<BR>
增加了对车辆上多种碰撞形状的支持。这是为了支撑从拖车车身向前延伸的拖车挂钩。形状必须添加到车辆的脚本中。它们可以在新的"物理"部分下的车辆编辑器中进行编辑。
最多支持 10 个形状，物理机箱形状减去 1 个。
更新了载具血量和伤害材质。损坏和生锈纹理应用于拖车。然而，血液纹理目前没有出现。
拖车时模拟绳子：全速拉断太多，拖车会撞到你。
添加了未覆盖的拖车 Base.Trailer。Base.TrailerCover 是涵盖的版本。
未覆盖的拖车 FBX 缺少第二个紫外线通道。
拖车制动灯亮时，拖车制动灯会亮起。
添加了四轮广告拖车。
 
为某些武器模型添加了"世界"附件，以便它们在地面上时更好地定位。
添加了新的广告预告片。"设置脚本"车辆调试菜单命令选择随机皮肤。
添加了拖车撞车故事。
 
[SECTION][新 ZED 故事]
 
有时在森林、海滩或湖边，你会发现被僵尸化的人在做不同的活动。
沙滩派对、渔夫旅行、森林露营...
烧烤派对
性感时光（！）
猎人营地
捕手营
更多的！
 
 
[SECTION]一般
添加了啤酒罐和啤酒瓶项目。
配方工具提示现在以灰色文本在不可用项目上方以白色文本显示可用项目。
按下"取消操作"键或控制器 B 按钮时停止表情动画。
添加了更多枪支附件模型，修复了丢失的模型。
添加弹药带作为服装项目。可以佩戴，与炮弹或子弹一起存在，可以提高装弹速度（霰弹枪的炮弹/其余的子弹）。
在警察装备上添加了可能的子弹背心。
添加了几个新的发型
添加了新的胡须样式。
添加了一个 HairOutfitDefinitions.lua 定义文件：
只允许在特定服装上产生一些发型。
强制对一些服装进行一些理发（ZombiesZon​​eDefinition.lua 优先于它）
为 Zed Stories 添加了一些服装。
实施了新的帽子/眼罩（图标、功能等）。
加载模型时添加了 JOIN_IDENTICAL_VERTICES 选项。这可以大大减少模型中的顶点数量。
更新了翻译。
 
 
[SECTION]平衡
 
近战武器对汽车零件的伤害现在根据武器类型更加准确
改变了用汽车撞击僵尸的伤害：速度成倍增加伤害。还试图阻止短跑运动员敲打汽车后部并过快地破坏它。
威士忌酒瓶的水重现在更符合威士忌酒瓶的重量
减少喝啤酒瓶/罐与烈酒的醉酒增益
当角色空腹时，使酒精->醉酒更加有效
拆卸灯现在会得到一个灯泡
日志堆栈配方始终使用 2 根绳索，而不是每条日志 1 根绳索
现在可以只用糖来制备饮料
糖和咖啡现在可以排出物品（由于内部重新考虑，将在下一个补丁中恢复）
引擎盖/引擎盖现在可以用金属板 + 螺丝或火炬修复
未煮过的意大利面或米饭在锅/锅水中现在最终会腐烂
车辆和拖车上平衡的行李箱和手套箱容量
增加了僵尸的手表生成率。
 
 
[SECTION]动画
 
添加了 Zombie_WindowLungeHitReact.X。
调整 bob_sitground 动画以完成正确的姿势
调整坐姿动画以更好地融合
 
 
[SECTION][修改/开发]
 
添加了对模组中自定义贴花、服装和服装的支持。
[NODOT]<INDENT:40> 每个模组可能有它自己的这些文件的副本：
[NODOT]<INDENT:60> 媒体/fileGuidTable.xml
[NODOT]<INDENT:60> media/clothing/clothing.xml
[NODOT]<INDENT:60> media/clothing/clothingDecals.xml
[NODOT]<INDENT:40> 上述模组文件不再覆盖游戏中的同名文件。
[NODOT]<INDENT:40> 与游戏定义同名的 Mod 贴花组和服装将覆盖游戏的。
[NODOT]<BR>
在 mods 中添加了对自定义胡须样式和发型的支持。
[NODOT]<BR>
添加了一个名为 AcceptItemFunction 的新脚本项属性，该属性指定 Lua 函数的名称，以测试容器中是否允许某个项。
[NODOT]<INDENT:40> 这是对现有 OnlyAcceptCategory 属性的补充，该属性测试 InventoryItem:getCategory()。
[NODOT]<INDENT:60> 例如，要仅允许急救箱中的医疗物品，请在clothing_bags.txt 中添加一行：
[NODOT]<INDENT:60> item FirstAidKit
[NODOT]<缩进:60> {
[NODOT]<缩进:60> ...
[NODOT]<INDENT:60> AcceptItemFunction = AcceptItemFunction.FirstAidKit，
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> 并在 Lua 文件中添加此函数：
[NODOT]<INDENT:60> 函数 AcceptItemFunction.FirstAidKit(container, item)
[NODOT]<INDENT:60> 返回项目：getStringItemType() == "医疗"
[NODOT]<INDENT:60> 结束
[NODOT]<BR>
更改了 Color.HSBtoRGB() 以返回颜色而不是整数 [3]。如果您想要整数值，请使用 Color.getRedByte()、Color.getGreenByte() 和 Color.getBlueByte()。
挑战可以定义一个名为 getSpawnRegion() 的函数来允许多个生成点和生成区域。以前只支持一个固定的生成点。
[NODOT]<INDENT:40>查看注释掉的 Kingsmouth.getSpawnRegion() 函数作为示例。
现在在现有游戏中创建新玩家时会调用挑战的 AddPlayer() 函数。
[NODOT]<INDENT:40>例如，CDDA 挑战赛使用它来开始赤身裸体和受伤的新玩家。
"OnEat"项目脚本 Lua 函数现在使用名为"百分比"的第三个参数调用，以指示消耗项目剩余量的百分比。此外，在食用食物之前调用该函数。
[NODOT]<INDENT:40>有关如何使用它的示例，请参见 OnEat_Cigarettes()。
修复了无法加载纹理时无法恢复的 TextureCombiner 错误。
[NODOT]<INDENT:40> 缺失的纹理显示为红色和白色的棋盘格纹理。
在异常消息中显示加载失败的资产的文件名。
修复了 OutfitRNG 的多线程问题。ImageData 构造函数抛出异常而不是现在捕获它们。
[NODOT]<BR>
修复了无法正确重新加载以前无法加载的修改纹理。
[NODOT]<INDENT:40>这不处理以前丢失的纹理文件，只处理那些加载失败的文件。
在 DebugFileWatcher 处理对已修改文件的更改之前添加了两秒延迟。
[NODOT]<INDENT:40>这是为了解决两件事：
[NODOT]<INDENT:40>1) 该文件可能仍在由另一个正在保存它的应用程序写入。
[NODOT]<INDENT:40>2) 有时同一个文件有多个事件，例如"创建"事件后跟一个或多个"修改"事件。
[NODOT]<BR>
ISSliderPanel 现在检查 shift 单击而不是任何键"运行"绑定。
将水坑渲染更改为使用顶点缓冲区对象，从而减少渲染它们所需的调用次数。
 
 
[SECTION][剪切修复]
固定拉伸窗口切口
固定通风口不会像其他物体一样切掉/变成透明
修复了监狱中的短墙没有以很好的方式切割
固定双门切口 - 以前在建筑物上偏移
固定楼梯没有正确切割
 
 
[SECTION]修复
修复了无法在角色创建 ui 中为没有模型的服装项目选择纹理的问题。例如，牛仔衬衫和皮手套。
修复了"覆盖：真"在模组配方中不起作用，导致配方重复的问题。
修复了快进（F5 或 F6 或睡眠）后天空盒纹理不更新的问题。
修复了 SkyBox.update() 每次分配 Color 和 Vector3f 的问题。
修复了缩放时 Skybox.Show 调试纹理大小发生变化的问题。
修复了在摧毁棍子陷阱时返回少于一个单位的麻线的问题。
修复了服务器端 STrapGlobalObject 调用客户端 CTrapSystem:sendCommand()。
固定重量小于 0.005 的物品显示为 0.0 重量。现在重量小于 0.01 的项目显示为 0.01。例如，螺丝。
修复了双金属门在被破坏时会给出木板和钉子的问题。
修复了在 64 位 Windows 上从用户的 Temp 目录加载 SQL 库的问题。
修复了从没有弹匣的步枪上卸下子弹的缺失动画。
修复了当"将钥匙留在点火器"选项打开时单击仪表板中的钥匙图标时无法从点火器中取出钥匙的问题。
修复了控制器无法打开健身 UI（控制器 Y 按钮从健康 UI 中打开它）
固定 sunstar motel 拱形剖面图。
修复了警察路障车辆故事没有正确检查足够宽的区域，从而阻止它们生成。
修复了在打开健身面板后关闭健康面板的问题。
修复了 Linux 上的多显示器问题。有时会检测到非主显示器的分辨率。
修复了使用水槽/等清洁绷带的错误。
修复了从水槽/等处清洁绷带时不会走到含水物体处的问题。
固定的学生 zeds 可以生成 2 个袋子。
固定枪口闪光灯在白天不发光，即使在黑暗的房间里也是如此。
修复了铲子在填满坟墓时不会出现在玩家手中的问题，如果铲子还没有装备的话。
修复了用汽油燃烧尸体时的动画。
修复了当物品的 IconsForTexture 列表小于该物品的服装纹理数量时 InventoryItem.synchWithVisual() 中的异常。
修复了与 Shorts_ShortDenim 相关的 Clothing_pants.txt 格式错误。
修复了当玩家左手拿着物品时"移除碎玻璃"上下文菜单选项未显示为禁用的问题。
修复了使用控制器时显示健身 ui 时显示的健康面板。
修复了在"这就是你的死法"加载阶段按下按键的错误。
修复了加载不带clothing.xml 的模组时出现的FileNotFoundException。
修复了在附近有发电机时打开或关闭装备无线电的异常。
修复了生成地点的惊喜僵尸，尽管这经常很搞笑。在现有游戏中创建新玩家时，僵尸现在会从玩家生成的建筑物的内部和周围移除。
这不包括复活的玩家僵尸。此外，房屋警报被禁用。
修复了在现有挑战中创建新玩家时没有在正确位置生成的玩家
修复了从吸食部分香烟中获得最大利益（或伤害）的问题。
修复了无法中断关闭窗口或粉碎窗口的问题。
修复了玩家在沿着非常短的路径时转向的问题。现在玩家无需转身就可以移动到新位置。例如，在砸车窗时，玩家会转身，走到需要的位置，然后再次转身面对车辆，再砸车窗。
固定载具在装载或生成时掉落到地面的问题。
修复了 PhysicsDebugRenderer 不是线程安全的问题。
修复了 zed 在某些情况下需要很长时间才能踩死的问题
修复了能够在农田上建造地板的问题
修复了拆除双门时的退货物品
固定门框在漆成浅蓝色时不可见
修复了穿着裙子/裙子生成的男性游客服装。
修复了在某些情况下需要踩踏僵尸的极端长度。
修复了各种地图错误
修复了径向菜单中显示的被烧毁车辆的未翻译名称。
修复了一些包在交互时不播放"zip"音效的问题
修复了彩绘框未正确显示颜色的问题
修复了用帽子替换整个连帽衫，而不是取下罩并戴上帽子的问题
修复了无法"扑灭"烧烤的问题
修复了径向菜单中水平非居中的多行文本。
修复了水坑的分屏渲染问题。
修复了导致沿区块边界出现可见线条的水渲染问题。（加载相邻区块时水流和速度未更新。）
修复了未使用车辆中定义的固定容量的错误。
修复了 MacOS 上的默认 Sprint 键是 LMETA 而不是 LMENU。
修复了树篱不会减慢玩家和僵尸的速度。（处于幽灵模式或 noclip 的玩家不会被树篱或树木减速。）
修复了从头罩向上切换到头罩向下时的衣物状况和湿度重置等问题。
修复了控制器 A 按钮进入货车而不是打开后门进入后备箱。
修复了走短路径时使用的错误扫射角度。
修复了未保存车辆的最大容量。
 
 
[VERSION] 41.47
 
[SECTION]新增
 
添加了迷彩棒球帽。
添加了都市迷彩短裤。
调整附加的武器定义，使其可以处理自定义装备的武器（确保警察产生更多的枪支/警棍，带武器的土匪...）
HairOutfitDefinitions 也可以处理胡须。
添加了一些新的 Zed 故事并改进了一些现有的故事
更新了翻译。
 
 
[SECTION][地图]
为 41.46 中添加到当前主地图的新建筑物添加了车道和停车场（更新日志中没有提到这些）
修复了河滨封闭社区和其他一些区域的不正确车道
 
[SECTION]平衡
修理树干/引擎盖至 1 级时的金属加工要求
不能再用糖制作饮料
糖/咖啡不再是可排出物品（从之前的补丁恢复）
现在即使在 0 木工技能下也可以放置古董烤箱。
 
 
[SECTION][修改/开发]
当已经定义了相同的模型时，不要清除"模型"脚本定义中的附件列表。
[NODOT]<INDENT:40> 诸如 GEAR 之类的 Mod 依赖于它来为 FemaleBody 和 MaleBody 添加附件。这些现在应该再次起作用。
从我们知道存在的文件加载纹理时，避免在主线程上调用 File.exists()。
[NODOT]<INDENT:40> 仍然有很多 File.exists() 调用不存在的纹理文件，例如 WItem 纹理。
添加了 ISPathFindAction.pathToNearest()，它将找到到多个可能目标位置之一的最短路径。
添加标签=写到可以写在日记本和笔记本中的项目
添加了调试代码以检查具有多个冲突包的服装。
添加了 BodyLocation.setMultiItem() 和 isMultiItem() 方法来指定是否允许多个项目在同一个位置。
[NODOT]<INDENT:40> 这不是对 Blood、Wound 和 ZedDmg 位置的这种行为进行硬编码。
修复了在给僵尸穿衣服时不检查 BodyLocation.isExclusive()，这可能导致穿的衣服发生冲突。
 
 
[SECTION]修复
修复了玩家 3 和 4 的水坑和水的分屏渲染问题。
修复了未堆叠原木返回的绳索比堆叠中使用的更多的问题
修复了滞后于相机移动和缩放级别的新雾。
修复了在启用或禁用模块后，当模块覆盖游戏文件时使用的错误服装项目 XML 文件。
修复了胡须的 HumanVisual 异常。
修复了广场北边的车库门挡住了车辆。
修复了在调试器中重新加载 Lua 文件后的无限循环。
修复了重新加载 Lua 文件（AttachedWeaponDefinitions 和 HairOutfitDefinitions）后一些数据没有被清除的问题。
修复了一些与血溅相关的不必要的分配。
修复了分屏雾渲染。
修复了玩家在显示机制 ui 时不会靠近被烧毁的车辆和拖车的问题。
修复了捕鱼丰度有时显示为 nan% 的问题。
修复了当玩家在钓鱼 ui 打开的情况下在地图上移动时显示的钓鱼丰度没有更新的问题。
如果玩家远离被点击的原始方块，则修复了上述错误。
修复了在容器之间转移 1000 支香烟之前的 15 秒暂停。（但帧率仍然受到影响）
修复了车辆遮罩，使损坏不会显示为绿色（请报告您看到的任何仍然显示的内容！）
修复了具有随机油漆颜色的收音机车，显示划痕在哪里。
修复了读取 map_sand.bin 导致游戏无法加载的错误。
修复了使用控制器时"移至"子菜单中腰包和其他磨损容器的缺失选项。
修复了无法用蓝色和红色笔在日记和笔记本上书写的问题。
修复了加载旧存档时某些车辆缺少手套箱的问题。
修复了 GloveBox2.VehicleType 为 1 而不是 2。
修复了 AttachedWeaponDefinitions 中可能出现的 NullPointerException。
修复了"强盗"装备可能会生成两个袋子的问题。
修复了教程中的攀爬栅栏被阻挡的问题
修复了教程中启用的健身
修复了损坏的门不检查瓷砖属性并产生不正确的碎片
修复了僵尸装备系统能够在同一身体位置生成两个物品的问题
修复了删除补丁工具提示中缺少的换行符。
 
 
[VERSION] 41.48
[SECTION][实验性/新]
添加了一个新的键绑定：手动地板攻击：
[NODOT]<INDENT:40> - 默认为 LEFT ALT。
[NODOT]<INDENT:40> - 当你攻击时（按住 RMB 瞄准，按 LMB 攻击）如果你也按住 LEFT ALT 那么你将强制进行地面攻击 - 即使附近有站立/行走/攻击的僵尸.
[NODOT]<INDENT:40> 这还带有一个名为 Manual Floor Attack 的选项 - 它完全禁用对易发攻击的自动检测，这意味着使用 LEFT ALT 至关重要：
 
[NODOT]<INDENT:40> 如果设置为 false，您的玩家将 /!\ 绝不 /!\ 对僵尸进行俯卧/地面攻击，您必须手动按下 LEFT ALT 并用您的地面上的近战武器，或者站在他上方时踩踏的空间。
 
 
[SECTION]新增
添加雨/雪能见度选项：始终、仅限户外、从不。
添加了一个新的 SECRET zed 故事
添加了 ZoneStoryChance 沙盒选项。
添加了一个新的动画来喝葡萄酒/威士忌。
添加了新的饮料漂白动画。
在 zeds 上抛光和改进的长矛冲锋
如果保存文件中有多个玩家，则添加了一种选择玩家 1 的方法。这可以通过单击"更多..."按钮在加载游戏屏幕中完成。也可以通过这种方式在现有的存档文件中创建新的播放器。
将 NewMusic_KeepMoving 添加到sounds_music.txt。
 
 
[SECTION]平衡
 
"Wash Yourself"工具提示显示使用的肥皂和水量。
修复了当肥皂不足时"洗自己"发生得更快的问题。
草莓收获后肥料归零
不能再从部分吸烟和取消中获得好处
长矛现在在 0 级的击杀次数减少（大约 2-5 对 15-20 之前）后会断裂。
现在可以使用木桩制作帐篷套件。
洗衣机和烘干机现在可以运行一段时间，即使衣服已经干燥或干净，就像现实世界的电器一样。
无需在维修前卸载行李箱盖/引擎盖
现在只有长矛可以通过有线围栏/链环等进行攻击。
刺穿时长矛有更多的机会折断。
 
 
[SECTION]动画和模型更改
 
调整酒瓶在饮用动画期间不会夹在玩家头部。
调整 WhiskeyBottle.X 以与新的饮料动画一起使用，因此它不会夹住脸。
重新调整燃烧瓶以适应新的瓶子尺寸。
将 WhiskeyBottle.png 和 Molotov.png 重新导出为 64x64。
将眼镜服装重新调整为适当的反光眼镜，图标当前占位符。
调整滑雪护目镜服装项目再次为反光或深色版本。
使长矛攻击使用上身面具，以减少攻击期间的暂停。
用新的动画 Bob_AttackFloorSpear.X 替换了用矛攻击地板。
 
 
[SECTION][修改/开发]
添加了从 media/AnimSets 目录加载 mod 文件。
在 mod.info 中添加了可选的 versionMin= 和 versionMax= 行，以便模组可以指定模组兼容的游戏版本。
[NODOT]<INDENT:40> Build 40 暂时不会使用这个补丁。
[NODOT]<INDENT:40> 如果 mod 仅适用于版本 41 或更高版本，请将此行添加到 mod.info：
[NODOT]<INDENT:60> versionMin=41.0
[NODOT]<INDENT:40>如果该模组仅适用于特定版本的 build 41，您将使用：
[NODOT]<INDENT:60>versionMax=41.999
[NODOT]<INDENT:60>显然用内部版本号替换了".999"。
 
 
添加 DefaultClothing.lua 以指定具有默认裤子或上衣的服装的默认服装项目。
[NODOT]<INDENT:60>以前，这些是用 Java 硬编码的。
 
仅当内容已更改时才保存 RADIO_SAVE.txt。
[NODOT]<INDENT:40> 每 10 个游戏世界分钟保存一次。
[NODOT]<INDENT:40> 这是在主线程上完成的；我们应该避免从这里进行磁盘 I/O。
 
为配方添加了 OnCanPeform:XXX 属性，指定 Lua 函数的名称，该函数将被调用以对是否能够执行配方进行额外检查。
[NODOT]<INDENT:40> 这是比 NearItem 属性（用于铁匠配方）更通用的解决方案。
[NODOT]<INDENT:40> 该函数有两个参数，应该返回真或假。
[NODOT]<INDENT:60> 函数 CanPerformMyRecipe(recipe, playerObj)
[NODOT]<INDENT:80> 返回 playerObj:isOutside() 和 RainManager:isRaining()
[NODOT]<INDENT:60> 结束
 
为配方添加了 Tooltip:XXX 属性，以在配方工具提示和制作 ui 中显示其他文本。
[NODOT]<INDENT:40> 当有 OnCanPeform 函数时，这可用于让用户了解附加要求。
[NODOT]<INDENT:40> 该值应该是翻译名称。翻译文本可能有多行，由"<br>"分隔。
[NODOT]<INDENT:60> 食谱 MyRecipe
[NODOT]<缩进:60> {
[NODOT]<缩进:80> ...
[NODOT]<INDENT:80> OnCanPerform:CanPerformMyRecipe,
[NODOT]<INDENT:80> 工具提示：Tooltip_Recipe_MyRecipe，
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> Tooltip_Recipe_MyRecipe = "一定在外面。<br>一定在下雨。",
 
[NODOT]<BR>
在 HairOutfitDefinitions.lua 中为服装添加了可能的强制头发/胡须颜色（强盗/朋克将有机会拥有更多"疯狂的头发颜色"）。
[NODOT]<BR>
为每个可能的身体位置添加了血衣类型，因此您可以轻松修改新衣服以保护 X 或 Y 部位：
[NODOT]<INDENT:40>例如，我想做保护双脚和小腿的金属袜子，我只需在项目脚本中添加一个 BloodLocation = Feet;LowerLegs。
每个身体部位位置的完整列表：包（背部）、手、头、颈、上身、下身、下腿、上腿、下臂、上臂、腹股沟。
[NODOT]<INDENT:40> 如果需要，每个位置都将覆盖左右部分。
[NODOT]<INDENT:40> 感谢模组 Flash 的创意！
 
 
抓住"比较方法违反其总合同！" IsoObjectPicker 中的异常以避免破坏游戏。
[NODOT]<INDENT:40>当 compare(a,b) 与 compare(b,a) 不一致时会发生此异常。
[NODOT]<INDENT:40>这并不能解决问题，它只会停止无休止地抛出异常。
 
 
通过在排序之前计算每个 ClickObject 的分数，而不是在比较每对正在排序的项目时，使 IsoObjectPicker.ContextPick() 更有效。
 
 
[SECTION]修复
固定警察尸体有时有两个皮套。
修复了主菜单中的"按 A 激活控制器"提示。它仅在连接 XBOX 360 控制器、位置奇怪且未翻译时显示。
修复了翻越高栅栏时创建的重复项目。
修复了 RMC 撕掉一个破旧的物品而不是撕掉另一个物品的问题。
固定不可撕裂的踝袜
固定彩色家具/油漆标志在黑暗中发光
修复了建筑物外的冰棒冰柜不消耗发电机电力的问题。
修复了 MaskEyes 和 MaskFull LeftEye/RightEye 的排他性。
修复了如果窗户被摧毁，僵尸不会撞到对面的路障的问题。
修复了通过简单地装备另一个包来携带无限数量的漏洞。
修复了仅产生广告预告片的预告片崩溃故事。
修复了矛装在应该连接的时候没有连接。
固定长矛冲锋不经常杀死僵尸（大部分时间播放错误的动画）。
修复了如果您已经在冲刺，则在进行攻击后能够立即冲刺的问题
修复了僵尸对二级/内部路障等失去兴趣的各个方面（WIP！）
修复了客户端上加载 map_meta.bin 的异常。这将破坏服务器 map_meta.bin 文件。
修复了由于尚未加载翻译而在服务器上创建的无效 spawn-regions Lua 文件。
修复了填充玩家左手装备的空沙袋的异常。
修复了装备时不显示模型的泥土、砾石和沙袋。
修复了单击鼠标左键隐藏分屏播放器的径向菜单的问题。
修复了在"森林之屋"挑战中启用饥饿、口渴和睡眠的问题。
修复了森林之屋挑战中僵尸尸体上出现的数字手表警报。
修复了每次击中僵尸时都会创建临时库存物品的问题。
修复了按下控制器上的肩部按钮 - 当显示库存窗口时 - 会干扰用鼠标拖动的项目。
固定未渲染的地板不显示下面的水平
修复了达到技能水平（体能和力量）时缺少声音通知的问题
修复了可以撕掉最喜欢的衣服
修复了"点燃的蜡烛"在熄灭后不会改变其名称或状态的问题
修复了金属加工菜单未显示丙烷火炬正确使用的问题
修复了无法防御（或看到）被门遮住的壁橱僵尸
修复了不可用的双上下文菜单选项，用于在窗框上放置/取绳索
修复了无法穿带帽兜帽 + 耳环的连帽衫
固定连接的车辆和拖车在停放时四处移动。这是通过停用附加车辆上的物理来解决的。
修复了对栅栏附近的车辆施加较大力的问题。这是由于易碎栅栏上的 HitByCar 瓷砖属性。
固定连接到玩家车辆的拖车不是每 10 秒保存一次，也不是在进入或离开车辆时保存。如果游戏崩溃，拖车可能会远离车辆。
修复了能够通过栅栏窗户击中僵尸的问题。
修复了一些长矛在击打它们时会发出蝙蝠声音的问题。
修复了刺穿僵尸时延迟的死亡声音。
修复了在汽车中能够割草/草料等问题。
修复了休息+健身时的无限循环。
修复了启用和禁用带有纹理包的模组而不更新游戏使用的纹理。
修复了服务器目录中的 mod lua 文件在调试模式下编辑后不加载的问题。
 
 
[VERSION] 41.49
[SECTION]新增
增加了锯断双管霰弹枪。
如果从移动的汽车上射击（取决于汽车的速度），则大大降低命中率。
增加了服装西装外套色调、衬衫正式短袖色调、腰部海岸色调。
在 Lua 项目分布表中添加了一个名为 ignoreZombieDensity 的新可选字段。
当 ignoreZombieDensity=true 时，物品生成的几率不受地图该部分僵尸密度的影响。
将 PiercingBullets=TRUE 添加到 M16 以阻止每次射击可能击中 2 个未排列的僵尸。
[NODOT]<BR>
长矛战斗更新：让我们知道你的想法
[NODOT]<INDENT:40> Swing 攻击不会让你陷入困境。
[NODOT]<INDENT:40> 刺击会使玩家生根。
[NODOT]<INDENT:40> 刺击需要在一定范围内，但现在它还会检查附近是否有其他僵尸，以免以不公平的方式扎根玩家。
[NODOT]<INDENT:40> 刺击现在造成更多伤害并且有更多机会成为暴击。
修复了矛和新的 alt-press 功能的问题。
 
更新的翻译
 
 
[SECTION]平衡
 
刀可以再次允许通过有线栅栏进行攻击，例如长矛。
将以前无用的"灯"物品替换为工作物品（来自可移动物品）
添加了更多的地点战利品分配（gigamart，家居用品商店..）
在房屋中添加了裁缝书生成。
将面团添加到比萨厨房。
被削弱的蠕虫饥饿值。
削弱了一些爱丽丝背包的库存空间。
McCoys 现在外面会有僵尸。
更改了 RandomizedBuildingBase.addRandomRangedWeapon() 以选择随机武器升级，而不是总是以相同的顺序选择其中的数量。
增加了一点矛的耐用性。
降低了gardenfork打破的机会。
移除了玩家坠落动画后的延迟（从高处坠落时）。
 
 
[SECTION]修复
修复了一些地图区域的早期导出
修复了从高处坠落的僵尸不会掉在地上的问题，并移除了"超级英雄着陆！"
修复了从坠落中坠落的僵尸在落地时被杀死并卡住的问题。
修复了披萨旋转展示柜没有产生正确的战利品的问题。
修复了商店中的多个展示柜没有产生正确战利品的问题。
固定酒吧厨房没有产生正确的战利品。
修复了一些无用的"无线电"生成。
修复了餐厅厨房没有产生正确的战利品。
修复了厨房的架空柜台没有产生正确的战利品。
修复了球头锤不生成。
修复了 D = 展示柜不被视为一张桌子（收银机从他们那里掉下来）
修复了一些收银机不被视为收银机的问题。
修复了许多无法被汽车摧毁的栅栏。
修复了一些座位（蒲团等），让您可以通过它们。
修复了许多无法拆卸的沙发。
修复了一些自动售货机不可拆卸的问题。
修复了遗失的尸体图标。
修复了当主库存中有一个医疗物品时从袋子中取出的问题。
修复了拆除无线电配方中过时的无线电项目。
修复了在载具中时，无弹匣步枪和锯掉的霰弹枪缺少重新加载动画的问题。
修复了在选择随机武器升级时使用 item.getName() 而不是 item.getType() 的问题。
修复了破损的陷阱有时不会掉落物品的问题。
修复了在建造金属制品时不显示喷灯模型的问题。
修复了在建造金属制品时播放锤击或抢劫动画的问题。
修复了一些健身运动无限循环（睡觉时等）
修复了缺少僵尸服装的正式衬衫。
固定挎包被认为是用于在背面安装武器的袋子。
修复了一些关于改装者新血衣的错误。
固定长袜不覆盖小腿。
修复了除长矛/刀以外的武器无法通过小栅栏攻击的问题。
如果同时睡觉，则修复了健身无限循环。
修复了 Zed 故事中的空指针
修复了 RandomizedBuildingBase.addRandomRangedWeapon() 选择随机武器部件的错误。
 
 
[VERSION] 41.50
[SECTION]新增
 
 
添加了一些上下文双击库存中的项目：
[NODOT]<INDENT:40> 如果不在库存中，它只会转移它（像以前一样）
[NODOT]<INDENT:40> 双击武器装备/取消装备
[NODOT]<INDENT:40> 双击衣服/包包穿/脱
[NODOT]<INDENT:40> 双击食物即可食用
 
多余的僵尸现在以纯黑色轮廓绘制。该剪影使用五帧的两种不同动画进行动画处理：空闲和行走。
更新了翻译。
 
 
[SECTION]SPIFFO的秘密特制酱汁II
内容已编辑（暂时）
 
 
[SECTION]平衡
 
在分发中添加了一些缺失的项目（缝合针架、皮带、水盘、纱线...）
减少大量觅食引起的疲劳。
修复了一些无法合并的项目（现在可以合并使用过的电线、麻线等）
调整了几顶帽子的重量。
解决了啤酒瓶问题。
为啤酒瓶添加了粉碎瓶。
为子弹背心增加了咬伤/划伤保护。
商店中的物品不会改变其耐用性（用于武器）或使用过的 delta（用于可排出物，例如药丸、麻线等），它们将始终为 100%。
促进住宅中的裁缝书产生
增强的农业书籍生成，现在也出现在商店和农舍中
 
 
[SECTION]动画
 
重新导出 Bob_WalkHeavyLimpL_2H_Heavy.X 以便正确握持武器
 
 
[SECTION]修复
修复了无法在陷阱中添加蠕虫作为诱饵的问题。
修复了一些没有长矛的栅栏附近的战斗。
修复了您容易受到 zed 伤害的薄/厚皮肤问题
修复了选择多件并穿着它们时穿着堆叠的衣服（即选择多件T恤和右键单击/穿着只会穿第一个，如果你选择了衬衫 + 裤子，它仍然会同时装备它们）
修复了攻击隐形玩家的假死僵尸和爬行僵尸
修复了在检查玩家是否被拖下时错误地计算玩家周围的僵尸数量的问题。
固定耳环不显示在地面上
修复了有时使用错误纹理显示尸体和人体模型的多线程错误。
修复了线程和线缺少的合并上下文菜单选项。
如果未定义预告片脚本，则修复了 RVSTrailerCrash 中可能出现的 NullPointerException。
修复了通过双击装备损坏的武器。
修复了具有相同职业的新分屏玩家共享相同 XP 乘数的问题。
 
 
 
[VERSION] 41.51
[SECTION]
[NODOT] <CENTRE><SIZE:large> Project Zomboid IWBUMS beta 更新 41.51 包含对我们保存游戏系统的重大优化。因此，在 41.50 中进行的任何已保存游戏都将无法运行。
 
 
[SECTION][新/生活质量]
现在在 Java 15 上运行
现在在最新的 LWJGL (3.2.3) 上运行
[NODOT]<BR>
以前，要播种/浇水/收获，您需要右键单击每棵植物并选择一个动作。现在，一旦您选择了种子、水或收获，您将有一个光标轻松地浇灌多种植物。
Shift+双击现在可以在物品栏中的服装上使用来穿上该物品
现在，当技能面板打开时，最新获得的技能等级会突出显示
向库存面板添加了过滤器图标以添加其他过滤器/排序选项，当前具有"权重"
水源现在显示在"饮用/洗涤"选项的括号中（部分用于诊断水坑和雨水问题）
指针式手表不再有闹钟
数字手表显示屏现在具有可在 UI 上按下的警报按钮
"仅唾液"传播选项 - 玩家对划痕感染免疫
添加了工具提示以显示将填充哪个枪库
现在显示治愈植物和农作物所需的物品。
僵尸在碎玻璃上打脸现在头/脖子上有很多血，上半身也有一些血。
设置闹钟时，闹钟现在会显示与数字手表相同的铃声。
当尝试通过机械菜单修复车辆上的门时，会出现一个工具提示，告诉玩家他们需要先卸载门才能修复它。然后，他们还可以从库存中修复门。
从任何乘客门按下 ​​Shift+E 时，如果没有人在，您将直接移动到驾驶员一侧。
添加了更多粉碎的汽车模型。
僵尸现在可以通过可破坏的物体进行寻路。他们更喜欢四处走动，但如果没有其他路径，他们会撞墙和板条箱等。
添加了巴西葡萄牙语广播翻译
添加了发胶。如果你戴帽子，莫霍克现在会变平。现在需要发胶来修复它。
添加了在服装上添加填充/补丁孔的新选项。如果有一些孔，这将修补任何孔，然后将填充添加到其他部分。
添加了删除所有填充/补丁选项。
在撕开衣服/床单时增加了少量 XP 增益。当您从物品中收到一些回帖时获得少量经验值，这样它就不会被滥用。
添加了沙箱选项，用于腐烂被击倒/从僵尸身上掉落的物品
为坠毁的汽车增加了一些种类
使用鼠标和键盘时，使用光标选择要粉刷或抹灰的墙壁或物体。使用控制器时已使用此光标。
向项目列表查看器添加了一个组合框，以选择将项目提供给哪个分屏播放器。
帽子/手套添加到移除/衰减列表中。默认值现在也设置为 24 小时。
更新了韩语字体和翻译，并更新了社区翻译。
添加了"请查看 PZ Steam Beta 版本 41.50。" 用于 WorldVersion 175 保存。
需要 Windows 10 版本 1803（内部版本 17134）或更高版本才能启用较新的垃圾收集器，较早的版本将在没有它的情况下运行并且不会收到优化。
将 TrailerCover 添加到 VehicleDistributions。
允许通过焊接修复拖车车身。
添加了用于移除灌木、植物和墙藤的光标。
用两个单独的墙框对象替换西北角墙框（第一次加载它们时）。玩家无法升级西北角的对象。
汽车故事现在可以生成腐烂的僵尸尸体。
 
 
[SECTION][模型和动画]
增加了戴帽子时的长发造型
调整了一些衣服以适应新的长帽发型
调整了几顶女帽
调整女性长帽头发以停止像素闪烁
添加了一些新发型
添加了一些编织发型
调整了一些发型定义，因为它们指向不存在的发型，随后在戴上一些帽子时不可见。
用更重的着陆替换了"陆地温和"动画
调整以转动 180 个动画，第一次通过
调整 Zombie_Idle_FloorOnBack.X 姿势以匹配僵尸死亡动画
 
 
[SECTION]平衡
 
添加了卡在僵尸中的黄油刀。
减少了卡在僵尸中的猎刀数量。
降低了僵尸幸存者的部落生成率。
降低幸存者僵尸爱丽丝包的机会。
增加牛肉干的营养价值。
弹药/弹药箱的平衡重量更加一致/合乎逻辑（箱子重量比完整的子弹堆少一点）
死去的动物（老鼠/老鼠除外）在你生吃它们时会产生不快，只需将它们煮熟即可去除（添加工具提示以进行解释）。
白色展示柜台（主要在肉店）现在也可以用作冰箱
为厨房添加了更多裁缝书籍。
在棚子/车库中添加了步枪。
僵尸现在挤在栅栏上时会对栅栏造成更大的伤害
现在可以恢复和修复用于制造矛的武器
M36 左轮手枪现在只能弹五发
角色现在可以自动打开钉箱
啤酒罐现在在喝完后会返回一个空罐头
蟑螂和蚱蜢现在可以用来诱饵 StickTrap
金枪鱼罐头不再需要开罐器才能打开
玩家建造的墙壁的健康点增加。
降低了汽车倒车时的发动机力和总速度。
向部分消耗的手工食品添加更多物品将为原始食物增加新的食物价值，而不是部分消耗的食物
浆果沙拉现在可以减少口渴
减少漂白剂瓶中的水量。
手枪/左轮手枪的后坐力增加。
用汽车击中僵尸时创造爬行者的机会增加。
公园护林员/伐木工人职业现在为穿过树木提供奖励。
腿部骨折现在会根据其严重程度降低速度。
根据医生的医疗水平，夹板会增加骨折时的步行速度。
现在可以在三明治中添加盐和胡椒。
车辆故事中生成的僵尸现在很有可能拥有相关车辆的钥匙。
增加了受伤对冲刺速度的影响。
增加"洗车"时间。
如果引擎盖条件太低，现在将汽车撞到物体上会损坏发动机。
手中/装备的袋子现在会降低跑步速度和步行速度。袋子越满，减速越大。第二手装备的包也可以降低战斗速度。
加油站不再有无限燃料。
在世界类别"初始燃料站汽油"下添加沙盒选项，范围从"空"到"满"，介于"低/非常高"等之间
至少需要两个僵尸同时爬过栅栏才能损坏栅栏。金属栅栏的伤害是木栅栏的一半。
使消防员服装稍重，并相应地增加了他们的奔跑和战斗速度修改器。
降低腰包容量
空气罐重量从 0.3 增加到 1.5。
在服装工具提示中添加了子弹防御。
一些刀（主要是石刀）的伤害略有降低。
选择非常体重不足时，现在会排除运动特性。
调整弹药箱的重量。
使帐篷可以被击打，以便僵尸可以摧毁它们。
映射器放置的木制墙框成为可以升级的 IsoThumpable，就像用户放置的一样。
在潜行/轻足经验增益上做了一些平衡：你现在需要离僵尸相当近（15 格）才能获得经验，你也不需要被僵尸瞄准。
减少赤脚行走时对脚造成的伤害。
穿过树木时减少树木造成的伤害。
生成喂食 zed 的机会增加。
喂食 zeds 发现你的机会减少
将所有头巾重量设置为 0.1。
 
 
[SECTION][前噪音工程声音变化]
提前预加载样本数据，以便在启动时立即播放声音。
修复了由于遮挡参数未重新初始化为正确值而导致某些声音随机开始静音的问题。
不要将 Occlusion 设置为 1.0，因为这似乎会使某些声音完全静音。
游戏暂停时暂停音乐。
修复了破坏木工物体时不播放 BreakObject 声音的问题。
 
 
[SECTION][调试]
 
添加了上下文菜单选项"[DEBUG] UIs > Spawn Points"，用于将玩家传送到各个生成点以检查其位置。
在"[DEBUG] UIs > Spawn Points"编辑器中添加了上下文菜单。这可用于重新定位和删除现有点。
[NODOT]<INDENT:40> 要保存更改，请使用"全部复制到剪贴板"菜单选项并粘贴到相应的 spawnpoints.lua 文件中。
为粉碎的车辆添加了一个单独的菜单"[DEBUG] Vehicle > Set Script (Smashed)"。
允许在调试模式下从"更多..."加载游戏 ui 中删除 map_zone.bin。
 
 
[SECTION][战利品分配更改]
部分实施的新系统尚未触及的战利品表与以前相同。
[NODOT]<BR>
用于 Giga-Mart 和住宅厨房等地方的新的更加手工制作的战利品放置/容器系统现在应用于地图的其余部分。以前产生随机抓取的战利品的地点（如 Spiffo 的）应将其内容分类到相关列表中：如果您正在寻找刀片武器或一些新鲜切好的排骨，请尝试在任何卖肉的地方的厨房里四处寻找（即，不是面包店）用于切肉站。如果是您需要的烘焙用品，请寻找面粉袋的存放位置——它们可能就在擀面杖旁边。
[NODOT]<BR>
便利店、街角商店和加油站都对货架上的物品进行了分类，因此散装香烟不再与棒棒糖混在一起。参观药房的玩家已经对货架的布局有所了解：有些有零食，有些有饮料。您不太可能在加油站找到药品，但并非闻所未闻——Zippee 的汽车用品也是如此。如果您想要最大程度地使用特定类型的项目，最好坚持相关业务。加油站的泰诺酚无论如何都是骗人的。
[NODOT]<BR>
医疗场所现在将其内容分类为工具、药品和与医生相关的东西，如手套、口罩和磨砂膏。酒吧、美容院、肉店、咖啡馆和酒类商店都采用相同的方法。巨大的"一网打尽"战利品列表最终应该被与它们产生的位置相关的定制物品选择所取代。
 
 
[SECTION][可移动]
 
修复了可移动物品，例如来自汽车的收音机，在放置和再次拾取时具有正确的状态。
动产现在可以从库存中拆除，除了多瓷砖对象，即：床。
添加了没有脚本定义的 MovableRecipe，而是从可移动定义中动态创建的。
重构了一些东西，因此 MovableRecipe 具有与世界对象拆卸相同的机会、xp、resultitems、equiitems 等。
单块可移动项目现在定义为"Moveables.world_object_sprite_here"，而不是全部为"Moveables.Moveable"。这也意味着这些可移动项目现在可以很容易地直接实例化
 
 
[SECTION][控制器更新]
 
删除了用于控制器的旧 JInput 库。现在使用 GLFW 库，它是 LWJGL 3 的一部分。
GLFW 有一个包含数百个类似 Xbox 的控制器的数据库，包括 PlayStation 控制器，所以这些应该有很好的工作机会。已识别的控制器列在 media\gamecontrollerdb.txt 中。
用户可以在其 User\Zomboid\joypads 目录中创建自己的 gamecontrollerdb.txt 文件。这可以添加新控制器或覆盖游戏的 media\gamecontrollerdb.txt 中的控制器。
游戏应处理在游戏过程中断开和重新连接的控制器。如果玩家 1 的控制器断开连接，他们可以选择恢复为键盘和鼠标输入。
控制器 X 按钮现在可以在放置模式下旋转对象。
 
 
[SECTION]修复
修复了无法正常工作的垃圾箱上的"全部删除"。
修复了裁缝书/农业杂志不在书架上生成的问题。
办公室中的固定水容器重 3。
固定白色显示柜台不冷却食物。
修复了僵尸无法通过车辆周围的障碍物进行寻路的问题。
修复了一些小的寻路问题。
修复了当"环境攻击"沙盒选项被禁用时，僵尸在没有听到声音或看到玩家时会敲打窗户的问题。
修复了在木工 7 级建造的门框无法抹灰的问题
修复了切口中的拉伸精灵，包括屋顶墙砖、车库门和某些窗户
修复了可加热的水容器如果在点燃之前放入篝火/烧烤中不会加热
修复了半衰期比愈合前划伤或撕裂更短的深部伤口
修复了 GameWindow.StringUTF 在字符串末尾写入垃圾字符的问题。（修复保存）
修复了灯光失去自定义颜色的问题。（例如，蓝色的 Pharmahug 标志在第一次加载时只有蓝色。可移动的灯在移动时会失去其自定义颜色。）
修复了带有门模型的汽车上错位的门模型。
固定键盘键名与主键盘上的键相同。
固定剪刀不允许下巴刺伤。
使用 RBShopLooted 故事固定尸体穿过家具和墙壁。
修复了当当前工作目录与 Java 的 -Duser.dir 选项不同时找不到 FMOD .bank 文件的问题。
修复了一些飞行汽车
修复了爬行僵尸在靠近墙壁时卡住的问题。
修复了爬行僵尸不会像敲门那样敲击栅栏的问题。
修复了爬行僵尸试图穿过打开的窗户。
修复了爬行僵尸在附近有路时试图爬过栅栏的问题。
修复了僵尸有时会撞到他们可以爬过的墙框的问题。
修复了 WorldDictionary ID 在新游戏中没有被重置的问题。
修复了"营火错误"。在某些情况下，未在 IsoObject 上正确设置精灵，这也可能影响侵蚀对象。
修复了编辑项着色不起作用的问题。
修复了地图问题。
修复了当控制器断开连接时钓鱼 UI 外观不会改变的问题。
修复了无法在游戏中找到的汉堡中添加任何调味品的问题
修复了 char 喝啤酒后出现的 Empty Pop Can
修复了 Sawed-off JS-2000 霰弹枪只能用另一个 Sawed-off 修复的问题。
修复了连帽衫在戴上帽子 + 棒球帽时会脱掉的问题
修复了烹饪食物不一致地增加菜肴重量的问题
修复了玩家在满到爆裂时可以通过双击吃东西的问题
固定波旁威士忌有两种清空瓶子的选择
修复了 M9 手枪和 DE 手枪的图标混淆的问题
固定湿浴巾在干燥后失去收藏状态
修复了新弹药类型不可拆卸的问题
修复了当 char 非常疲倦时车内的"睡在地上"选项
修复了一些家具不能被僵尸敲击的问题。
修复了未隐藏的"帽子"相关头发类型。
修复了屋顶屋檐和家具等非更新对象上不正确的 alpha 渐变。
修复了通过食用柠檬草能够在漂白剂死亡中幸存的问题
修复了无法修复双门的问题
修复了鱼片/鸡肉在沙拉中使用时表现异常的问题
修复了从河流或湖泊中填充空瓶/桶时错误地将"水坑"显示为来源的问题
修复无法持有人民币并使用F打开手电筒的问题
修复了"易于使用"导致所有汽车后备箱被打开，而不仅仅是解锁的问题
如果选择了西班牙语，则修复了模拟手表没有警报的问题
修复了在商店中生成的挂锁经常被称为"房屋钥匙"+一串数字
修复了无法冷冻单独的鸡蛋
修复了 rmb -> 抓取和基本转移库存操作不一致的问题。
修复了一些瓷砖定义（地堡剖面图、铁路供应商机器、将货架更改为服装店某些容器上的衣架）。
固定洗衣篮充当烘干机。
当第一次看到未探索的房间时，修复了在非常大的建筑物（例如购物中心）外生成的僵尸。
修复了用勺子从汤/炖碗中饮用而不使用勺子的问题。
修复了能够包扎骨折的身体部位的问题。
修复了导致崩溃的植物上的治疗苍蝇/霉菌。
修复了在植物信息窗口打开时导致崩溃的收割植物。
修复了一些营养价值为零的食物（尤其是 Zed 故事中的很多食物）
修复了无法洗掉车窗上的血迹
修复了家具有时会在玩家仍然足够近可以看到里面时消失的问题。
修复了无法冷冻野鸡蛋的问题
通过删除"BigCarSeat"和"SportCarSeat"项目，并将"NormalCarSeat"项目重命名为"Seat"，修复了座位命名的怪异问题。
修复了导致每次选择"标准座位"的随机车辆生成器。
修复了当你不应该做健身运动的问题。
修复了导致跑车无法加速到最高时速 120 公里/小时的物理错误。这也导致车辆以更高的速度向下推。
固定式办公室饮水机仅重 5。
修复了需要拿起电气技能的蓝色医院窗帘。
修复了角色信息 ui 的"更改"菜单中显示的"帽子"发型变体。一些发型（例如 TopCurls）在他们的"修剪选择"中有一个"帽子"发型。
固定掉落装备容器，同时在地面上复制容器时被过度累加。
修复了能够通过栅栏抓取物品的问题。
修复了在攀爬时能够进行健身的问题。
修复了忽略主音量的房屋警报和直升机声音。
修复了在保存文件缩略图上显示的 UI。
修复了时钟不在分屏中居中并与按钮提示重叠的问题。
修复了分屏存档游戏在屏幕中间截屏的问题。现在将从播放器 1 屏幕创建缩略图。
修复了创建新游戏时由于尝试在 GameLoadingState 的线程中创建缩略图而导致的 OpenGL 异常。
修复了从角色职业屏幕返回并开始挑战时的"无法创建玩家"错误。
修复了在建造木工物体时能够旋转木工物体的问题。ISBuildMenu.cheat 不再控制构建操作是否立即完成。相反，调用了 IsoGameCharacter:isTimedActionInstant()，正如大多数其他动作已经完成的那样。这使得测试构建操作变得更容易，而无需拥有所有材料。
修复了在主菜单中使用控制器时库存工具提示在可见和隐藏之间闪烁的问题。
修复了通过单击标题栏中的关闭按钮而不是使用 B 按钮关闭地图时的控制器故障。
修复了禁用"僵尸房屋警报触发"选项时打开窗户时智能僵尸触发房屋警报的问题。
修复了在门/墙/窗的另一侧撞到（并可能被绊倒）僵尸的问题。
修复了在弹匣通过之前的动作插入枪支后能够将子弹装入或从弹匣中卸下的问题。
修复了在选项中分配键的损坏行为。
修复了在将 Alt 分配给 Sprint 和"手动地板攻击"时按 Alt + Space 的动画锁定。
修复了卸载部件有时会将条件重置为 100
如果条件为 10，则固定项目不保存条件。现在仅当条件等于 condMax（最大条件）时不保存条件。
修复了能够打开多个睡眠对话的问题。
修复了没有"全部删除"按钮的海马箱。
修复了 Muldraugh 分布中的新酒类商店。
修复了 bar 的一些错误定义。
修复了馅饼餐厅的陈列柜。
修复了薄皮在树上行走时更能抵抗受损的问题。
固定的射击眼镜图标。
修复了平底锅在装满水后会自行修复的问题
修复了物品在地面上晾干后渲染到错误位置（屏幕外）的问题。
修复了按下"F"键时点燃蜡烛可用时装备打火机的问题。
修复了无法在车辆中重新安装无线电的问题。
在饮用或灌装瓶子时，固定污染水源优于非污染水源。在饮用或灌装瓶子时，更喜欢未受污染的水源而不是受污染的水源。
修复了在关闭水后必须移动和放置水槽以再次可探测的问题。
修复了无法使用某些铲子和手叉拾取树篱、花坛等的问题。任何带有 DigPlow 标签的物品现在都可以用于拾取具有 PickUpTool=Shovel sprite 属性的对象。
修复了沿某些纹理边缘出现的随机水平和垂直线。
修复了在某些情况下未应用"在车辆下爬行"沙盒选项，因此所有僵尸都可以在车辆下爬行。
修复了 xxx_SandboxVars.lua 文件中 WorldItemRemovalList 的格式。
修复了被 HitReactionFromBehind 覆盖的玩家死亡下拉动画 EndDeath。他们都有一个不排除另一个动画的条件。
修复了玩家有时总是从坐着中站起来的问题。
修复了应用于同一车辆的多个不同 VehicleDistribution 特定类别的战利品。现在为整个车辆选择一个随机的特定类别，而不是为每个容器选择。
修复了 LuaManager.refreshAnimSets() 不检查分屏中的所有玩家。
修复了在没有杀虫剂喷雾的情况下点击被苍蝇侵扰的植物的错误。
修复了 Fitness.save() 两次保存 exeTimer.size() 的问题。
修复了检查服装 ui 未调整大小以适应子弹列的问题。
修复了在攀爬绳索时能够进行锻炼的问题。
修复了一些切面问题。
修复了进化食谱（烹饪炒菜...）不会重置其基本营养值，从而大大提高了这些食谱的营养。
修复了隐形玩家触发房屋警报的问题。
修复了僵尸可见性的一些问题。
修复了项目工具提示中重复的 Scratch Defense 统计数据，其中没有任何内容或 Bullet Defense。
通过重建 UI2.pack 修复丢失的 BodyParts\overlays 纹理
修复了检查服装 ui 中的布局问题。
修复了单击方块上没有区域时的调试上下文菜单异常。
修复了名称中带有大写"I"的模型未在土耳其语区域加载的问题。
修复了模拟手表有时设置了闹钟，无法关闭的问题。
修复了使用油漆/石膏光标时油漆或石膏用完时的 Lua 错误。
修复了一些在家具内部或建筑物外部的重生点。
修复了木工工具提示中损坏的 Perk 翻译。
修复了未知的 RemoveUnhappinessWhenCooked 项目参数。现在"烹饪以去除幸福苹果"。出现在鱼的工具提示中，可能需要编辑它。
修复了使用模组的存档缩略图在返回主菜单后未更新的问题。
修复了一些头发类型列表。
修复了 Muldraugh 的一些停车位。
固定的木柱像一堵墙。
修复了警卫塔上用户创建的走道的 DataChunk 异常。
修复了 Lua 错误构建栅栏。
修复了 Riverside 的车库有一个由里向外的门和一块旧的土地砖（里面有一个杂散的像素）。
修复了损坏的木工工具提示特权翻译。
修复了 Shift-E 允许玩家在警车中从后座切换到驾驶座的问题。
修复了 RBShopLooted 可能发生在建筑物列表中的"洗衣店"。
修复了 WorldItemModelDrawer 忽略 ModelMesh.m_transform。这修复了即将推出的 3D 项目模型的旋转，因此它们与 assimp_viewer 中看到的相匹配。
固定字体加载。
修复了 InventoryItem.attachedSlotType 被视为项目 module.type 而不是的问题。这修复了控制台中的"警告：无法获取注册表 id"垃圾邮件
修复了加载游戏"更多..."用户界面中的"打开文件位置"按钮，因为它不适用于 -Djava.awt.headless=true。
修复了耕作光标工具提示显示耕作技能 4 而不是 5+ 的确切水位的问题。
修复了帽子掉到地上时不旋转的问题。
修复了 Radios 的项目类型更改为 Radio.worldSprite 会破坏翻译的问题。
修复了 Disassemble 配方中显示的可移动物品的未翻译名称。
修复了当玩家无法实际执行该配方（例如由于缺少工具）时显示的可移动物品的拆解配方，这与其他未显示的配方不同。
修复了一些瓷砖属性问题。
修复了重复的 VehicleDistributions.Hunter。一个有 TrailerTrunk，一个没有它的被移除。
修复了在双门或车库门上添加路障的随机建筑规范，这是玩家无法做到的。
修复了在车辆中时出现在上下文菜单中的营火和帐篷选项。
修复了玩家上车时觅食 ui 仍然可见的问题。
修复了出现在"安装"人中的重复无线电项目
修复了"maps/West Point, KY"中两个未使用的文件。
使用 StepVan 模板而不是 StepVanMail（不存在）修复了粉碎的 StepVanMail。
修复了升级后的门框阻挡移动。
修复了没有"世界"附件的武器模型没有像以前在地面上那样定向。这就是为什么像 Club Hammer 这样的东西会站起来的原因。
修复了几个武器模型上缺少的"世界"附件。
修复了一些多重打击沙盒问题，其中某些武器不会多重打击。
修复了容器分发中缺少 TrailerCover 的问题。
修复了容器分发中缺少 Trailer-TrailerTrunk 的问题。
 
 
[SECTION]修改
允许模组制作者将新的车辆区域添加到全局 VehicleZoneDefinition 表中。
[NODOT]<INDENT:40> 以前，只允许游戏的区域名称和类型。
[NODOT]<INDENT:40> 这应该适用于任何不称为 TestVehicles 或包含 TrafficJam 的车辆区域。
添加了对从 mod 的 media/anims_X 目录（及其子目录）加载动画的支持。它应该处理激活和停用模块。
[NODOT]<BR>
全局模块数据
[NODOT]<INDENT:40> 使用给定的字符串键注册 moddata 表。
[NODOT]<INDENT:40> 当全局 Moddata 在世界加载期间初始化时，它会触发事件"OnInitGlobalModData"，参数为：boolean isNewGame。
[NODOT]<INDENT:40> LuaTable ModData.create(String key) 创建并返回给定键的表，如果表已经存在则返回 null。
[NODOT]<INDENT:40> String ModData.create() 使用随机 UUID 键创建表，注意：返回字符串键。
[NODOT]<INDENT:40> LuaTable ModData.getOrCreate(String key) 获取或创建具有给定键的表。
[NODOT]<INDENT:40> LuaTable ModData.get(String key) 返回具有给定键或 null 的表。
[NODOT]<INDENT:40> boolean ModData.exists(String key) 如果具有给定键的表存在，则返回 true。
[NODOT]<INDENT:40> LuaTable ModData.remove(String key) 删除具有给定键的表（如果存在）并返回它或 null。
[NODOT]<INDENT:40> void ModData.add(String key, LuaTable table) 使用给定键存储表（覆盖任何现有表）。
[NODOT]<INDENT:40> ArrayList getTableNames() 返回所有已注册表的列表。
 
联网
[NODOT]<INDENT:40> 全局 ModData 不会在服务器和客户端之间同步，因为这取决于用于此的 moddata 可能不需要甚至不需要。
[NODOT]<INDENT:40> 在需要时同步数据取决于编码员/作者。但是有两种联网方法：
[NODOT]<INDENT:40> void ModData.transmit(String key)
[NODOT]<INDENT:60> 这将尝试使用给定的键传输表，当在服务器上调用时发送到所有客户端，当在客户端调用时发送到服务器。（请参阅下面关于接收 moddata 的说明）
[NODOT]<INDENT:40> void ModData.request（字符串键）
[NODOT]<INDENT:60> 仅限客户端，这会向服务器发送请求，以将具有给定密钥的表发送回此客户端。
[NODOT]<INDENT:40> 当服务器或客户端接收到一个 moddata 数据包时，它不会自动添加到本地寄存器中。
[NODOT]<INDENT:40> 而是读取数据包并触发事件"OnReceiveGlobalModData"，将字符串键和 LuaTable 表作为参数传递。
[NODOT]<INDENT:40> 注意：当 moddata 包回复 ModData.request 时，table 参数可以为"false"。
[NODOT]<INDENT:40> 编码器/作者然后可以决定解析、注册或仅将其保留为临时 lua 表等。
[NODOT]<BR>
 
修复了加载 mod 纹理包时设置适当纹理标志的问题。
[NODOT]<INDENT:40> 世界纹理缺少用于创建 mipmap 的标志，导致缩小时出现"闪闪发光"的纹理。
[NODOT]<INDENT:40> 地板纹理使用压缩，有时会导致视觉伪影。
[NODOT]<INDENT:40>UI 纹理使用压缩和"磁线性"过滤，而不是"磁最近"过滤。
[NODOT]<INDENT:40>当一个模组材质包名称以".floor"结尾时，压缩被关闭。
[NODOT]<INDENT:40>对于包含 UI 纹理和/或物品纹理的纹理包，mod.info 文件应在 pack= 行中添加"type=ui"，如下所示：
[NODOT]<INDENT:60>pack=MyPackFile
[NODOT]<INDENT:60>type=ui
 
 
允许车辆脚本覆盖没有名称的"模型"。
[NODOT]<INDENT:40>以前，"模型 XYZ"会覆盖先前声明的"模型 XYZ"，但单独的"模型"不会覆盖"模型"。
 
允许模组定义自定义沙箱选项。
[NODOT]<INDENT:40>存在的每个名为 media/sandbox-options.txt 的文件在加载 Lua 文件之前加载。
 
允许模组定义自定义特权（游戏中的技能）。
[NODOT]<INDENT:40> 每个存在的名为 media/perks.txt 的文件在加载脚本和 Lua 文件之前加载。
[NODOT]<INDENT:40> 可以定义新的特权和特权类别。
[NODOT]<INDENT:40> 这需要删除 Perks 枚举。现在 Perks 是一个包含 Perk 静态实例的类。
[NODOT]<INDENT:40> 所以 Perks.Strength 现在是力量 perk 本身，而不是枚举值。
[NODOT]<INDENT:40>Lua Perks 表包含预定义的 perks 以及任何自定义 perks。
[NODOT]<INDENT:40>幸运的是，这些更改不需要对 Lua 文件进行任何更改。
 
 
向车辆脚本添加了 textureShadow 属性以允许覆盖阴影纹理。
[NODOT]<INDENT:40>例如，写"textureShadow = schoolbag_spiffo"，不带引号。
 
 
recipe.Prop1 和 recipe.Prop2 可以指定显示在玩家手中的源项目。
[NODOT]<INDENT:40>例如，Prop1:Source=2 将使用 Saw 或 GardenSaw 模型：
 
[NODOT]<INDENT:40>食谱锯日志
[NODOT]<缩进:60>{
[NODOT]<INDENT:60>日志，
[NODOT]<INDENT:60>保持锯/花园锯，
[NODOT]<INDENT:60>Prop1:Source=2,
[NODOT]<INDENT:60>Prop2:Log,
[NODOT]<INDENT:40>}
[NODOT]<INDENT:40>Log 模型也可以指定为 Prop2:Source=1。
 
 
车窗将应用来自 textureLights 纹理的颜色。这是为船模添加的。调用 BaseVehicle.setWindowLightsOn(true|false) 来控制它。此设置不会保存或在多人游戏中同步。
 
车辆阴影的大小和位置可以使用车辆脚本中的 shadowExtents 和 shadowOffset 属性进行设置。这些可以在车辆编辑器的底盘部分下进行编辑。
 
 
修复了 mod 项目的项目工具提示中的"Mod: XYZ"总是显示最后加载的 mod 的名称。
添加了 Tooltip.ModName 调试选项以控制在 mod 项目的项目工具提示中显示"Mod: XYZ"。
[NODOT]<INDENT:40> 如果需要，可以将其更改为显示选项（但需要翻译）。
 
为模组添加了与 GameTime 直升机相关的方法：
[NODOT]<INDENT:40> int getHelicopterDay()
[NODOT]<INDENT:40> setHelicopterDay(int day)
 
[NODOT]<INDENT:40> int getHelicopterStartHour()
[NODOT]<INDENT:40> setHelicopterStartHour(int hour) // 0-24
[NODOT]<INDENT:40> int getHelicopterEndHour()
[NODOT]<INDENT:40> setHelicopterEndHour(int hour) // 0-24
 
 
[SECTION][技术]
 
优化游戏变量查找。
[NODOT]<INDENT:40>AnimCondition 不再按名称重复搜索同一个变量。
[NODOT]<INDENT:40>相反，它创建了一个 AnimationVariableHandle 并重新使用它。
GameProfiler.invokeAndMeasure 现在检查记录器是否正在运行，并避免捕获新的 Lambda
 
性能改进。添加了一个提前更新TwistBone
[NODOT]<INDENT:40>如果当前扭曲小于 1 度，则函数中止。
[NODOT]<BR>
[NODOT]Turbo 的存档压缩优化
重构和整理 WorldDictionary。
服务器现在在连接时将 WorldDictionary 数据发送给客户端。
客户端现在只将 WorldDictionaryReadable.lua 保存在游戏文件夹中。
WorldDictionary 现在尊重 Core.noSave。
如果发现字典有任何问题，世界加载现在应该正确中止。
向 InventoryItem 添加了方法 getModID()、getModName() 和 isVanilla()。
将添加该项目的模组名称以及可选的任何覆盖添加到项目工具提示中。
[NODOT]<BR>
对 BoneTransform 计算的性能改进，可将动画系统提升 2 倍。
[NODOT]<BR>
雾优化
内存优化：将 IsoGridSquare.collideMatrix、IsoGridSquare.pathMatrix 和 IsoGridSquare.visionMatrix 数组放置为 32 位整数，并为它们编写位访问函数。
[NODOT]<BR>
重构的 IsoRegion 系统
[NODOT]<BR> 包括优化区域计算和修复一系列可能导致错误的事情。
添加了基于 ZombiePopulationWindow 的新 IsoRegion 调试器（现在可以通过调试器构建以进行快速测试）。
[NODOT]<BR>
新增 IsoRegionLogger，可通过调试器查看日志。
WorldDictionary -> 禁用缺少对象 ID 的记录。
Colors.java -> 添加了 GetColorFromIndex、GetColorsCount。
[NODOT]<BR>
添加了 Character.Debug.Render.Vision 选项以显示玩家的视锥和查看附近角色的半径。
[NODOT]<BR>
在 IsoPlayer.updateLOS() 中使用适当的距离而不是曼哈顿距离。
修复了 IsoGameCharacter.updateSeenVisibility() 不处理看到附近的角色半径，导致玩家后面（或附近但在视锥之外）的僵尸在他们应该不可见时变得不可见
[NODOT]<BR>
不要在最近的 20 个僵尸上使用共享动画，以避免在它们冲刺时滑脚。IsoWorld.sceneCullZombies() 已经根据可见性和距离对僵尸进行了分类，因此它用于在僵尸上设置不应使用共享动画的标志。
[NODOT]<BR>
删除了 IsoPlayer.m_moveDelta，因为 IsoGameCharacter.m_moveDelta 已经存在。在任何情况下，该值始终为 1.0
 
[VERSION] 41.52
 
[SECTION]平衡
 
- 更新战利品分布
- 在 ProceduralDistributions.lua 中用以前未定义的 MedicalClinicDrugs 替换了重复的 MedicalClinicTools。
为窗帘添加了"RippedSheets"材料，以便可以拆卸它们。
- 在 ProceduralDistributions 中重新添加丢失的容器
 
 
[SECTION][修改]
 
添加了 IsoGameCharacter.getOutfitName()
 
 
[SECTION]修复
 
修复了僵尸从极远距离发现玩家的问题。
修复了分屏中的对象透明度问题。
修复了具有不同字体大小的 Lua 调试器文件浏览器布局。
修复了从水坑而不是水槽中取水的问题，水槽连接到装有污染水的集雨桶。
修复了使用砍刀播放推搡动画的"移除灌木"问题。
修复了 Distributions.lua 中的错字。
修复了在没有钥匙的情况下尝试启动车辆时车辆抖动的问题。
修复了 Riverside Sports Store 中棒球棒生成过多的问题
修复了 Linux ProjectZomboid64 无法找到 ProjectZomboid64.json 文件的问题。
 
 
[VERSION] 41.53
[NEWS]
[BOLD]请注意：
[BOLD]此补丁包含对长期存在的错误的修复。
[BOLD]我们一直希望在你准备近战攻击时让鼠标光标消失，以便只有 Iso-cursor 可见，因为这意味着新玩家会发现更容易适应 PZ 的战斗。
[BOLD]如果你觉得这个修复很奇怪/烦人，那么我们还添加了一个显示选项以将其切换回以前的状态："瞄准时显示鼠标光标"。
 
[SECTION]新增
"移除窗帘"的工作方式与以往一样，为玩家提供一张床单。
添加了一个工具提示，告诉玩家他们会得到一张床单，并且他们可以使用家具工具拿起窗帘。
（我们将来可能会再次调整床单的战利品，让你把它们从床上拿下来，或者在卧室里有更多的战利品等）
 
如果头顶没有水源，请不要显示连接水槽的选项。
如果水源直接在头顶上（而不是需要一个与头顶正方形相邻的正方形），则允许给水槽安装管道。
 
恢复了检查连接到管道水槽的雨水收集器中受污染水的变化。我们打算在以后改进这个系统。
 
添加了"锁定光标到窗口"显示选项。这将鼠标指针保持在窗口内。Alt-Tab 必须用于切换应用程序。
[NODOT]<INDENT:40>启用后，游戏会呈现自己的光标，系统光标会被隐藏。
 
- 将"全屏"和"无边框窗口"选项组合成一个包含这三个选项的组合框：
[NODOT]<INDENT:40>全屏
[NODOT]<INDENT:40>无边框窗口
[NODOT]<INDENT:40>窗口化
 "Borderless Windowed"会忽略选项中设置的分辨率。窗口的大小将调整为桌面分辨率设置的任何值。
 
当"iso 瞄准光标"可见时隐藏鼠标光标。
添加了显示选项"瞄准时显示鼠标光标"。
强制鼠标光标在任何 UIElement 上时可见。
每当使用鼠标的播放器的上下文菜单或径向菜单可见时，强制鼠标光标可见。
 
 
[SECTION]平衡
 
提高了因为衣服不能冲刺的门槛。
减少了一些服装上的一些 RunSpeedModifier。
 
 
[SECTION]修复
 
修复了无法从 UI 中关闭闹钟中的闹钟的问题
修复了 VehicleEngineRPM.reset() NullPointerException。
修复了随机模特服装的错误选择。
固定（可能）接缝有时出现在衣服纹理的蒙面部分之间。
修复了没有下颚刺伤时在下颚刺伤范围内的无声刀攻击。
修复了能够将家具窗帘放在床单窗帘上的问题。
修复了从 Java 调用 UIElement Lua 函数的垃圾创建问题。
固定旅行车细节纹理
通过检查区域故事覆盖的所有块是否已加载而不是仅检查西北和东南方格来修复 zed 故事问题。
修复了通过故事添加帐篷的空指针。
修复了 Display 类中的小问题。除非游戏窗口分辨率高于桌面分辨率，否则无效。
修复了教程中的冲刺问题
 
 
[SECTION]模组支持
 
添加了 OnWorldSound(x,y,z,radius,volume,source) 事件
添加了对破坏 Supersurvivors mod 的 MP 相关更改的检查。
添加了 media/WorkshopTags.txt，其中包含所有允许的 Steam 创意工坊标签。
 
 
[SECTION][技术]
当没有函数绑定到被触发的事件时，使 triggerEvent() 调用更快退出。
修复了 Linux ProjectZomboid64 无法找到 ProjectZomboid64.json 文件的问题。
使用最新的 Steamworks API 重建 Linux ProjectZomboid64。
将 Windows Steamworks SDK 更新至 1.51。
使用 Steamworks 1.51 重建 Linux ZNet 和 RakNet 库。
修复了翻译 IGUI_NeedToBeStandingInside 出现在需要 IGUI_MustPlaceRoomRoof 的位置。
添加了 Linux docker.sh 脚本。
修复了 MacOS 上缺少的语言。
添加了 ISComboBox.setEditable() 以允许通过键入过滤组合框中的选项。这在车辆编辑器和附件编辑器中使用，以使它们更易于使用。
[NODOT]<INDENT:40> - ISTextEntryBox.onPressDown() .onPressUp() 和 .onOtherKey() 作为第一个参数传递给 ISTextEntryBox 对象。以前， .onPressDown() 和 .onPressUp() 没有传递任何参数，而 .onOtherKey() 只传递了被按下的键。对 .onOtherKey() 的更改是唯一不兼容的更改。
添加了 ISTextEntryBox.selectAll()。
希望在 MacOS 上修复全屏
 
[VERSION] 41.54
[NEWS]
添加了 Noiseworks 声音改造 - 第 1 阶段
 
[NODOT]<INDENT:40> 第 2 阶段将引入更广泛的僵尸语音集以及对音乐和氛围系统的进一步改进。近战武器音效——目前主要基于材料而不是相关武器——也将更加具体到武器本身；枪支也是如此。 <LINE> 
 
添加了 VHS、CD 等。
[NODOT]<INDENT:40> 为磁盘和磁带添加了功能和数据。数据存储在"recorded_media.lua"中。
[NODOT]<INDENT:40> 在第一次收听时，每个播放器只会应用一次媒体线效果。
[NODOT]<INDENT:40> Home VHS 的独特生成。
[NODOT]<INDENT:40> 零售 CD 和 VHS 可以有"常见"、"稀有"、"非常稀有"的生成机会。
[NODOT]<INDENT:40> 为游戏角色添加了 learnRecipe 方法。添加通过无线电线路代码学习食谱的能力。
[NODOT]<INDENT:40> 添加了新的翻译文件"recorded_media_EN.txt"。该翻译集保留了可以单独检索的英文版本的翻译。（仅支持基本 ASCII 字符的 LCD 需要）
[NODOT]<INDENT:40> 添加了事件 'OnInitRecordedMedia' 来设置任何录制的媒体数据，请参阅 ISRecordedMedia.lua 进行修改。
[NODOT]<INDENT:40> 向设备控制面板添加了新的媒体 UI 部分。
[NODOT]<INDENT:40> 为光盘和磁带添加了 UI 弹出窗口，其中一些可以通过右键单击上下文菜单显示后盖信息。
[NODOT]<INDENT:40> [NODOT]<INDENT:40> 增加了播放媒体的能力，RadioRed = CD，黑色/宽电视 = 磁带
[NODOT]<INDENT:40> 更改了技能等开销通知的显示
[NODOT]<INDENT:60> - 更柔和的柔和色彩和轮廓，红色表示负面 绿色表示正面效果
[NODOT]<INDENT:60> - 用向上或向下箭头替换技能/统计效果数字
[NODOT]<INDENT:40> 如果对技能和统计数据的价值没有影响，则不再显示小型开销文本。
[NODOT]<INDENT:40> 从 ISRadioInteractions 中删除了开销文本代码
[NODOT]<INDENT:40> 添加了静态类 HaloTextHelper.java 以便更普遍地使用开销文本。
[NODOT]<INDENT:40> 添加了一些功能来添加文本、颜色选项和指示箭头的使用。
[NODOT]<INDENT:60> - 如果已显示文本，则下一个文本将短暂排队。
[NODOT]<INDENT:60> - 如果在同一个刻度上或在排队时添加多个文本，它们将被组合并用灰色的"，"分隔。
[NODOT]<INDENT:60> - 如果添加了已显示的文本，则将其丢弃。
[NODOT]<BR>
为闪烁的车灯添加了世界灯。
添加了在尸体苍蝇嗡嗡作响的地方显示的动画苍蝇纹理。
添加了新杯子
在角色信息面板（"培训材料"）中显示阅读书籍。这可能会在稍后转移到制作 UI。
为无法移动到目标容器的拖动项目添加了突出显示。
为人体模型添加了战利品窗口容器图标以及容器标题"人体模型"。
添加了一个上下文菜单命令，用于将雨水收集桶清空到地面上，以便可以移动它。
在钓鱼菜单中添加了最后三个捕获的历史记录。他们不会再淡出。
添加了在钓鱼菜单中为渔获物选择专用容器的选项。所有的渔获物都将进入这个容器，直到装满。
玩家角色受到伤害时，心形 UI 图标会抖动。一旦玩家不再失去生命值，它将停止震动。
在玩家的生命值条周围画一个模糊的边框，以便更容易看到损失的生命值。
制作时，物品将放回原来的容器/袋子中。例如，在沙拉中添加盐时，盐将从柜台上抓取，使用，然后放回去。
升级墙壁（多阶段建筑）从地面获取类似于木工的物品。
[NODOT]<INDENT:40> 这包括自动打开钉箱。
[NODOT]<INDENT:40> 对于金属墙壁，将根据需要从多个丙烷火炬中使用丙烷。库存中只需要一个丙烷火炬，它可能是空的，因为其他的将从地面使用。
  
移除了其中一个 wall_exterior_house_01 东南墙柱的 StopCar 和 HitByCar 属性。
[NODOT]<INDENT:40> 房产仅位于东南墙的几根柱子之一上。
[NODOT]<INDENT:40> 这将"树"物理放置在正方形的中心。
[NODOT]<INDENT:40> 当两个相邻的墙壁之一被移除时，这些柱子应该被移除。
 
  
为放置在世界上的物品添加了 3D 模型。 <LINE> 右键单击​​一个项目将显示"放置项目"选项。这将显示该项目的渲染模型并突出显示正方形以了解其放置位置。在控制器上，该项目当前始终放置在正方形的中心。
如果鼠标悬停在其中一个上，物品会自动放在桌子/柜台上。
按 R 顺时针旋转，shift+R 逆时针旋转。
如果您选择了多个项目，其中一个还没有 3D 模型，您只需将其放在您的脚下。
固定不同帧速率下的旋转速度。
添加捕捉到最接近的 5 度。
在当前轮换中一次放置一个项目。
按住 Shift 单击以放置所有项目。使用控制器，X 按钮在放置一个或放置所有之间切换。
改进了世界中 3d 项目的照明，以更接近地匹配瓷砖照明。
为世界中的 3d 项目中的照明添加了旋转，在旋转时它们的照明将与项目一起旋转。
改进了所有 3d 对象、角色、车辆、物品等的照明。
添加了"itemHeight"，因此玩家可以将东西放在桌子上的微波炉上。
如果您有一个顶部有搁板的柜台，您可以按 Tab 键更改项目的高度。
由于默认隐藏常规光标，默认"Iso 光标可见性"更改为 50%。
可以在选项中禁用 3D 项目。
表故事。随机机会在基本家庭的桌子上放一些东西来讲述故事。
